{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-128.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "icu-74.2-1.fc40",
        "store-results-to": "/tmp/tmpufbn9pyx/icu-74.2-1.fc40.tar.xz",
        "time-created": "2024-07-03 13:13:02",
        "time-finished": "2024-07-03 13:22:53",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpufbn9pyx/icu-74.2-1.fc40.tar.xz' '--gcc-analyze' '--gcc-set-env' '/tmp/tmpufbn9pyx/icu-74.2-1.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/bmpset.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "5281069b14de593db708e448b1e011b92894c40b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/bmpset.cpp",
                    "line": 559,
                    "column": 58,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'b' is used in the enclosing expression, the value is never actually read from 'b'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/bmpset.cpp",
                    "line": 559,
                    "column": 58,
                    "event": "note",
                    "message": "Although the value stored to 'b' is used in the enclosing expression, the value is never actually read from 'b'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  557|                       limit0=limit;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  558|                   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  559|->             } else if(b<0xc0 && b>=0x80 && length>=3 && (b=*(limit-3))>=0xf0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  560|                   // 4-byte lead byte with only two trail bytes",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  561|                   limit-=3;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/brkeng.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/brkiter.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "d662e38857231b47e3a3368cbb1c82d6143ecd6c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/brkiter.cpp",
                    "line": 113,
                    "event": "warning[uninitvar]",
                    "message": "Uninitialized variable: fnbuff",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  111|       ures_close(brkName);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  112|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  113|->     UDataMemory* file = udata_open(U_ICUDATA_BRKITR, ext, fnbuff, &status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  114|       if (U_FAILURE(status)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  115|           ures_close(b);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/bytesinkutil.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/bytestream.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/bytestrie.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/bytestriebuilder.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "4a029e3a8eb2cf1fe6e969fac4b20b84e1bbaaf3",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/bytestriebuilder.cpp",
                    "line": 479,
                    "event": "error[uninitvar]",
                    "message": "Uninitialized variable: intBytes",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  477|       } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  478|           char intBytes[5];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  479|->         return write(intBytes, internalEncodeDelta(i, intBytes));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  480|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  481|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/bytestrieiterator.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/caniter.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/characterproperties.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/charstr.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "bd3b6a5f89ef3d023888ac5e1936ce7c7e8eeb5e",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/filteredbrk.cpp",
                    "line": 13,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 274,
                    "column": 40,
                    "event": "warning[core.uninitialized.UndefReturn]",
                    "message": "Returning null reference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/filteredbrk.cpp",
                    "line": 592,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/filteredbrk.cpp",
                    "line": 605,
                    "column": 20,
                    "event": "note",
                    "message": "Passing null pointer value via 1st parameter 'p'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/filteredbrk.cpp",
                    "line": 605,
                    "column": 20,
                    "event": "note",
                    "message": "Calling default constructor for 'LocalMemory<int>'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 195,
                    "column": 62,
                    "event": "note",
                    "message": "Passing null pointer value via 1st parameter 'p'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 195,
                    "column": 42,
                    "event": "note",
                    "message": "Calling default constructor for 'LocalPointerBase<int>'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/localpointer.h",
                    "line": 82,
                    "column": 47,
                    "event": "note",
                    "message": "Null pointer value stored to 'partials.ptr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 195,
                    "column": 42,
                    "event": "note",
                    "message": "Returning from default constructor for 'LocalPointerBase<int>'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/filteredbrk.cpp",
                    "line": 605,
                    "column": 20,
                    "event": "note",
                    "message": "Returning from default constructor for 'LocalMemory<int>'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/filteredbrk.cpp",
                    "line": 612,
                    "column": 3,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/filteredbrk.cpp",
                    "line": 616,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'abbr' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/filteredbrk.cpp",
                    "line": 616,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/filteredbrk.cpp",
                    "line": 625,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'LocalMemory::operator[]'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 274,
                    "column": 40,
                    "event": "note",
                    "message": "Returning null reference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  272|        * @return reference to the array item",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  273|        */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  274|->     T &operator[](ptrdiff_t i) const { return LocalPointerBase<T>::ptr[i]; }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  275|   };",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  276|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstr.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "7d6da20cc5435bbae17186ff6fbb6c7ead80b2c1",
            "key_event_idx": 2,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 57,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In member function ‘icu_74::Calendar::operator=(icu_74::Calendar const&)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 43,
                    "column": 70,
                    "event": "warning[-Wstringop-truncation]",
                    "message": "‘strncpy’ output may be truncated copying 156 bytes from a string of length 156",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   43 | #define uprv_strncpy(dst, src, size) U_STANDARD_CPP_NAMESPACE strncpy(dst, src, size)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                                                      ^",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   41|   #define uprv_strstr(s, c) U_STANDARD_CPP_NAMESPACE strstr(s, c)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   42|   #define uprv_strrchr(s, c) U_STANDARD_CPP_NAMESPACE strrchr(s, c)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   43|-> #define uprv_strncpy(dst, src, size) U_STANDARD_CPP_NAMESPACE strncpy(dst, src, size)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   44|   #define uprv_strncmp(s1, s2, n) U_STANDARD_CPP_NAMESPACE strncmp(s1, s2, n)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   45|   #define uprv_strncat(dst, src, n) U_STANDARD_CPP_NAMESPACE strncat(dst, src, n)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "56b4a212525580d3951e82b0da2832898e89fdcd",
            "key_event_idx": 2,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucurr.cpp",
                    "line": 28,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucurr.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘ucurr_register_74’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 43,
                    "column": 70,
                    "event": "warning[-Wstringop-truncation]",
                    "message": "‘strncpy’ output truncated before terminating nul copying as many bytes from a string as its length",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   43 | #define uprv_strncpy(dst, src, size) U_STANDARD_CPP_NAMESPACE strncpy(dst, src, size)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                                                      ^",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 37,
                    "column": 57,
                    "event": "note",
                    "message": "length computed here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   37 | #define uprv_strlen(str) U_STANDARD_CPP_NAMESPACE strlen(str)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   41|   #define uprv_strstr(s, c) U_STANDARD_CPP_NAMESPACE strstr(s, c)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   42|   #define uprv_strrchr(s, c) U_STANDARD_CPP_NAMESPACE strrchr(s, c)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   43|-> #define uprv_strncpy(dst, src, size) U_STANDARD_CPP_NAMESPACE strncpy(dst, src, size)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   44|   #define uprv_strncmp(s1, s2, n) U_STANDARD_CPP_NAMESPACE strncmp(s1, s2, n)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   45|   #define uprv_strncat(dst, src, n) U_STANDARD_CPP_NAMESPACE strncat(dst, src, n)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/dictbe.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/dictionarydata.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4ac72af5b60311814ea5c71458bd937ed3354731",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/dictionarydata.cpp",
                    "line": 216,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/dictionarydata.cpp",
                    "line": 216,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  214|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  215|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  216|->         offset = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  217|           ds->swapArray32(ds, inBytes, sizeof(indexes), outBytes, pErrorCode);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  218|           offset = (int32_t)sizeof(indexes);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "2f0d9e265b8881de266d1cc3d831cd7a891eec8b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/dictionarydata.cpp",
                    "line": 234,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/dictionarydata.cpp",
                    "line": 234,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  232|           // these next two sections are empty in the current format,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  233|           // but may be used later.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  234|->         offset = nextOffset;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  235|           nextOffset = indexes[DictionaryData::IX_RESERVED2_OFFSET];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  236|           offset = nextOffset;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "2f0d9e265b8881de266d1cc3d831cd7a891eec8b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/dictionarydata.cpp",
                    "line": 236,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/dictionarydata.cpp",
                    "line": 236,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  234|           offset = nextOffset;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  235|           nextOffset = indexes[DictionaryData::IX_RESERVED2_OFFSET];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  236|->         offset = nextOffset;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  237|           nextOffset = indexes[DictionaryData::IX_TOTAL_SIZE];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  238|           offset = nextOffset;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "2f0d9e265b8881de266d1cc3d831cd7a891eec8b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/dictionarydata.cpp",
                    "line": 238,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/dictionarydata.cpp",
                    "line": 238,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  236|           offset = nextOffset;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  237|           nextOffset = indexes[DictionaryData::IX_TOTAL_SIZE];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  238|->         offset = nextOffset;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  239|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  240|       return headerSize + size;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/edits.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/emojiprops.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/filteredbrk.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/filterednormalizer2.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/loadednormalizer2impl.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/localebuilder.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "a20d6fe38ca54abea386867e98e337c7d27f9fa8",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 705,
                    "column": 12,
                    "event": "warning[core.NullDereference]",
                    "message": "Array access (via field 'supportedIndexes') results in a null pointer dereference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 816,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 817,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 817,
                    "column": 10,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 817,
                    "column": 53,
                    "event": "note",
                    "message": "Assuming 'resultAvailable' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 817,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 818,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 817,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 818,
                    "column": 46,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 817,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 824,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'acceptLanguage'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 755,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 758,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 758,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 766",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 766,
                    "column": 29,
                    "event": "note",
                    "message": "Calling 'Builder::build'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 297,
                    "column": 30,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 300,
                    "column": 12,
                    "event": "note",
                    "message": "Calling constructor for 'LocaleMatcher'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 349,
                    "column": 33,
                    "event": "note",
                    "message": "Null pointer value stored to 'matcher.supportedIndexes'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 351,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 355,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 366,
                    "column": 30,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 368,
                    "column": 9,
                    "event": "note",
                    "message": "Field 'supportedLocalesLength' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 368,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 462,
                    "column": 17,
                    "event": "note",
                    "message": "Field 'demotion_' is equal to ULOCMATCH_DEMOTION_REGION",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 462,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 466,
                    "column": 9,
                    "event": "note",
                    "message": "Field 'thresholdDistance' is < 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 466,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 468,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 300,
                    "column": 12,
                    "event": "note",
                    "message": "Returning from constructor for 'LocaleMatcher'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 766,
                    "column": 29,
                    "event": "note",
                    "message": "Returning from 'Builder::build'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 767,
                    "column": 36,
                    "event": "note",
                    "message": "Calling 'LocaleMatcher::getBestMatchResult'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 649,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 649,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 653,
                    "column": 25,
                    "event": "note",
                    "message": "Calling 'LocaleMatcher::getBestSuppIndex'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 664,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 667,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 669,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 683,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'bestIndexAndDistance' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 683,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 685,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 687,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 691,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 691,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 692,
                    "column": 13,
                    "event": "note",
                    "message": " Execution continues on line 701",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 701,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'bestSupportedLsrIndex' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 701,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/localematcher.cpp",
                    "line": 705,
                    "column": 12,
                    "event": "note",
                    "message": "Array access (via field 'supportedIndexes') results in a null pointer dereference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  703|           return -1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  704|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  705|->     return supportedIndexes[bestSupportedLsrIndex];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  706|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  707|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/localeprioritylist.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/locavailable.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/locbased.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "17fbc41621c7b29730c8d1421635fbe1d27ccac1",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 724,
                    "column": 37,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 525,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 525,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 525,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 529,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 529,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 529,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 529,
                    "column": 42,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 547,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'sepLen' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 547,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 562,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 562,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 562,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 562,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 562,
                    "column": 43,
                    "event": "note",
                    "message": "Assuming 'p1' is >= 'p0'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 562,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 570,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'patLen' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 570,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 570,
                    "column": 22,
                    "event": "note",
                    "message": "Assuming 'patLen' is not equal to 'defaultPatLen'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 570,
                    "column": 44,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 579,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 579,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 579,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 579,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 585,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'sub1Pos' is >= 'sub0Pos'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 585,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 589,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/urename.h",
                    "line": 383,
                    "column": 18,
                    "event": "note",
                    "message": "expanded from macro 'u_strchr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 123,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'U_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 122,
                    "column": 51,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF2_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 121,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<scratch space>",
                    "line": 69,
                    "column": 1,
                    "event": "note",
                    "message": "expanded from here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 589,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 614,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'sub0Pos' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 614,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 627,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 633,
                    "column": 17,
                    "event": "note",
                    "message": "'cap' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 633,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 639,
                    "column": 17,
                    "event": "note",
                    "message": "'subi' is equal to 'langi'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 639,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 640,
                    "column": 20,
                    "event": "note",
                    "message": "'haveLang' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 640,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 644,
                    "column": 30,
                    "event": "note",
                    "message": "Assuming 'langLen' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 739,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 739,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 743,
                    "column": 16,
                    "event": "note",
                    "message": "'subdone' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 743,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 744,
                    "column": 20,
                    "event": "note",
                    "message": "'haveLang' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 744,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 744,
                    "column": 32,
                    "event": "note",
                    "message": "'haveRest' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 744,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 749,
                    "column": 29,
                    "event": "note",
                    "message": "'subi' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 749,
                    "column": 29,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 750,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 750,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 627,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 633,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'cap' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 633,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 639,
                    "column": 17,
                    "event": "note",
                    "message": "'subi' is not equal to 'langi'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 639,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 648,
                    "column": 21,
                    "event": "note",
                    "message": "'haveRest' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 648,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 652,
                    "column": 21,
                    "event": "note",
                    "message": "Control jumps to 'case 0:'  at line 653",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 656,
                    "column": 29,
                    "event": "note",
                    "message": " Execution continues on line 712",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 712,
                    "column": 25,
                    "event": "note",
                    "message": "'len' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 712,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 728,
                    "column": 31,
                    "event": "note",
                    "message": "'subdone' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 728,
                    "column": 28,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 739,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 743,
                    "column": 16,
                    "event": "note",
                    "message": "'subdone' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 743,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 627,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 633,
                    "column": 17,
                    "event": "note",
                    "message": "'cap' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 633,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 639,
                    "column": 17,
                    "event": "note",
                    "message": "'subi' is not equal to 'langi'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 639,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 648,
                    "column": 21,
                    "event": "note",
                    "message": "'haveRest' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 648,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 652,
                    "column": 21,
                    "event": "note",
                    "message": "Control jumps to 'case 1:'  at line 657",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 659,
                    "column": 29,
                    "event": "note",
                    "message": " Execution continues on line 712",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 712,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming 'len' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 712,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 714,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 714,
                    "column": 25,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 716,
                    "column": 29,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 723",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 723,
                    "column": 45,
                    "event": "note",
                    "message": "Assuming 'i' is < 'sepLen'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 723,
                    "column": 29,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 724,
                    "column": 34,
                    "event": "note",
                    "message": "Null pointer value stored to 'p'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdispnames.cpp",
                    "line": 724,
                    "column": 37,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  722|                               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  723|                               for(int32_t i=0;i<sepLen;++i) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  724|->                                 *p++=separator[i];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  725|                               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  726|                           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdistance.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/locdspnm.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/locid.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/locid.cpp",
                    "line": 0,
                    "event": "internal warning",
                    "message": "child 5179 timed out after 30s",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/loclikely.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "ae254a48544d5227e44bdfc6ce4cd3cc32a7b671",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/loclikely.cpp",
                    "line": 441,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'trailing' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/loclikely.cpp",
                    "line": 441,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'trailing' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  439|       char region[ULOC_COUNTRY_CAPACITY];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  440|       int32_t regionLength = sizeof(region);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  441|->     const char* trailing = \"\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  442|       int32_t trailingLength = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  443|       int32_t trailingIndex = 0;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "ae254a48544d5227e44bdfc6ce4cd3cc32a7b671",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/loclikely.cpp",
                    "line": 545,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'trailing' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/loclikely.cpp",
                    "line": 545,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'trailing' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  543|       char region[ULOC_COUNTRY_CAPACITY];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  544|       int32_t regionLength = sizeof(region);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  545|->     const char* trailing = \"\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  546|       int32_t trailingLength = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  547|       int32_t trailingIndex = 0;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/loclikelysubtags.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "d8e1cdd607c32a2d5f9678ea86f55f34ecc6769f",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/loclikelysubtags.cpp",
                    "line": 430,
                    "column": 23,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'result' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/loclikelysubtags.cpp",
                    "line": 430,
                    "column": 23,
                    "event": "note",
                    "message": "Value stored to 'result' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  428|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  429|       // Cache the result of looking up language=\"und\" encoded as \"*\", and \"und-Zzzz\" (\"**\").",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  430|->     UStringTrieResult result = trie.next(u'*');",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  431|       U_ASSERT(USTRINGTRIE_HAS_NEXT(result));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  432|       trieUndState = trie.getState64();",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "6537ff882324f145a0d5059396c5c12eaeba90c1",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/loclikelysubtags.cpp",
                    "line": 433,
                    "column": 5,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'result' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/loclikelysubtags.cpp",
                    "line": 433,
                    "column": 5,
                    "event": "note",
                    "message": "Value stored to 'result' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  431|       U_ASSERT(USTRINGTRIE_HAS_NEXT(result));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  432|       trieUndState = trie.getState64();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  433|->     result = trie.next(u'*');",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  434|       U_ASSERT(USTRINGTRIE_HAS_NEXT(result));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  435|       trieUndZzzzState = trie.getState64();",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "6537ff882324f145a0d5059396c5c12eaeba90c1",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/loclikelysubtags.cpp",
                    "line": 436,
                    "column": 5,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'result' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/loclikelysubtags.cpp",
                    "line": 436,
                    "column": 5,
                    "event": "note",
                    "message": "Value stored to 'result' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  434|       U_ASSERT(USTRINGTRIE_HAS_NEXT(result));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  435|       trieUndZzzzState = trie.getState64();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  436|->     result = trie.next(u'*');",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  437|       U_ASSERT(USTRINGTRIE_HAS_VALUE(result));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  438|       defaultLsrIndex = trie.getValue();",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "79a7cbfcaf2470088da838565284fa4d2b9abfa1",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/loclikelysubtags.cpp",
                    "line": 761,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'state' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/loclikelysubtags.cpp",
                    "line": 761,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'state' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  759|           value = trieNext(iter, script, 0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  760|           if (value >= 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  761|->             state = iter.getState64();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  762|           } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  763|               if (state == 0) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "79a7cbfcaf2470088da838565284fa4d2b9abfa1",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/loclikelysubtags.cpp",
                    "line": 769,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'state' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/loclikelysubtags.cpp",
                    "line": 769,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'state' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  767|                   value = trieNext(iter, \"\", 0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  768|                   U_ASSERT(value >= 0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  769|->                 state = iter.getState64();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  770|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  771|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/locmap.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/locresdata.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/locutil.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/lsr.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/lstmbe.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/messagepattern.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/mlbe.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "bc3c376689e1dc059ea0d07f3eaf4c050ed03391",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 356,
                    "column": 13,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 333,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 336,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 336,
                    "column": 10,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 336,
                    "column": 37,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 336,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 337,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 337,
                    "column": 10,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 337,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming 'capacity' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 336,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 338,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming 'src' is not equal to 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 338,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 345,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 345,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 346,
                    "column": 9,
                    "event": "note",
                    "message": "'n2' initialized here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 348,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 348,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 355,
                    "column": 37,
                    "event": "note",
                    "message": "Assuming 'length' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 356,
                    "column": 13,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  354|           } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  355|               UnicodeString srcString(length<0, src, length);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  356|->             n2->normalize(srcString, destString, *pErrorCode);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  357|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  358|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4ee9c2843186f267bd2a9f9c7a667624957aba70",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 409,
                    "column": 17,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 423,
                    "column": 37,
                    "event": "note",
                    "message": "Passing value via 1st parameter 'norm2'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 423,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'normalizeSecondAndAppend'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 368,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 371,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 371,
                    "column": 10,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 371,
                    "column": 46,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 372,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 372,
                    "column": 10,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 372,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming 'firstCapacity' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 372,
                    "column": 28,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 372,
                    "column": 48,
                    "event": "note",
                    "message": "Assuming 'firstLength' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 374,
                    "column": 10,
                    "event": "note",
                    "message": "'first' is not equal to 'second'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 374,
                    "column": 24,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 382,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'secondLength' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 382,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 383,
                    "column": 9,
                    "event": "note",
                    "message": "'n2' initialized here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 385,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 385,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 407,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming 'secondLength' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 408,
                    "column": 16,
                    "event": "note",
                    "message": "'doNormalize' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 408,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 409,
                    "column": 17,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  407|               UnicodeString secondString(secondLength<0, second, secondLength);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  408|               if(doNormalize) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  409|->                 n2->normalizeSecondAndAppend(firstString, secondString, *pErrorCode);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  410|               } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  411|                   n2->append(firstString, secondString, *pErrorCode);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "a21468c55a222c9b6545b30c62ee862bb2719f15",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 411,
                    "column": 17,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 434,
                    "column": 37,
                    "event": "note",
                    "message": "Passing value via 1st parameter 'norm2'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 434,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'normalizeSecondAndAppend'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 368,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 371,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 371,
                    "column": 10,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 371,
                    "column": 46,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 372,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 372,
                    "column": 10,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 372,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming 'firstCapacity' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 372,
                    "column": 28,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 372,
                    "column": 48,
                    "event": "note",
                    "message": "Assuming 'firstLength' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 374,
                    "column": 10,
                    "event": "note",
                    "message": "'first' is not equal to 'second'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 374,
                    "column": 24,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 382,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'secondLength' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 382,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 383,
                    "column": 9,
                    "event": "note",
                    "message": "'n2' initialized here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 385,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 385,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 407,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming 'secondLength' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 408,
                    "column": 16,
                    "event": "note",
                    "message": "'doNormalize' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 408,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2.cpp",
                    "line": 411,
                    "column": 17,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  409|                   n2->normalizeSecondAndAppend(firstString, secondString, *pErrorCode);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  410|               } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  411|->                 n2->append(firstString, secondString, *pErrorCode);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  412|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  413|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2impl.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/normalizer2impl.cpp",
                    "line": 0,
                    "event": "internal warning",
                    "message": "child 5289 timed out after 30s",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/normlzr.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/pluralmap.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/propname.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/propsvec.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/punycode.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/putil.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "acedd24c5642fa769291d3e9ad2f0353a8dd93f6",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/putil.cpp",
                    "line": 936,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'sizeFileRead' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/putil.cpp",
                    "line": 936,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'sizeFileRead' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  934|                   rewind(tzInfo->defaultTZFilePtr);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  935|                   tzInfo->defaultTZBuffer = (char*)uprv_malloc(sizeof(char) * tzInfo->defaultTZFileSize);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  936|->                 sizeFileRead = fread(tzInfo->defaultTZBuffer, 1, tzInfo->defaultTZFileSize, tzInfo->defaultTZFilePtr);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  937|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  938|               rewind(file);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "bf33506419798a954bfd36ced3f6864a815d6292",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/putil.cpp",
                    "line": 1536,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'dir' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/putil.cpp",
                    "line": 1536,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'dir' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1534|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1535|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1536|->     const char *dir = \"\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1537|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1538|   #if defined(ICU_TIMEZONE_FILES_DIR_PREFIX_ENV_VAR)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/rbbi.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "a004dcf8387d0de020bb657f458e0ef3492db10e",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/rbbi.cpp",
                    "line": 1245,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'status' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/rbbi.cpp",
                    "line": 1245,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'status' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1243|           fUnhandledBreakEngine = new UnhandledEngine(status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1244|           if (U_SUCCESS(status) && fUnhandledBreakEngine == nullptr) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1245|->             status = U_MEMORY_ALLOCATION_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1246|               return nullptr;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1247|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/rbbi_cache.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/rbbidata.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/rbbinode.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/rbbirb.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/rbbiscan.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/rbbisetb.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/rbbistbl.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/rbbitblb.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/resbund.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/serv.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/servlk.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/servlkf.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/servls.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/servnotf.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/servrbf.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/servslkf.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/sharedobject.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/simpleformatter.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/static_unicode_sets.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringpiece.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "3d818bd7306e1984bc98c68152f3d10b656793e1",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 183,
                    "column": 14,
                    "event": "warning[core.uninitialized.Assign]",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 70,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'buildOption' is equal to USTRINGTRIE_BUILD_FAST",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 70,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 71,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'StringTrieBuilder::writeNode'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 91,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 91,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 102,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'minUnit' is not equal to 'maxUnit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 102,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 121,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'StringTrieBuilder::writeBranchSubNode'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 139,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 139,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 145,
                    "column": 28,
                    "event": "note",
                    "message": "Calling 'StringTrieBuilder::writeBranchSubNode'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 139,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 139,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 145,
                    "column": 28,
                    "event": "note",
                    "message": "Calling 'StringTrieBuilder::writeBranchSubNode'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 139,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 139,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 152",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 159,
                    "column": 30,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 159,
                    "column": 41,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 161,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 155,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 172,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 170,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 182,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 182,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 185,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 185,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 182,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 182,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 185,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 185,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 182,
                    "column": 11,
                    "event": "note",
                    "message": "The value 2147483645 is assigned to 'unitNumber'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 182,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/stringtriebuilder.cpp",
                    "line": 183,
                    "column": 14,
                    "event": "note",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  181|       // Write the rest of this node's unit-value pairs.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  182|       while(--unitNumber>=0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  183|->         start=starts[unitNumber];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  184|           int32_t value;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  185|           if(isFinal[unitNumber]) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uarrsort.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "267fd97b63c60d7bbae142ffc8fe765259c92b27",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1271,
                    "column": 43,
                    "event": "warning[core.UndefinedBinaryOperatorResult]",
                    "message": "The left operand of '<' is a garbage value due to array index out of bounds",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1080,
                    "column": 22,
                    "event": "note",
                    "message": "Assuming field 'defaultParaLevel' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiimp.h",
                    "line": 129,
                    "column": 27,
                    "event": "note",
                    "message": "expanded from macro 'GET_PARALEVEL'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1080,
                    "column": 22,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiimp.h",
                    "line": 129,
                    "column": 27,
                    "event": "note",
                    "message": "expanded from macro 'GET_PARALEVEL'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1080,
                    "column": 22,
                    "event": "note",
                    "message": "Assuming 0 is >= field 'limit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiimp.h",
                    "line": 129,
                    "column": 57,
                    "event": "note",
                    "message": "expanded from macro 'GET_PARALEVEL'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1080,
                    "column": 22,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiimp.h",
                    "line": 129,
                    "column": 27,
                    "event": "note",
                    "message": "expanded from macro 'GET_PARALEVEL'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1084,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1090,
                    "column": 9,
                    "event": "note",
                    "message": "'direction' is equal to UBIDI_MIXED",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1090,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1094,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is <= UBIDI_REORDER_NUMBERS_SPECIAL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1094,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1110,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1110,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1168,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming 'i' is < 'length'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1168,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1170,
                    "column": 13,
                    "event": "note",
                    "message": "Control jumps to 'case LRI:'  at line 1219",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1223,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1230,
                    "column": 20,
                    "event": "note",
                    "message": "'dirProp' is equal to LRI",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1230,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1236,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'newLevel' is <= UBIDI_MAX_EXPLICIT_LEVEL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1236,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1236,
                    "column": 58,
                    "event": "note",
                    "message": "'overflowIsolateCount' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1236,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1237,
                    "column": 58,
                    "event": "note",
                    "message": "'overflowEmbeddingCount' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1236,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1241,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'validIsolateCount' is <= field 'isolateCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1241,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1254,
                    "column": 17,
                    "event": "note",
                    "message": " Execution continues on line 1168",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1168,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming 'i' is < 'length'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1168,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1170,
                    "column": 13,
                    "event": "note",
                    "message": "Control jumps to 'case PDI:'  at line 1255",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1256,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 122,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'NO_OVERRIDE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1256,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1262,
                    "column": 20,
                    "event": "note",
                    "message": "'overflowIsolateCount' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1262,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1267,
                    "column": 25,
                    "event": "note",
                    "message": "'validIsolateCount' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1267,
                    "column": 22,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1271,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1271,
                    "column": 21,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1271,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1271,
                    "column": 21,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1272,
                    "column": 25,
                    "event": "note",
                    "message": "The value 4294967295 is assigned to 'stackLast'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi.cpp",
                    "line": 1271,
                    "column": 43,
                    "event": "note",
                    "message": "The left operand of '<' is a garbage value due to array index out of bounds",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1269|                       lastCcPos=i;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1270|                       overflowEmbeddingCount=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1271|->                     while(stack[stackLast]<ISOLATE) /* pop embedding entries */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1272|                           stackLast--;                /* until the last isolate entry */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1273|                       stackLast--;                    /* pop also the last isolate entry */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidi_props.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiln.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubiditransform.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 562,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "b5ceace39ee6a1d1bd83482adc3714f803fa02da",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubiditransform.cpp",
                    "line": 497,
                    "event": "error[autoVariables]",
                    "message": "Address of local auto-variable assigned to a function parameter.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  495|       pBiDiTransform->dest = dest;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  496|       pBiDiTransform->destSize = destSize;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  497|->     pBiDiTransform->pDestLength = &destLength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  498|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  499|       /* Checking for U_SUCCESS() within the loop to bail out on first failure. */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 571,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "467b8e6b0e6bc39d3dcce617c4f133ad9a2b6bc5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubiditransform.cpp",
                    "line": 502,
                    "event": "error[pointerArithBool]",
                    "message": "Converting pointer arithmetic result to bool. The bool is always true unless there is undefined behaviour.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  500|       for (action = pBiDiTransform->pActiveScheme->actions; *action && U_SUCCESS(*pErrorCode); action++) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  501|           if ((*action)(pBiDiTransform, pErrorCode)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  502|->             if (action + 1) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  503|                   updateSrc(pBiDiTransform, pBiDiTransform->dest, *pBiDiTransform->pDestLength,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  504|                           *pBiDiTransform->pDestLength, pErrorCode);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 697,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "ff0ef92e91c1cfdd498f660d683b30b61ca941b5",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubiditransform.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘uint32_t ubiditransform_transform_74(UBiDiTransform*, const char16_t*, int32_t, char16_t*, int32_t, UBiDiLevel, UBiDiOrder, UBiDiLevel, UBiDiOrder, UBiDiMirroring, uint32_t, UErrorCode*)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubiditransform.cpp",
                    "line": 502,
                    "column": 24,
                    "event": "warning[-Waddress]",
                    "message": "comparing the result of pointer addition ‘(action + 8)’ and NULL",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  502 |             if (action + 1) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                 ~~~~~~~^~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  500|       for (action = pBiDiTransform->pActiveScheme->actions; *action && U_SUCCESS(*pErrorCode); action++) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  501|           if ((*action)(pBiDiTransform, pErrorCode)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  502|->             if (action + 1) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  503|                   updateSrc(pBiDiTransform, pBiDiTransform->dest, *pBiDiTransform->pDestLength,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  504|                           *pBiDiTransform->pDestLength, pErrorCode);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "927ddcc23ae2d119bfc8b52a6a67bd9aabbd5bb0",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 73,
                    "column": 20,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'destSize' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 394,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is equal to UBIDI_REORDER_INVERSE_NUMBERS_AS_L",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 444,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'run' is < 'runCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 444,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 445,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 445,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 446,
                    "column": 31,
                    "event": "note",
                    "message": "Calling 'doWriteForward'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 64,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to 'case 0:'  at line 65",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 68,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 'length'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 68,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 73,
                    "column": 14,
                    "event": "note",
                    "message": "Null pointer value stored to 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 73,
                    "column": 20,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   71|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   72|           do {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   73|->             *dest++=*src++;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   74|           } while(--length>0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   75|           return srcLength;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "cd292307741f7a3e3896ecdb74b917f7e2019587",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 89,
                    "column": 13,
                    "event": "warning[core.NullDereference]",
                    "message": "Array access (from variable 'dest') results in a null pointer dereference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 369,
                    "column": 19,
                    "event": "note",
                    "message": "expanded from macro 'U16_APPEND_UNSAFE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'destSize' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 394,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is equal to UBIDI_REORDER_INVERSE_NUMBERS_AS_L",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 444,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'run' is < 'runCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 444,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 445,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 445,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 447,
                    "column": 46,
                    "event": "note",
                    "message": "Passing null pointer value via 3rd parameter 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 446,
                    "column": 31,
                    "event": "note",
                    "message": "Calling 'doWriteForward'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 64,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to 'case 2:'  at line 77",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 82,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 'srcLength'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 82,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 87,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 311,
                    "column": 8,
                    "event": "note",
                    "message": "expanded from macro 'U16_NEXT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 59,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_LEAD'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 87,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 311,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'U16_NEXT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 87,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 309,
                    "column": 35,
                    "event": "note",
                    "message": "expanded from macro 'U16_NEXT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/umachine.h",
                    "line": 147,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'UPRV_BLOCK_MACRO_BEGIN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 89,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'c' is <= 65535",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 368,
                    "column": 8,
                    "event": "note",
                    "message": "expanded from macro 'U16_APPEND_UNSAFE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 89,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 368,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'U16_APPEND_UNSAFE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 89,
                    "column": 13,
                    "event": "note",
                    "message": "Array access (from variable 'dest') results in a null pointer dereference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 369,
                    "column": 19,
                    "event": "note",
                    "message": "expanded from macro 'U16_APPEND_UNSAFE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   87|               U16_NEXT(src, i, srcLength, c);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   88|               c=u_charMirror(c);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   89|->             U16_APPEND_UNSAFE(dest, j, c);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   90|           } while(i<srcLength);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   91|           return srcLength;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "8b6596c234a5c8fc0174c0ccb4135b98d25e8698",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 112,
                    "column": 24,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'destSize' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 394,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is equal to UBIDI_REORDER_INVERSE_NUMBERS_AS_L",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 444,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'run' is < 'runCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 444,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 445,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 445,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 454,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 444,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'run' is < 'runCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 444,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 445,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 445,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 446,
                    "column": 31,
                    "event": "note",
                    "message": "Calling 'doWriteForward'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 64,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to 'case 8:'  at line 93",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 99,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiimp.h",
                    "line": 238,
                    "column": 34,
                    "event": "note",
                    "message": "expanded from macro 'IS_BIDI_CONTROL_CHAR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 99,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiimp.h",
                    "line": 238,
                    "column": 34,
                    "event": "note",
                    "message": "expanded from macro 'IS_BIDI_CONTROL_CHAR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 99,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiimp.h",
                    "line": 238,
                    "column": 75,
                    "event": "note",
                    "message": "expanded from macro 'IS_BIDI_CONTROL_CHAR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 99,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiimp.h",
                    "line": 238,
                    "column": 34,
                    "event": "note",
                    "message": "expanded from macro 'IS_BIDI_CONTROL_CHAR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 99,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiimp.h",
                    "line": 238,
                    "column": 105,
                    "event": "note",
                    "message": "expanded from macro 'IS_BIDI_CONTROL_CHAR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 99,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 100,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 100,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 112,
                    "column": 18,
                    "event": "note",
                    "message": "Null pointer value stored to 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 112,
                    "column": 24,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  110|                       return destSize-remaining;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  111|                   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  112|->                 *dest++=c;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  113|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  114|           } while(--srcLength>0);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "f570823e8546568494d43028274e32e2b0b3d822",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 203,
                    "column": 24,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'destSize' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 394,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is equal to UBIDI_REORDER_INVERSE_NUMBERS_AS_L",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 444,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'run' is < 'runCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 444,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 445,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 445,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 450,
                    "column": 31,
                    "event": "note",
                    "message": "Calling 'doWriteReverse'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 178,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to 'case 0:'  at line 179",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 186,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 'srcLength'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 186,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 198,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 644,
                    "column": 8,
                    "event": "note",
                    "message": "expanded from macro 'U16_BACK_1'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 67,
                    "column": 26,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_TRAIL'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 198,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 644,
                    "column": 33,
                    "event": "note",
                    "message": "expanded from macro 'U16_BACK_1'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 198,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 643,
                    "column": 33,
                    "event": "note",
                    "message": "expanded from macro 'U16_BACK_1'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/umachine.h",
                    "line": 147,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'UPRV_BLOCK_MACRO_BEGIN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 203,
                    "column": 18,
                    "event": "note",
                    "message": "Null pointer value stored to 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 203,
                    "column": 24,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  201|               j=srcLength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  202|               do {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  203|->                 *dest++=src[j++];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  204|               } while(j<i);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  205|           } while(srcLength>0);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "f570823e8546568494d43028274e32e2b0b3d822",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 233,
                    "column": 24,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'destSize' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 394,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is equal to UBIDI_REORDER_INVERSE_NUMBERS_AS_L",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 444,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'run' is < 'runCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 444,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 445,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 445,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 450,
                    "column": 31,
                    "event": "note",
                    "message": "Calling 'doWriteReverse'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 178,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to 'case 1:'  at line 207",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 214,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 'srcLength'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 214,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 227,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 572,
                    "column": 8,
                    "event": "note",
                    "message": "expanded from macro 'U16_PREV'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 67,
                    "column": 26,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_TRAIL'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 227,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 572,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'U16_PREV'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 227,
                    "column": 17,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 570,
                    "column": 34,
                    "event": "note",
                    "message": "expanded from macro 'U16_PREV'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/umachine.h",
                    "line": 147,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'UPRV_BLOCK_MACRO_BEGIN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 228,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming 'srcLength' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 228,
                    "column": 33,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 226,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 233,
                    "column": 18,
                    "event": "note",
                    "message": "Null pointer value stored to 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 233,
                    "column": 24,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  231|               j=srcLength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  232|               do {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  233|->                 *dest++=src[j++];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  234|               } while(j<i);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  235|           } while(srcLength>0);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "eb064e07d73ea49891ab9db49293a597922a9169",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 294,
                    "column": 17,
                    "event": "warning[core.NullDereference]",
                    "message": "Array access (from variable 'dest') results in a null pointer dereference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 369,
                    "column": 19,
                    "event": "note",
                    "message": "expanded from macro 'U16_APPEND_UNSAFE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'destSize' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 394,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is equal to UBIDI_REORDER_INVERSE_NUMBERS_AS_L",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 444,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'run' is < 'runCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 444,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 445,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 445,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 451,
                    "column": 46,
                    "event": "note",
                    "message": "Passing null pointer value via 3rd parameter 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 450,
                    "column": 31,
                    "event": "note",
                    "message": "Calling 'doWriteReverse'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 178,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to the 'default' case at line 237",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 245,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 245,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 263,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 'i'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 263,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 275,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 572,
                    "column": 8,
                    "event": "note",
                    "message": "expanded from macro 'U16_PREV'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 67,
                    "column": 26,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_TRAIL'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 275,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 572,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'U16_PREV'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 275,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 570,
                    "column": 34,
                    "event": "note",
                    "message": "expanded from macro 'U16_PREV'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/umachine.h",
                    "line": 147,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'UPRV_BLOCK_MACRO_BEGIN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 276,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 276,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 283,
                    "column": 51,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 290,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 290,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 294,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'c' is <= 65535",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 368,
                    "column": 8,
                    "event": "note",
                    "message": "expanded from macro 'U16_APPEND_UNSAFE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 294,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 368,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'U16_APPEND_UNSAFE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 294,
                    "column": 17,
                    "event": "note",
                    "message": "Array access (from variable 'dest') results in a null pointer dereference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 369,
                    "column": 19,
                    "event": "note",
                    "message": "expanded from macro 'U16_APPEND_UNSAFE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  292|                   int32_t k=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  293|                   c=u_charMirror(c);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  294|->                 U16_APPEND_UNSAFE(dest, k, c);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  295|                   dest+=k;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  296|                   j+=k;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "f570823e8546568494d43028274e32e2b0b3d822",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 299,
                    "column": 24,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'destSize' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 394,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is equal to UBIDI_REORDER_INVERSE_NUMBERS_AS_L",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 444,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'run' is < 'runCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 444,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 445,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 445,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 450,
                    "column": 31,
                    "event": "note",
                    "message": "Calling 'doWriteReverse'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 178,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to the 'default' case at line 237",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 245,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 245,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 263,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 'i'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 263,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 275,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 572,
                    "column": 8,
                    "event": "note",
                    "message": "expanded from macro 'U16_PREV'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 67,
                    "column": 26,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_TRAIL'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 275,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 572,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'U16_PREV'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 275,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 570,
                    "column": 34,
                    "event": "note",
                    "message": "expanded from macro 'U16_PREV'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/umachine.h",
                    "line": 147,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'UPRV_BLOCK_MACRO_BEGIN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 276,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 276,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 283,
                    "column": 51,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 290,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 290,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 298,
                    "column": 19,
                    "event": "note",
                    "message": "Assuming 'j' is < 'i'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 298,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 299,
                    "column": 18,
                    "event": "note",
                    "message": "Null pointer value stored to 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 299,
                    "column": 24,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  297|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  298|               while(j<i) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  299|->                 *dest++=src[j++];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  300|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  301|           } while(srcLength>0);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "a09b719a2367a667742bfc67a5b7a9fdc941009e",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 516,
                    "column": 36,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'destSize' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 394,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is equal to UBIDI_REORDER_INVERSE_NUMBERS_AS_L",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 467,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'run' is < 'runCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 467,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 472,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'markFlag' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 472,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 476,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'dir' is equal to UBIDI_LTR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 476,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 477,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming field 'isInverse' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 477,
                    "column": 43,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 481,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 481,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 484,
                    "column": 30,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 484,
                    "column": 26,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 488,
                    "column": 24,
                    "event": "note",
                    "message": "'uc' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 488,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 498,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 503,
                    "column": 32,
                    "event": "note",
                    "message": "Field 'isInverse' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 503,
                    "column": 43,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 507,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 507,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 514,
                    "column": 24,
                    "event": "note",
                    "message": "'uc' is 8206",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 514,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 515,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming 'destSize' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 515,
                    "column": 25,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 516,
                    "column": 36,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  514|                       if(uc) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  515|                           if(destSize>0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  516|->                             *dest++=uc;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  517|                           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  518|                           --destSize;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "a09b719a2367a667742bfc67a5b7a9fdc941009e",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 560,
                    "column": 36,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'destSize' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 394,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is equal to UBIDI_REORDER_INVERSE_NUMBERS_AS_L",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 442,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 467,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'run' is < 'runCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 467,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 472,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'markFlag' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 472,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 476,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'dir' is not equal to UBIDI_LTR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 476,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 521,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming field 'isInverse' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 521,
                    "column": 43,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 525,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 525,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 528,
                    "column": 30,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 528,
                    "column": 26,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 532,
                    "column": 24,
                    "event": "note",
                    "message": "'uc' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 532,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 542,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 547,
                    "column": 32,
                    "event": "note",
                    "message": "Field 'isInverse' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 547,
                    "column": 43,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 551,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 551,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 558,
                    "column": 24,
                    "event": "note",
                    "message": "'uc' is 8206",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 558,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 559,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming 'destSize' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 559,
                    "column": 25,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 560,
                    "column": 36,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  558|                       if(uc) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  559|                           if(destSize>0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  560|->                             *dest++=uc;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  561|                           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  562|                           --destSize;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "5b0f5a9ce33bce6a4e7a1406e82217c8ebfd78dc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 600,
                    "column": 36,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'destSize' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 394,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is equal to UBIDI_REORDER_INVERSE_NUMBERS_AS_L",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 569,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 569,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 592,
                    "column": 31,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 592,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 597,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'dir' is equal to UBIDI_LTR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 597,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 598,
                    "column": 46,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 598,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 608,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 613,
                    "column": 37,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 613,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 592,
                    "column": 31,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 592,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 597,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'dir' is equal to UBIDI_LTR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 597,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 598,
                    "column": 46,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 598,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 599,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming 'destSize' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 599,
                    "column": 25,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 600,
                    "column": 36,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  598|                       if(/*run<runCount-1 &&*/ dirProps[logicalStart+runLength-1]!=L) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  599|                           if(destSize>0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  600|->                             *dest++=LRM_CHAR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  601|                           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  602|                           --destSize;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "5b0f5a9ce33bce6a4e7a1406e82217c8ebfd78dc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 615,
                    "column": 36,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'destSize' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 394,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is equal to UBIDI_REORDER_INVERSE_NUMBERS_AS_L",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 569,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 569,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 592,
                    "column": 31,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 592,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 597,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'dir' is equal to UBIDI_LTR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 597,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 598,
                    "column": 46,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 598,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 608,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 613,
                    "column": 37,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 613,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 614,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming 'destSize' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 614,
                    "column": 25,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 615,
                    "column": 36,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  613|                       if(/*run>0 &&*/ dirProps[logicalStart]!=L) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  614|                           if(destSize>0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  615|->                             *dest++=LRM_CHAR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  616|                           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  617|                           --destSize;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "291a3c4ab1420f2c943b7a9af3d3e39789ca293a",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 622,
                    "column": 36,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'destSize' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 394,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is equal to UBIDI_REORDER_INVERSE_NUMBERS_AS_L",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 569,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 569,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 592,
                    "column": 31,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 592,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 597,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'dir' is equal to UBIDI_LTR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 597,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 598,
                    "column": 46,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 598,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 608,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 613,
                    "column": 37,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 613,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 592,
                    "column": 31,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 592,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 597,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'dir' is not equal to UBIDI_LTR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 597,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 620,
                    "column": 58,
                    "event": "note",
                    "message": "Assuming right operand of bit shift is non-negative but less than 64",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiimp.h",
                    "line": 78,
                    "column": 28,
                    "event": "note",
                    "message": "expanded from macro 'DIRPROP_FLAG'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 620,
                    "column": 46,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 620,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 621,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming 'destSize' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 621,
                    "column": 25,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 622,
                    "column": 36,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  620|                       if(/*run<runCount-1 &&*/ !(MASK_R_AL&DIRPROP_FLAG(dirProps[logicalStart]))) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  621|                           if(destSize>0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  622|->                             *dest++=RLM_CHAR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  623|                           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  624|                           --destSize;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "291a3c4ab1420f2c943b7a9af3d3e39789ca293a",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 637,
                    "column": 36,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 366,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 372,
                    "column": 40,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destSize' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'destSize' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 373,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 380,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 388,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 394,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 406,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 414,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is not equal to UBIDI_REORDER_INVERSE_NUMBERS_AS_L",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 423,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is not equal to UBIDI_REORDER_INVERSE_LIKE_DIRECT",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 424,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is not equal to UBIDI_REORDER_INVERSE_FOR_NUMBERS_SPECIAL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 425,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'reorderingMode' is not equal to UBIDI_REORDER_RUNS_ONLY",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 422,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 440,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 569,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 569,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 592,
                    "column": 31,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 592,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 597,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'dir' is not equal to UBIDI_LTR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 597,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 620,
                    "column": 58,
                    "event": "note",
                    "message": "Assuming right operand of bit shift is non-negative but less than 64",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiimp.h",
                    "line": 78,
                    "column": 28,
                    "event": "note",
                    "message": "expanded from macro 'DIRPROP_FLAG'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 620,
                    "column": 46,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 620,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 630,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 635,
                    "column": 49,
                    "event": "note",
                    "message": "Assuming right operand of bit shift is non-negative but less than 64",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiimp.h",
                    "line": 78,
                    "column": 28,
                    "event": "note",
                    "message": "expanded from macro 'DIRPROP_FLAG'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 635,
                    "column": 37,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 635,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 636,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming 'destSize' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 636,
                    "column": 25,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubidiwrt.cpp",
                    "line": 637,
                    "column": 36,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  635|                       if(/*run>0 &&*/ !(MASK_R_AL&DIRPROP_FLAG(dirProps[logicalStart+runLength-1]))) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  636|                           if(destSize>0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  637|->                             *dest++=RLM_CHAR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  638|                           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  639|                           --destSize;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ubrk.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucase.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucasemap.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucasemap_titlecase_brkiter.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucat.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uchar.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucharstrie.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucharstriebuilder.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucharstrieiterator.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucln_cmn.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucmndata.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 562,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "0340ab99f5a985b2bd290e46bbc3222e91f8e0d0",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 888,
                    "event": "error[autoVariables]",
                    "message": "Address of local auto-variable assigned to a function parameter.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  886|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  887|           uprv_memcpy(replay, cnv->preFromU, -cnv->preFromULength*U_SIZEOF_UCHAR);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  888|->         pArgs->source=replay;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  889|           pArgs->sourceLimit=replay-cnv->preFromULength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  890|           pArgs->flush=false;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 562,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "fbed0b8f0d710c737a4b2bdc30a2d1c9d05e4871",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 889,
                    "event": "error[autoVariables]",
                    "message": "Address of local auto-variable assigned to a function parameter.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  887|           uprv_memcpy(replay, cnv->preFromU, -cnv->preFromULength*U_SIZEOF_UCHAR);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  888|           pArgs->source=replay;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  889|->         pArgs->sourceLimit=replay-cnv->preFromULength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  890|           pArgs->flush=false;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  891|           sourceIndex=-1;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 562,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "0340ab99f5a985b2bd290e46bbc3222e91f8e0d0",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 977,
                    "event": "error[autoVariables]",
                    "message": "Address of local auto-variable assigned to a function parameter.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  975|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  976|                       uprv_memcpy(replay, cnv->preFromU, -cnv->preFromULength*U_SIZEOF_UCHAR);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  977|->                     pArgs->source=replay;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  978|                       pArgs->sourceLimit=replay-cnv->preFromULength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  979|                       pArgs->flush=false;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 562,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "fbed0b8f0d710c737a4b2bdc30a2d1c9d05e4871",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 978,
                    "event": "error[autoVariables]",
                    "message": "Address of local auto-variable assigned to a function parameter.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  976|                       uprv_memcpy(replay, cnv->preFromU, -cnv->preFromULength*U_SIZEOF_UCHAR);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  977|                       pArgs->source=replay;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  978|->                     pArgs->sourceLimit=replay-cnv->preFromULength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  979|                       pArgs->flush=false;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  980|                       if((sourceIndex+=cnv->preFromULength)<0) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "d8c727855bd165af89e3e447ddd73036891ed9c9",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1040,
                    "column": 21,
                    "event": "warning[core.StackAddressEscape]",
                    "message": "Address of stack memory associated with local variable 'replay' is still referred to by the stack variable 'fromUArgs' upon returning to the caller.  This will be a dangling reference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2063,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2063,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2063,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 31,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2068,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2068,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2069,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2069,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2069,
                    "column": 48,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2077,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2077,
                    "column": 30,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2077,
                    "column": 51,
                    "event": "note",
                    "message": "Assuming 'targetLimit' is >= 't'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2077,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2087,
                    "column": 31,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2088,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2088,
                    "column": 53,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2094,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2094,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'pivotStart' is < 'pivotLimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2107,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2107,
                    "column": 41,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2108,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2108,
                    "column": 41,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2109,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2115,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2120,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'reset' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2120,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2124,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming field 'charErrorBufferLength' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2124,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2142,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'conversionType' is not equal to UCNV_UTF8",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2142,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2146,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming field 'conversionType' is not equal to UCNV_UTF8",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2146,
                    "column": 77,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2173,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2213,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2222,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2222,
                    "column": 39,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2229,
                    "column": 13,
                    "event": "note",
                    "message": "Calling '_fromUnicodeWithCallback'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 856,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 868,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'preFromULength' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 868,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 908,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 909,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 921,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 922,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming field 'flush' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 922,
                    "column": 38,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 943,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 945,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 965,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming field 'preFromULength' is < 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 965,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 970,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 976,
                    "column": 21,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 42,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/umachine.h",
                    "line": 147,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'UPRV_BLOCK_MACRO_BEGIN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 980,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 996,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 997,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 's' is >= field 'sourceLimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 997,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1003,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1003,
                    "column": 24,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1012,
                    "column": 34,
                    "event": "note",
                    "message": "Field 'flush' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1012,
                    "column": 40,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1023,
                    "column": 31,
                    "event": "note",
                    "message": "Field 'flush' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1023,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1040,
                    "column": 21,
                    "event": "note",
                    "message": "Address of stack memory associated with local variable 'replay' is still referred to by the stack variable 'fromUArgs' upon returning to the caller.  This will be a dangling reference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1038|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1039|                       /* done successfully */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1040|->                     return;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1041|                   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1042|               }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "d8c727855bd165af89e3e447ddd73036891ed9c9",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1082,
                    "column": 21,
                    "event": "warning[core.StackAddressEscape]",
                    "message": "Address of stack memory associated with local variable 'replay' is still referred to by the stack variable 'fromUArgs' upon returning to the caller.  This will be a dangling reference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2063,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2063,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2063,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 31,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2068,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2068,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2069,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2069,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2069,
                    "column": 48,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2077,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2077,
                    "column": 30,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2077,
                    "column": 51,
                    "event": "note",
                    "message": "Assuming 'targetLimit' is >= 't'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2077,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2087,
                    "column": 31,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2088,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2088,
                    "column": 53,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2094,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2094,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'pivotStart' is < 'pivotLimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2107,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2107,
                    "column": 41,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2108,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2108,
                    "column": 41,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2109,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2115,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2120,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'reset' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2120,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2124,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming field 'charErrorBufferLength' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2124,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2142,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'conversionType' is not equal to UCNV_UTF8",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2142,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2146,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming field 'conversionType' is not equal to UCNV_UTF8",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2146,
                    "column": 77,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2173,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2213,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2222,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2222,
                    "column": 39,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2229,
                    "column": 13,
                    "event": "note",
                    "message": "Calling '_fromUnicodeWithCallback'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 856,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 868,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'preFromULength' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 868,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 908,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 909,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 921,
                    "column": 41,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 943,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 945,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 965,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming field 'preFromULength' is < 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 965,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 970,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 976,
                    "column": 21,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 42,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/umachine.h",
                    "line": 147,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'UPRV_BLOCK_MACRO_BEGIN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 980,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 996,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1048,
                    "column": 21,
                    "event": "note",
                    "message": "'calledCallback' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1048,
                    "column": 21,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1049,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1049,
                    "column": 55,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1066,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1066,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1082,
                    "column": 21,
                    "event": "note",
                    "message": "Address of stack memory associated with local variable 'replay' is still referred to by the stack variable 'fromUArgs' upon returning to the caller.  This will be a dangling reference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1080|                       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1081|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1082|->                     return;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1083|                   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1084|               }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 562,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "0340ab99f5a985b2bd290e46bbc3222e91f8e0d0",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1333,
                    "event": "error[autoVariables]",
                    "message": "Address of local auto-variable assigned to a function parameter.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1331|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1332|           uprv_memcpy(replay, cnv->preToU, -cnv->preToULength);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1333|->         pArgs->source=replay;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1334|           pArgs->sourceLimit=replay-cnv->preToULength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1335|           pArgs->flush=false;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 562,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "9f3442d3756955536b1bc982bbbfd81700e15443",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1334,
                    "event": "error[autoVariables]",
                    "message": "Address of local auto-variable assigned to a function parameter.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1332|           uprv_memcpy(replay, cnv->preToU, -cnv->preToULength);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1333|           pArgs->source=replay;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1334|->         pArgs->sourceLimit=replay-cnv->preToULength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1335|           pArgs->flush=false;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1336|           sourceIndex=-1;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 562,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "0340ab99f5a985b2bd290e46bbc3222e91f8e0d0",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1422,
                    "event": "error[autoVariables]",
                    "message": "Address of local auto-variable assigned to a function parameter.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1420|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1421|                       uprv_memcpy(replay, cnv->preToU, -cnv->preToULength);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1422|->                     pArgs->source=replay;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1423|                       pArgs->sourceLimit=replay-cnv->preToULength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1424|                       pArgs->flush=false;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 562,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "9f3442d3756955536b1bc982bbbfd81700e15443",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1423,
                    "event": "error[autoVariables]",
                    "message": "Address of local auto-variable assigned to a function parameter.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1421|                       uprv_memcpy(replay, cnv->preToU, -cnv->preToULength);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1422|                       pArgs->source=replay;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1423|->                     pArgs->sourceLimit=replay-cnv->preToULength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1424|                       pArgs->flush=false;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1425|                       if((sourceIndex+=cnv->preToULength)<0) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4f23707ad74b1b1fe63995e7af8a7d3b336b1222",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1485,
                    "column": 21,
                    "event": "warning[core.StackAddressEscape]",
                    "message": "Address of stack memory associated with local variable 'replay' is still referred to by the stack variable 'toUArgs' upon returning to the caller.  This will be a dangling reference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2063,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2063,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2063,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 31,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2068,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2068,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2069,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2069,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2069,
                    "column": 48,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2077,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2077,
                    "column": 30,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2077,
                    "column": 51,
                    "event": "note",
                    "message": "Assuming 'targetLimit' is >= 't'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2077,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2087,
                    "column": 31,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2088,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2088,
                    "column": 53,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2094,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2094,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'pivotStart' is < 'pivotLimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2107,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2107,
                    "column": 41,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2108,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2108,
                    "column": 41,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2109,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2115,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2120,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'reset' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2120,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2124,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming field 'charErrorBufferLength' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2124,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2142,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'conversionType' is not equal to UCNV_UTF8",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2142,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2146,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming field 'conversionType' is not equal to UCNV_UTF8",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2146,
                    "column": 77,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2173,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2213,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2222,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2222,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2222,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2224,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming field 'preFromULength' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2222,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2225,
                    "column": 23,
                    "event": "note",
                    "message": "Field 'flush' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2222,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2252,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming field 'UCharErrorBufferLength' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2252,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2267,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'sourceLimit' is not equal to field 'source'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2267,
                    "column": 41,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2280,
                    "column": 29,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2354,
                    "column": 9,
                    "event": "note",
                    "message": "Calling '_toUnicodeWithCallback'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1301,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1313,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'preToULength' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1313,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1353,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1354,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1366,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1367,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming field 'flush' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1367,
                    "column": 38,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1388,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1390,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1410,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming field 'preToULength' is < 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1410,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1415,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1421,
                    "column": 21,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 42,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/umachine.h",
                    "line": 147,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'UPRV_BLOCK_MACRO_BEGIN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1425,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1441,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1442,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 's' is >= field 'sourceLimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1442,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1448,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1448,
                    "column": 24,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1457,
                    "column": 34,
                    "event": "note",
                    "message": "Field 'flush' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1457,
                    "column": 40,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1468,
                    "column": 31,
                    "event": "note",
                    "message": "Field 'flush' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1468,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1485,
                    "column": 21,
                    "event": "note",
                    "message": "Address of stack memory associated with local variable 'replay' is still referred to by the stack variable 'toUArgs' upon returning to the caller.  This will be a dangling reference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1483|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1484|                       /* done successfully */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1485|->                     return;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1486|                   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1487|               }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4f23707ad74b1b1fe63995e7af8a7d3b336b1222",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1529,
                    "column": 21,
                    "event": "warning[core.StackAddressEscape]",
                    "message": "Address of stack memory associated with local variable 'replay' is still referred to by the stack variable 'toUArgs' upon returning to the caller.  This will be a dangling reference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2063,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2063,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2063,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 31,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2068,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2068,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2069,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2069,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2069,
                    "column": 48,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2067,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2077,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2077,
                    "column": 30,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2077,
                    "column": 51,
                    "event": "note",
                    "message": "Assuming 'targetLimit' is >= 't'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2077,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2087,
                    "column": 31,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2088,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2088,
                    "column": 53,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2094,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2094,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'pivotStart' is < 'pivotLimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2107,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2107,
                    "column": 41,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2108,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2108,
                    "column": 41,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2109,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2106,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2115,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2120,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'reset' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2120,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2124,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming field 'charErrorBufferLength' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2124,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2142,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'conversionType' is not equal to UCNV_UTF8",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2142,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2146,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming field 'conversionType' is not equal to UCNV_UTF8",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2146,
                    "column": 77,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2173,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2213,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2222,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2222,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2222,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2224,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming field 'preFromULength' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2222,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2225,
                    "column": 23,
                    "event": "note",
                    "message": "Field 'flush' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2222,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2252,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming field 'UCharErrorBufferLength' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2252,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2267,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'sourceLimit' is not equal to field 'source'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2267,
                    "column": 41,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2280,
                    "column": 29,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 2354,
                    "column": 9,
                    "event": "note",
                    "message": "Calling '_toUnicodeWithCallback'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1301,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1313,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'preToULength' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1313,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1353,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1354,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1366,
                    "column": 41,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1388,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1390,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1410,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming field 'preToULength' is < 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1410,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1415,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1421,
                    "column": 21,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 42,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/umachine.h",
                    "line": 147,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'UPRV_BLOCK_MACRO_BEGIN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1425,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1441,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1493,
                    "column": 21,
                    "event": "note",
                    "message": "'calledCallback' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1493,
                    "column": 21,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1494,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1494,
                    "column": 55,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1513,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1513,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1529,
                    "column": 21,
                    "event": "note",
                    "message": "Address of stack memory associated with local variable 'replay' is still referred to by the stack variable 'toUArgs' upon returning to the caller.  This will be a dangling reference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1527|                       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1528|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1529|->                     return;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1530|                   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1531|               }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "18ca5504834e3413a26366b4b143246ad217ad18",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1937,
                    "column": 21,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 's' is used in the enclosing expression, the value is never actually read from 's'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv.cpp",
                    "line": 1937,
                    "column": 21,
                    "event": "note",
                    "message": "Although the value stored to 's' is used in the enclosing expression, the value is never actually read from 's'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1935|           if(cnv->toULength==0 && cnv->sharedData->impl->getNextUChar!=nullptr) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1936|               c=cnv->sharedData->impl->getNextUChar(&args, err);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1937|->             *source=s=args.source;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1938|               if(*err==U_INDEX_OUTOFBOUNDS_ERROR) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1939|                   /* reset the converter without calling the callback function */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv2022.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "fb0176d2b9486dfda889029fb6e2325f3b200575",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv2022.cpp",
                    "line": 2387,
                    "column": 5,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'oldIsTargetByteDBCS' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv2022.cpp",
                    "line": 2387,
                    "column": 5,
                    "event": "note",
                    "message": "Value stored to 'oldIsTargetByteDBCS' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2385|       useFallback = args->converter->useFallback;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2386|       isTargetByteDBCS=(UBool)args->converter->fromUnicodeStatus;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2387|->     oldIsTargetByteDBCS = isTargetByteDBCS;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2388|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2389|       isTargetByteDBCS   = (UBool) args->converter->fromUnicodeStatus;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "119c97acf6456564a938378755806d8cc53bef8f",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 396,
                    "column": 5,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'mid' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 396,
                    "column": 5,
                    "event": "note",
                    "message": "Value stored to 'mid' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  394|       start = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  395|       limit = UPRV_LENGTHOF(cnvNameType);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  396|->     mid = limit;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  397|       lastMid = UINT32_MAX;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  398|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "125016ec687b4a1e5d9b0503b7bf3583936cab86",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1402,
                    "column": 13,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 49,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1356,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1356,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1356,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1363,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1363,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1364,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1363,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1365,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1363,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1366,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1363,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1367,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1363,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1368,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1362,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1379,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1379,
                    "column": 14,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1379,
                    "column": 5,
                    "event": "note",
                    "message": "Null pointer value stored to 'outBytes'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1383,
                    "column": 5,
                    "event": "note",
                    "message": "Null pointer value stored to 'outStaticData'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1385,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1385,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1389,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1389,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1390,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1389,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1399,
                    "column": 8,
                    "event": "note",
                    "message": "'length' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1399,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1401,
                    "column": 12,
                    "event": "note",
                    "message": "'inStaticData' is not equal to 'outStaticData'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1401,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1402,
                    "column": 13,
                    "event": "note",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 49,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1400|           /* swap the static data */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1401|           if(inStaticData!=outStaticData) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1402|->             uprv_memcpy(outStaticData, inStaticData, staticDataSize);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1403|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1404|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "5071cf7853b21f7f943ed8180844265dd89ce5d0",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1496,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'maxFastUChar' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_bld.cpp",
                    "line": 1496,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'maxFastUChar' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1494|            * where maxFastUChar=((mbcsHeader.version[2]<<8)|0xff).",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1495|            */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1496|->         maxFastUChar=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1497|           mbcsIndexLength=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1498|           if( outputType!=MBCS_OUTPUT_EXT_ONLY && outputType!=MBCS_OUTPUT_1 &&",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_cb.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_cnv.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_ct.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_ct.cpp",
                    "line": 0,
                    "event": "internal warning",
                    "message": "child 5879 timed out after 30s",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "1d924843f1ac88a6bdbcffdf643cae62bf1ceeb8",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_ct.cpp",
                    "line": 472,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'tmpSourceLimit' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_ct.cpp",
                    "line": 472,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'tmpSourceLimit' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  470|       char16_t *myTarget = args->target;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  471|       const char *mySourceLimit = args->sourceLimit;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  472|->     const char *tmpSourceLimit = mySourceLimit;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  473|       uint32_t mySourceChar = 0x0000;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  474|       COMPOUND_TEXT_CONVERTERS currentState, tmpState;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "615af4787f31166dd684d5d51693d51b804cb6d2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_ct.cpp",
                    "line": 492,
                    "column": 20,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'tmpState' is used in the enclosing expression, the value is never actually read from 'tmpState'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_ct.cpp",
                    "line": 492,
                    "column": 20,
                    "event": "note",
                    "message": "Although the value stored to 'tmpState' is used in the enclosing expression, the value is never actually read from 'tmpState'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  490|       subArgs.size = (uint16_t)minArgsSize;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  491|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  492|->     currentState = tmpState =  myConverterData->state;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  493|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  494|       while(mySource < mySourceLimit){",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_err.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_ext.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_io.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "40c683db531f3c6381872c0f07c016b0161c1fe8",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_io.cpp",
                    "line": 573,
                    "column": 5,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'mid' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_io.cpp",
                    "line": 573,
                    "column": 5,
                    "event": "note",
                    "message": "Value stored to 'mid' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  571|       start = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  572|       limit = gMainTable.untaggedConvArraySize;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  573|->     mid = limit;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  574|       lastMid = UINT32_MAX;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  575|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_lmb.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_u16.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_u32.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_u7.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnv_u8.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvbocu.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "2b1fa5209af0f8f2fcf6ba034a1da03784972d29",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvbocu.cpp",
                    "line": 623,
                    "column": 21,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'targetCapacity' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvbocu.cpp",
                    "line": 623,
                    "column": 21,
                    "event": "note",
                    "message": "Value stored to 'targetCapacity' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  621|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  622|                       /* target overflow */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  623|->                     targetCapacity=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  624|                       *pErrorCode=U_BUFFER_OVERFLOW_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  625|                       break;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "2b1fa5209af0f8f2fcf6ba034a1da03784972d29",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvbocu.cpp",
                    "line": 852,
                    "column": 21,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'targetCapacity' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvbocu.cpp",
                    "line": 852,
                    "column": 21,
                    "event": "note",
                    "message": "Value stored to 'targetCapacity' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  850|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  851|                       /* target overflow */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  852|->                     targetCapacity=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  853|                       *pErrorCode=U_BUFFER_OVERFLOW_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  854|                       break;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "45fdbb67041f8be50a2c08343fe7119d43959cdc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvbocu.cpp",
                    "line": 1049,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'sourceIndex' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvbocu.cpp",
                    "line": 1049,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'sourceIndex' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1047|                   *offsets++=sourceIndex;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1048|                   prev=BOCU1_SIMPLE_PREV(c);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1049|->                 sourceIndex=nextSourceIndex;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1050|                   goto fastSingle;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1051|               }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvdisp.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvhz.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvisci.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "c8bddf25aa7767e9a1b61a8dbb36abece0bada2e",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvisci.cpp",
                    "line": 1265,
                    "column": 21,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'targetUniChar' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvisci.cpp",
                    "line": 1265,
                    "column": 21,
                    "event": "note",
                    "message": "Value stored to 'targetUniChar' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1263|                       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1264|                       /* byte unit is unassigned */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1265|->                     targetUniChar = missingCharMarker;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1266|                       *err= U_INVALID_CHAR_FOUND;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1267|                   } else {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvlat1.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4bc5dfec3659953fd479830e2c93188c71982b9c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvlat1.cpp",
                    "line": 414,
                    "column": 42,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'sourceLimit' is used in the enclosing expression, the value is never actually read from 'sourceLimit'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvlat1.cpp",
                    "line": 414,
                    "column": 42,
                    "event": "note",
                    "message": "Although the value stored to 'sourceLimit' is used in the enclosing expression, the value is never actually read from 'sourceLimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  412|        * smaller sourceLimit adjustment logic.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  413|        */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  414|->     if(U_SUCCESS(*pErrorCode) && source<(sourceLimit=(uint8_t *)pToUArgs->sourceLimit)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  415|           utf8->toUnicodeStatus=utf8->toUBytes[0]=b=*source++;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  416|           utf8->toULength=1;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "117b05b3511af603794ed3c75e3daca1f870e889",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1135,
                    "column": 24,
                    "event": "warning[core.UndefinedBinaryOperatorResult]",
                    "message": "The left operand of '<=' is a garbage value",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5353,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5353,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5363,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'toULength' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5363,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5380,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'length' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5380,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5382,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 173,
                    "column": 26,
                    "event": "note",
                    "message": "expanded from macro 'U8_IS_SINGLE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5382,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5397,
                    "column": 8,
                    "event": "note",
                    "message": "'c' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5397,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5405,
                    "column": 11,
                    "event": "note",
                    "message": "'source' is < 'sourceLimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5405,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5406,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'targetCapacity' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5406,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5408,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 173,
                    "column": 26,
                    "event": "note",
                    "message": "expanded from macro 'U8_IS_SINGLE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5408,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5410,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming right operand of bit shift is non-negative but less than 32",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.h",
                    "line": 296,
                    "column": 71,
                    "event": "note",
                    "message": "expanded from macro 'IS_ASCII_ROUNDTRIP'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5410,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.h",
                    "line": 296,
                    "column": 49,
                    "event": "note",
                    "message": "expanded from macro 'IS_ASCII_ROUNDTRIP'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5410,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5416,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'value' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5416,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5418,
                    "column": 25,
                    "event": "note",
                    "message": "Control jumps to line 5563",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 5565,
                    "column": 19,
                    "event": "note",
                    "message": "Calling '_extFromU'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1116,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1116,
                    "column": 51,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1129,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1129,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1134,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1135,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1135,
                    "column": 39,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1134,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1135,
                    "column": 24,
                    "event": "note",
                    "message": "The left operand of '<=' is a garbage value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1133|           range=gb18030Ranges[0];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1134|           for(i=0; i<UPRV_LENGTHOF(gb18030Ranges); range+=4, ++i) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1135|->             if(range[0]<=(uint32_t)cp && (uint32_t)cp<=range[1]) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1136|                   /* found the Unicode code point, output the four-byte sequence for it */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1137|                   uint32_t linear;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "01c97065442e9a1bec91501f212deb2345fb8ae4",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1202,
                    "column": 24,
                    "event": "warning[core.UndefinedBinaryOperatorResult]",
                    "message": "The left operand of '<=' is a garbage value",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2490,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'preToULength' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2490,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2502,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'countStates' is not equal to 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2502,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2518,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2518,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2535,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2535,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2540,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'byteIndex' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2540,
                    "column": 17,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2544,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming 'source' is < 'sourceLimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2544,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2553,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'target' is < 'targetLimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2553,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2559,
                    "column": 12,
                    "event": "note",
                    "message": "'byteIndex' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2559,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2662,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'entry' is < 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.h",
                    "line": 284,
                    "column": 42,
                    "event": "note",
                    "message": "expanded from macro 'MBCS_ENTRY_IS_TRANSITION'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2662,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2679,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'action' is not equal to MBCS_STATE_VALID_16",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2679,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2702,
                    "column": 19,
                    "event": "note",
                    "message": "Assuming 'action' is not equal to MBCS_STATE_VALID_DIRECT_16",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2702,
                    "column": 16,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2709,
                    "column": 19,
                    "event": "note",
                    "message": "Assuming 'action' is not equal to MBCS_STATE_VALID_16_PAIR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2709,
                    "column": 16,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2751,
                    "column": 19,
                    "event": "note",
                    "message": "Assuming 'action' is not equal to MBCS_STATE_VALID_DIRECT_20",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2751,
                    "column": 19,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2752,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'action' is not equal to MBCS_STATE_FALLBACK_DIRECT_20",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2752,
                    "column": 58,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2776,
                    "column": 19,
                    "event": "note",
                    "message": "Assuming 'action' is not equal to MBCS_STATE_CHANGE_ONLY",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2776,
                    "column": 16,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2793,
                    "column": 19,
                    "event": "note",
                    "message": "Assuming 'action' is not equal to MBCS_STATE_FALLBACK_DIRECT_16",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2793,
                    "column": 16,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2802,
                    "column": 19,
                    "event": "note",
                    "message": "Assuming 'action' is equal to MBCS_STATE_UNASSIGNED",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2802,
                    "column": 16,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2815,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'byteIndex' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2815,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2817,
                    "column": 16,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 2851,
                    "column": 23,
                    "event": "note",
                    "message": "Calling '_extToU'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1181,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1181,
                    "column": 51,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1194,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is equal to 4",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1194,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1194,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1194,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1201,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1202,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1202,
                    "column": 33,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1201,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 1202,
                    "column": 24,
                    "event": "note",
                    "message": "The left operand of '<=' is a garbage value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1200|           range=gb18030Ranges[0];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1201|           for(i=0; i<UPRV_LENGTHOF(gb18030Ranges); range+=4, ++i) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1202|->             if(range[2]<=linear && linear<=range[3]) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1203|                   /* found the sequence, output the Unicode code point for it */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1204|                   *pErrorCode=U_ZERO_ERROR;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "8f170fcc32e3e5db498888a2d258b2e5355c2512",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 3131,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 3131,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3129|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3130|               /* end of action codes: prepare for a new character */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3131|->             offset=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3132|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3133|               if(U_FAILURE(*pErrorCode)) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "5710c25fe6a507334e1add692a6664980b84b8a7",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 3609,
                    "column": 21,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'targetCapacity' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvmbcs.cpp",
                    "line": 3609,
                    "column": 21,
                    "event": "note",
                    "message": "Value stored to 'targetCapacity' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3607|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3608|                       /* target overflow */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3609|->                     targetCapacity=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3610|                       *pErrorCode=U_BUFFER_OVERFLOW_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3611|                       c=0;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvscsu.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4ed4f9822ef1d810160c906df3ccd954ab8dabeb",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvscsu.cpp",
                    "line": 1504,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'targetCapacity' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvscsu.cpp",
                    "line": 1504,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'targetCapacity' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1502|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1503|           /* target overflow */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1504|->         targetCapacity=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1505|           *pErrorCode=U_BUFFER_OVERFLOW_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1506|           c=0;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4ed4f9822ef1d810160c906df3ccd954ab8dabeb",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvscsu.cpp",
                    "line": 1943,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'targetCapacity' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvscsu.cpp",
                    "line": 1943,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'targetCapacity' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1941|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1942|           /* target overflow */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1943|->         targetCapacity=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1944|           *pErrorCode=U_BUFFER_OVERFLOW_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1945|           c=0;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "b754dbef5cf6421919e608b9953cc25da45567ad",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 235,
                    "column": 15,
                    "event": "warning[core.NullDereference]",
                    "message": "Array access (via field 'encodings') results in a null pointer dereference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 155,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 159,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming 'converterListSize' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 159,
                    "column": 7,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 159,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 159,
                    "column": 58,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 167,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 173,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming 'converterListSize' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 173,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 177,
                    "column": 3,
                    "event": "note",
                    "message": "Value assigned to field 'encodings'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 179,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming field 'encodings' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 179,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 181,
                    "column": 12,
                    "event": "note",
                    "message": "Calling '~LocalUConverterSelectorPointer'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/ucnvsel.h",
                    "line": 113,
                    "column": 1,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/localpointer.h",
                    "line": 563,
                    "column": 36,
                    "event": "note",
                    "message": "expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/ucnvsel.h",
                    "line": 113,
                    "column": 81,
                    "event": "note",
                    "message": "Calling 'ucnvsel_close_74'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/urename.h",
                    "line": 725,
                    "column": 23,
                    "event": "note",
                    "message": "expanded from macro 'ucnvsel_close'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 123,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'U_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 122,
                    "column": 51,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF2_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 121,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<scratch space>",
                    "line": 16,
                    "column": 1,
                    "event": "note",
                    "message": "expanded from here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/localpointer.h",
                    "line": 563,
                    "column": 58,
                    "event": "note",
                    "message": "expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 231,
                    "column": 8,
                    "event": "note",
                    "message": "'sel' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 231,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 234,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming field 'ownEncodingStrings' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 234,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 235,
                    "column": 15,
                    "event": "note",
                    "message": "Array access (via field 'encodings') results in a null pointer dereference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  233|     }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  234|     if (sel->ownEncodingStrings) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  235|->     uprv_free(sel->encodings[0]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  236|     }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  237|     uprv_free(sel->encodings);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "8bc226f080ee571e09df73af3f6efed59b64e947",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 347,
                    "column": 3,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'p' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 347,
                    "column": 3,
                    "event": "note",
                    "message": "Value stored to 'p' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  345|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  346|     uprv_memcpy(p, sel->encodings[0], sel->encodingStrLength);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  347|->   p += sel->encodingStrLength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  348|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  349|     return totalSize;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "96ddcb335f96dad3adbefbfdf81f80f9bc71393a",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 456,
                    "column": 5,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 456,
                    "column": 5,
                    "event": "note",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  454|       count = indexes[UCNVSEL_INDEX_NAMES_LENGTH];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  455|       ds->swapInvChars(ds, inBytes + offset, count, outBytes + offset, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  456|->     offset += count;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  457|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  458|       U_ASSERT(offset == size);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "8bc226f080ee571e09df73af3f6efed59b64e947",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 586,
                    "column": 3,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'p' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucnvsel.cpp",
                    "line": 586,
                    "column": 3,
                    "event": "note",
                    "message": "Value stored to 'p' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  584|       s += uprv_strlen(s) + 1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  585|     }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  586|->   p += sel->encodingStrLength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  587|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  588|     return sel;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucol_swp.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucptrie.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ucurr.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "7830022d70879217a9065d54cc1027ef6d462522",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 860,
                    "column": 11,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'didUpdate' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 860,
                    "column": 11,
                    "event": "note",
                    "message": "Value stored to 'didUpdate' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  858|                                             /*   to CommonICUData.                                  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  859|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  860|->           didUpdate = /* no longer using this result */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  861|                 setCommonICUData(&copyPData,/*  The new common data.                                */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  862|                          false,             /*  No warnings if write didn't happen                  */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "84d09173e22aefeaa842a2078354e4016febdbb6",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1119,
                    "column": 14,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1402,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1402,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1402,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1404,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1404,
                    "column": 15,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1404,
                    "column": 32,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1404,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1408,
                    "column": 35,
                    "event": "note",
                    "message": "Passing value via 2nd parameter 'type'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1408,
                    "column": 16,
                    "event": "note",
                    "message": "Calling 'doOpenChoice'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1179,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1179,
                    "column": 24,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1213,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1267,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1274,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1274,
                    "column": 22,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1287,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1304,
                    "column": 9,
                    "event": "note",
                    "message": "'isICUData' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1304,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1304,
                    "column": 43,
                    "event": "note",
                    "message": "Passing null pointer value via 2nd parameter 'type'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1304,
                    "column": 22,
                    "event": "note",
                    "message": "Calling 'isTimeZoneFile'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/udata.cpp",
                    "line": 1119,
                    "column": 14,
                    "event": "note",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1117|    */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1118|   static UBool isTimeZoneFile(const char *name, const char *type) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1119|->     return ((uprv_strcmp(type, \"res\") == 0) &&",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1120|               (uprv_strcmp(name, \"zoneinfo64\") == 0 ||",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1121|                uprv_strcmp(name, \"timezoneTypes\") == 0 ||",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/udatamem.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/udataswp.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uenum.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 562,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "c7db2d4470ddffe0f615f3bca337c78f8daf5478",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uenum.cpp",
                    "line": 170,
                    "event": "error[returnDanglingLifetime]",
                    "message": "Returning pointer to local variable 'dummyLength' that will be invalid when returning.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  168|           else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  169|               int32_t dummyLength=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  170|->             return en->next(en, &dummyLength, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  171|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  172|       } else {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uhash.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uhash_us.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4108b48fe6822d714aa227ddbeecfde0fc8922af",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 106,
                    "column": 12,
                    "event": "warning[core.uninitialized.Assign]",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 866,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 866,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 866,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 878,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 878,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 892,
                    "column": 13,
                    "event": "note",
                    "message": "Calling 'uidna_IDNToASCII_74'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/urename.h",
                    "line": 1040,
                    "column": 26,
                    "event": "note",
                    "message": "expanded from macro 'uidna_IDNToASCII'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 123,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'U_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 122,
                    "column": 51,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF2_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 121,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<scratch space>",
                    "line": 96,
                    "column": 1,
                    "event": "note",
                    "message": "expanded from here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 675,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 675,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 676,
                    "column": 9,
                    "event": "note",
                    "message": "Returning without writing to '*dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 892,
                    "column": 13,
                    "event": "note",
                    "message": "Returning from 'uidna_IDNToASCII_74'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/urename.h",
                    "line": 1040,
                    "column": 26,
                    "event": "note",
                    "message": "expanded from macro 'uidna_IDNToASCII'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 123,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'U_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 122,
                    "column": 51,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF2_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 121,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<scratch space>",
                    "line": 96,
                    "column": 1,
                    "event": "note",
                    "message": "expanded from here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 893,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 907,
                    "column": 14,
                    "event": "note",
                    "message": "Calling 'compareCaseInsensitiveASCII'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 81,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 's1Len' is not equal to 's2Len'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 81,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 82,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 's1Len' is < 's2Len'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 82,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 98,
                    "column": 9,
                    "event": "note",
                    "message": "'i' initialized to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 98,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 101,
                    "column": 12,
                    "event": "note",
                    "message": "'i' is not equal to 'minLength'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 101,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 106,
                    "column": 12,
                    "event": "note",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  104|           ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  105|           c1 = s1[i];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  106|->         c2 = s2[i];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  107|           ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  108|           /* Case-insensitive comparison */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "cab25027e81e378b5376fd7541ed5c3c22d6cc90",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 839,
                    "column": 28,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 768,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 768,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 768,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 771,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 771,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 771,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 771,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 771,
                    "column": 47,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 771,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 771,
                    "column": 67,
                    "event": "note",
                    "message": "Assuming 'dest' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 771,
                    "column": 67,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 771,
                    "column": 76,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 771,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 780,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 793,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 813,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 813,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 818,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 824,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'labelReqLength' is < 'remainingDestCapacity'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 824,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 832,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'done' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 832,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 838,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'remainingDestCapacity' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 838,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 839,
                    "column": 14,
                    "event": "note",
                    "message": "Null pointer value stored to 'currentDest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uidna.cpp",
                    "line": 839,
                    "column": 28,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  837|           // Unlike the ToASCII operation we don't normalize the label separators",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  838|           if(remainingDestCapacity > 0){",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  839|->             *currentDest++ = *(labelStart + labelLen);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  840|               remainingDestCapacity--;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  841|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uinit.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uinvchar.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uiter.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ulist.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "8717327a2289afa472ba12d6c13b3166c5e954dd",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc.cpp",
                    "line": 1621,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'variantSize' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc.cpp",
                    "line": 1621,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'variantSize' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1619|               posixVariantSize += tag.length();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1620|               if (posixVariantSize > 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1621|->                 variantSize += posixVariantSize;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1622|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1623|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_keytype.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "1a95b481092cfd57daa9fee72f6ad4648699df61",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1688,
                    "column": 17,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Null pointer passed to 2nd parameter expecting 'nonnull'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 43,
                    "column": 38,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strncpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2700,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2705,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'ulocimp_forLanguageTag_74'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/urename.h",
                    "line": 1193,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'ulocimp_forLanguageTag'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 123,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'U_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 122,
                    "column": 51,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF2_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 121,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<scratch space>",
                    "line": 129,
                    "column": 1,
                    "event": "note",
                    "message": "expanded from here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2736,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2741,
                    "column": 14,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2742,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2753,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'len' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2753,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2766,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'len' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2766,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2783,
                    "column": 9,
                    "event": "note",
                    "message": "'n' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2783,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2806,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'n' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2806,
                    "column": 15,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2807,
                    "column": 13,
                    "event": "note",
                    "message": "'isEmpty' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2807,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2807,
                    "column": 24,
                    "event": "note",
                    "message": "'n' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2807,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2811,
                    "column": 9,
                    "event": "note",
                    "message": "Calling '_appendKeywords'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1802,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1809,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'i' is < 'n'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1809,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1811,
                    "column": 16,
                    "event": "note",
                    "message": "Calling 'ultag_getExtensionValue'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2548,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2549,
                    "column": 13,
                    "event": "note",
                    "message": "'i' is equal to 'idx'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2549,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2551,
                    "column": 13,
                    "event": "note",
                    "message": " Execution continues on line 2556",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 2556,
                    "column": 5,
                    "event": "note",
                    "message": "Returning pointer (loaded from 'val'), which participates in a condition later",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1811,
                    "column": 16,
                    "event": "note",
                    "message": "Returning from 'ultag_getExtensionValue'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1812,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1812,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1814,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1818,
                    "column": 13,
                    "event": "note",
                    "message": "Calling '_appendLDMLExtensionAsKeywords'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1547,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1549,
                    "column": 27,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1549,
                    "column": 44,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1549,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1549,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1549,
                    "column": 27,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1549,
                    "column": 44,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1549,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1549,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1549,
                    "column": 41,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1551,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1553,
                    "column": 17,
                    "event": "note",
                    "message": " Execution continues on line 1584",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1584,
                    "column": 13,
                    "event": "note",
                    "message": "'attrFirst' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1584,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1623,
                    "column": 9,
                    "event": "note",
                    "message": "'pKwds' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1623,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1624,
                    "column": 9,
                    "event": "note",
                    "message": "'pBcpKey' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1632,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1637,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1639,
                    "column": 31,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1639,
                    "column": 17,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1639,
                    "column": 31,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1639,
                    "column": 17,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1639,
                    "column": 45,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1641,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1653,
                    "column": 25,
                    "event": "note",
                    "message": "'pBcpType' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1653,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1663,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1673,
                    "column": 17,
                    "event": "note",
                    "message": "'emitKeyword' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1673,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1632,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1637,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1673,
                    "column": 17,
                    "event": "note",
                    "message": "'emitKeyword' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1673,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1681,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uloc_tag.cpp",
                    "line": 1688,
                    "column": 17,
                    "event": "note",
                    "message": "Null pointer passed to 2nd parameter expecting 'nonnull'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 43,
                    "column": 38,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strncpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1686|                   U_ASSERT(bcpKeyLen <= 2);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1687|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1688|->                 uprv_strncpy(bcpKeyBuf, pBcpKey, bcpKeyLen);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1689|                   bcpKeyBuf[bcpKeyLen] = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1690|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ulocale.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ulocbuilder.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "3f530ef4e72e415e9f1a037430e2c09975b64ff2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 338,
                    "event": "error[uninitvar]",
                    "message": "Uninitialized variable: trieValue",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  336|               uint32_t trieValue2 = data[di];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  337|               if (haveValue) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  338|->                 if (trieValue2 != trieValue) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  339|                       if (filter == nullptr ||",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  340|                               maybeFilterValue(trieValue2, initialValue, nullValue,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "c923b948a838b99e0d186b6e66782b517c5e2012",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 341,
                    "event": "error[uninitvar]",
                    "message": "Uninitialized variable: value",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  339|                       if (filter == nullptr ||",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  340|                               maybeFilterValue(trieValue2, initialValue, nullValue,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  341|->                                              filter, context) != value) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  342|                           return c - 1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  343|                       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 786,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "4a28f8d19dbbfbca9d7207dc17021ad737919a31",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 733,
                    "event": "error[negativeIndex]",
                    "message": "Array 'indexes[32]' accessed at index -1, which is out of bounds.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  731|           U_ASSERT(least >= 0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  732|           mostRecent = least;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  733|->         indexes[least] = index;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  734|           values[least] = value;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  735|           refCounts[least] = count;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 786,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "86d00c8131f6bdd0c69c37c432b8031d20b83e04",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 734,
                    "event": "error[negativeIndex]",
                    "message": "Array 'values[32]' accessed at index -1, which is out of bounds.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  732|           mostRecent = least;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  733|           indexes[least] = index;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  734|->         values[least] = value;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  735|           refCounts[least] = count;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  736|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 786,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "38ca652ec2a34640d6084c5a3e8ef7a27d5c4ea3",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 735,
                    "event": "error[negativeIndex]",
                    "message": "Array 'refCounts[32]' accessed at index -1, which is out of bounds.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  733|           indexes[least] = index;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  734|           values[least] = value;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  735|->         refCounts[least] = count;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  736|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  737|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 786,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "005cb5e3c5632db8c7e35b7b86d2962fccac8df9",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 748,
                    "event": "error[negativeIndex]",
                    "message": "Array 'indexes[32]' accessed at index -1, which is out of bounds.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  746|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  747|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  748|->         return indexes[max];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  749|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  750|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "48e43e3afccb9918e57392a6b3dd99c58356772b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 847,
                    "column": 9,
                    "event": "warning[core.uninitialized.Assign]",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1198,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1198,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1208,
                    "column": 32,
                    "event": "note",
                    "message": "Assuming 'i' is >= 'fastILimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1208,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 1230",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1230,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1234,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'MixedBlocks::extend'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 811,
                    "column": 13,
                    "event": "note",
                    "message": "'start' is < 'minStart'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 811,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 816,
                    "column": 57,
                    "event": "note",
                    "message": "Assuming 'start' is <= 'end'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 816,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 817,
                    "column": 33,
                    "event": "note",
                    "message": "Calling 'MixedBlocks::makeHashCode'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 847,
                    "column": 9,
                    "event": "note",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  845|       uint32_t makeHashCode(const UInt *blockData, int32_t blockStart) const {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  846|           int32_t blockLimit = blockStart + blockLength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  847|->         uint32_t hashCode = blockData[blockStart++];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  848|           do {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  849|               hashCode = 37 * hashCode + blockData[blockStart++];",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "e0f9a56e07841b3e4724e18890b9984e32d0f102",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 849,
                    "column": 38,
                    "event": "warning[core.UndefinedBinaryOperatorResult]",
                    "message": "The right operand of '+' is a garbage value",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1198,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1198,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1208,
                    "column": 32,
                    "event": "note",
                    "message": "Assuming 'i' is < 'fastILimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1208,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1211,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'i3' is not equal to field 'dataNullOffset'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1211,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1224,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1224,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1224,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1224,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 1208",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1208,
                    "column": 32,
                    "event": "note",
                    "message": "Assuming 'i' is >= 'fastILimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1208,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 1230",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1230,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 1234,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'MixedBlocks::extend'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 811,
                    "column": 13,
                    "event": "note",
                    "message": "'start' is < 'minStart'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 811,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 816,
                    "column": 57,
                    "event": "note",
                    "message": "Assuming 'start' is <= 'end'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 816,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 817,
                    "column": 33,
                    "event": "note",
                    "message": "Calling 'MixedBlocks::makeHashCode'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutablecptrie.cpp",
                    "line": 849,
                    "column": 38,
                    "event": "note",
                    "message": "The right operand of '+' is a garbage value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  847|           uint32_t hashCode = blockData[blockStart++];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  848|           do {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  849|->             hashCode = 37 * hashCode + blockData[blockStart++];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  850|           } while (blockStart < blockLimit);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  851|           return hashCode;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutex.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "e99c1bb14df6a8817e67dcd97c681a8bdf123415",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 34,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutex.h",
                    "line": 88,
                    "column": 12,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1966,
                    "column": 10,
                    "event": "note",
                    "message": "Calling 'UnicodeString::cloneArrayIfNeeded'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1840,
                    "column": 6,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1840,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1847,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1858,
                    "column": 6,
                    "event": "note",
                    "message": "'forceClone' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1858,
                    "column": 6,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1859,
                    "column": 6,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1859,
                    "column": 57,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1864,
                    "column": 8,
                    "event": "note",
                    "message": "'growCapacity' is < 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1864,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1876,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1876,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1878,
                    "column": 10,
                    "event": "note",
                    "message": "'doCopyArray' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1878,
                    "column": 10,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1878,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming 'growCapacity' is > US_STACKBUF_SIZE",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1878,
                    "column": 7,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1892,
                    "column": 8,
                    "event": "note",
                    "message": "Calling 'UnicodeString::allocate'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 371,
                    "column": 6,
                    "event": "note",
                    "message": "'capacity' is > US_STACKBUF_SIZE",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 371,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 375,
                    "column": 6,
                    "event": "note",
                    "message": "Assuming 'capacity' is > 'kMaxCapacity'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 375,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 396,
                    "column": 3,
                    "event": "note",
                    "message": "Null pointer value stored to field 'fArray'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1892,
                    "column": 8,
                    "event": "note",
                    "message": "Returning from 'UnicodeString::allocate'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1892,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1893,
                    "column": 9,
                    "event": "note",
                    "message": "'newCapacity' is >= 'growCapacity'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1893,
                    "column": 36,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1930,
                    "column": 7,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1934,
                    "column": 7,
                    "event": "note",
                    "message": "Calling 'UnicodeString::setToBogus'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 1245,
                    "column": 3,
                    "event": "note",
                    "message": "Calling 'UnicodeString::releaseArray'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 138,
                    "column": 6,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 138,
                    "column": 6,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 138,
                    "column": 56,
                    "event": "note",
                    "message": "Calling 'UnicodeString::removeRef'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 128,
                    "column": 26,
                    "event": "note",
                    "message": "Passing null pointer value via 1st parameter 'var'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 128,
                    "column": 10,
                    "event": "note",
                    "message": "Calling 'umtx_atomic_dec'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/umutex.h",
                    "line": 88,
                    "column": 12,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   86|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   87|   inline int32_t umtx_atomic_dec(u_atomic_int32_t *var) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   88|->     return var->fetch_sub(1) - 1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   89|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   90|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "1d6105b4da5a10e7301a08da114d4f7acff7970c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1029,
                    "column": 44,
                    "event": "warning[core.UndefinedBinaryOperatorResult]",
                    "message": "The left operand of '+' is a garbage value due to array index out of bounds",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1644,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1644,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1644,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1648,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'nameChoice' is < U_CHAR_NAME_CHOICE_COUNT",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1648,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1648,
                    "column": 48,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1648,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1653,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1653,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1656,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'start' is < 'limit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1656,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1660,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1669,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming 'i' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1669,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1672,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'start' is >= field 'start'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1672,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1684,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'start' is <= field 'end'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1684,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1685,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1685,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1686,
                    "column": 17,
                    "event": "note",
                    "message": "Calling 'enumAlgNames'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 943,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'nameChoice' is equal to U_UNICODE_CHAR_NAME",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 943,
                    "column": 40,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 947,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to 'case 1:'  at line 992",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1008,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1008,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 1014",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1014,
                    "column": 40,
                    "event": "note",
                    "message": "Calling 'writeFactorSuffix'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 791,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming 'i' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 791,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 800",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 803,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 804,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 810,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming 'factor' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 810,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 814",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 814,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 819,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 819,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 824",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 824,
                    "column": 12,
                    "event": "note",
                    "message": "'i' is >= 'count'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 824,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 825,
                    "column": 13,
                    "event": "note",
                    "message": " Execution continues on line 839",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 839,
                    "column": 8,
                    "event": "note",
                    "message": "'bufferLength' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 839,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1014,
                    "column": 40,
                    "event": "note",
                    "message": "Returning from 'writeFactorSuffix'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1020,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1020,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1025,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1025,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1028,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1030,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1030,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1028,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1029,
                    "column": 40,
                    "event": "note",
                    "message": "The value 65535 is assigned to 'i'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1029,
                    "column": 44,
                    "event": "note",
                    "message": "The left operand of '+' is a garbage value due to array index out of bounds",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1027|               i=count;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1028|               for (;;) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1029|->                 idx=(uint16_t)(indexes[--i]+1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1030|                   if(idx<factors[i]) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1031|                       /* skip one index and its element string */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "5ef40fb845ebd58428c64e9a3cb1248a9c1218aa",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1740,
                    "event": "warning[uninitvar]",
                    "message": "Uninitialized variable: cs",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1738|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1739|       /* convert the char string to a char16_t string */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1740|->     u_charsToUChars(cs, us, length);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1741|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1742|       /* add each char16_t to the USet */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "b4bde04e249c5711e0db0ed9c5a236360098290a",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1912,
                    "column": 13,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 49,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1853,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1853,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1853,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1860,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1860,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1861,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1860,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1862,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1860,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1863,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1860,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1864,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1859,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1875,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1875,
                    "column": 14,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1875,
                    "column": 5,
                    "event": "note",
                    "message": "Null pointer value stored to 'outBytes'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1876,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1876,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1880,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'length' is >= 20",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1880,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1881,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1880,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1890,
                    "column": 8,
                    "event": "note",
                    "message": "'length' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1890,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1911,
                    "column": 12,
                    "event": "note",
                    "message": "'inBytes' is not equal to 'outBytes'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1911,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unames.cpp",
                    "line": 1912,
                    "column": 13,
                    "event": "note",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 49,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1910|           /* copy the data for inaccessible bytes */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1911|           if(inBytes!=outBytes) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1912|->             uprv_memcpy(outBytes, inBytes, length);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1913|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1914|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "f7eaafcef5d5d5794e704d2ec8a0543ac9b038f4",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/char16ptr.h",
                    "line": 222,
                    "column": 53,
                    "event": "warning[-Wdangling-pointer=]",
                    "message": "dangling pointer to an unnamed temporary may be used",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  222 | ConstChar16Ptr::ConstChar16Ptr(const char16_t *p) : p_(p) {}",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                                     ^~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_skeletons.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘icu_74::number::impl::blueprint_helpers::parseCurrencyOption(icu_74::StringSegment const&, icu_74::number::impl::MacroProps&, UErrorCode&)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_skeletons.cpp",
                    "line": 1025,
                    "column": 63,
                    "event": "note",
                    "message": "unnamed temporary defined here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1025 |     const char16_t* currencyCode = segment.toTempUnicodeString().getBuffer();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  220|   #ifdef U_ALIASING_BARRIER",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  221|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  222|-> ConstChar16Ptr::ConstChar16Ptr(const char16_t *p) : p_(p) {}",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  223|   #if !U_CHAR16_IS_TYPEDEF",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  224|   ConstChar16Ptr::ConstChar16Ptr(const uint16_t *p) : p_(cast(p)) {}",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "2db5eddfcfa4f87dfa9fd1450b6afc574394f2ce",
            "key_event_idx": 4,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 23,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.h",
                    "line": 27,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/umutablecptrie.h",
                    "line": 13,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/ucptrie.h",
                    "line": 15,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/localpointer.h",
                    "line": 128,
                    "column": 28,
                    "event": "warning[core.uninitialized.UndefReturn]",
                    "message": "Returning null reference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 90,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'argc' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 90,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 95,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'doesOccur' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 95,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 98,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'argc' is >= 2",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 98,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 99,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'doesOccur' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 98,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 99,
                    "column": 38,
                    "event": "note",
                    "message": "Assuming field 'doesOccur' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 98,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 157,
                    "column": 42,
                    "event": "note",
                    "message": "Passing null pointer value via 1st parameter 'p'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 157,
                    "column": 42,
                    "event": "note",
                    "message": "Calling default constructor for 'LocalPointer<icu_74::Normalizer2DataBuilder>'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/localpointer.h",
                    "line": 200,
                    "column": 63,
                    "event": "note",
                    "message": "Passing null pointer value via 1st parameter 'p'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/localpointer.h",
                    "line": 200,
                    "column": 43,
                    "event": "note",
                    "message": "Calling default constructor for 'LocalPointerBase<icu_74::Normalizer2DataBuilder>'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/localpointer.h",
                    "line": 82,
                    "column": 47,
                    "event": "note",
                    "message": "Null pointer value stored to 'b2.ptr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/localpointer.h",
                    "line": 200,
                    "column": 43,
                    "event": "note",
                    "message": "Returning from default constructor for 'LocalPointerBase<icu_74::Normalizer2DataBuilder>'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 157,
                    "column": 42,
                    "event": "note",
                    "message": "Returning from default constructor for 'LocalPointer<icu_74::Normalizer2DataBuilder>'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 162,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'doesOccur' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 162,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 166,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'doesOccur' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 166,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 173,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'pathLength' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 173,
                    "column": 22,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 182,
                    "column": 18,
                    "event": "note",
                    "message": "'i' is < 'argc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 182,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 184,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 185,
                    "column": 16,
                    "event": "note",
                    "message": "'doMinus' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 185,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 195,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming field 'doesOccur' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 195,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 198,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming field 'doesOccur' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 198,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 202,
                    "column": 13,
                    "event": "note",
                    "message": " Execution continues on line 182",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 182,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming 'i' is >= 'argc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 182,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 215",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 215,
                    "column": 8,
                    "event": "note",
                    "message": "'doMinus' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 215,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 216,
                    "column": 50,
                    "event": "note",
                    "message": "Calling 'LocalPointerBase::operator*'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/localpointer.h",
                    "line": 128,
                    "column": 28,
                    "event": "note",
                    "message": "Returning null reference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  126|        * @stable ICU 4.4",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  127|        */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  128|->     T &operator*() const { return *ptr; }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  129|       /**",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  130|        * Access without ownership change.",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "c12b8a633570ae49d1603e2bede331e476d79252",
            "key_event_idx": 2,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 33,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 35,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/localpointer.h",
                    "line": 561,
                    "column": 86,
                    "event": "warning[-Wignored-attributes]",
                    "message": "ignoring attributes on template argument ‘int (*)(FILE*)’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  561 |         explicit LocalPointerClassName(std::unique_ptr<Type, decltype(&closeFunction)> &&p) \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                                                                      ^",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 66,
                    "column": 1,
                    "event": "note",
                    "message": "in expansion of macro ‘U_DEFINE_LOCAL_OPEN_POINTER’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   66 | U_DEFINE_LOCAL_OPEN_POINTER(LocalPipeFilePointer, FILE, pclose);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      | ^~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  559|           } \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  560|           /* TODO: Be agnostic of the deleter function signature from the user-provided std::unique_ptr? */ \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  561|->         explicit LocalPointerClassName(std::unique_ptr<Type, decltype(&closeFunction)> &&p) \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  562|                   : LocalPointerBase<Type>(p.release()) {} \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  563|           ~LocalPointerClassName() { if (ptr != nullptr) { closeFunction(ptr); } } \\",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "d77ddadf9bbbd055acb150d3cb3b89ef50cc8cab",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/localpointer.h",
                    "line": 571,
                    "column": 88,
                    "event": "warning[-Wignored-attributes]",
                    "message": "ignoring attributes on template argument ‘int (*)(FILE*)’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  571 |         LocalPointerClassName &operator=(std::unique_ptr<Type, decltype(&closeFunction)> &&p) { \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                                                                        ^",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 66,
                    "column": 1,
                    "event": "note",
                    "message": "in expansion of macro ‘U_DEFINE_LOCAL_OPEN_POINTER’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   66 | U_DEFINE_LOCAL_OPEN_POINTER(LocalPipeFilePointer, FILE, pclose);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      | ^~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  569|           } \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  570|           /* TODO: Be agnostic of the deleter function signature from the user-provided std::unique_ptr? */ \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  571|->         LocalPointerClassName &operator=(std::unique_ptr<Type, decltype(&closeFunction)> &&p) { \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  572|               adoptInstead(p.release()); \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  573|               return *this; \\",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "8bca2715e17cde2ac50be723126d9f4bb8562937",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/localpointer.h",
                    "line": 587,
                    "column": 64,
                    "event": "warning[-Wignored-attributes]",
                    "message": "ignoring attributes on template argument ‘int (*)(FILE*)’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  587 |         operator std::unique_ptr<Type, decltype(&closeFunction)> () && { \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                                                ^",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 66,
                    "column": 1,
                    "event": "note",
                    "message": "in expansion of macro ‘U_DEFINE_LOCAL_OPEN_POINTER’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   66 | U_DEFINE_LOCAL_OPEN_POINTER(LocalPipeFilePointer, FILE, pclose);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      | ^~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  585|               ptr=p; \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  586|           } \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  587|->         operator std::unique_ptr<Type, decltype(&closeFunction)> () && { \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  588|               return std::unique_ptr<Type, decltype(&closeFunction)>(LocalPointerBase<Type>::orphan(), closeFunction); \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  589|           } \\",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "7adb0ebc4a001fefb7bcc0e466eb9b381b3d1d85",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In member function ‘LocalPipeFilePointer::operator std::unique_ptr<_IO_FILE, int (*)(_IO_FILE*)>() &&’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/localpointer.h",
                    "line": 588,
                    "column": 66,
                    "event": "warning[-Wignored-attributes]",
                    "message": "ignoring attributes on template argument ‘int (*)(FILE*)’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  588 |             return std::unique_ptr<Type, decltype(&closeFunction)>(LocalPointerBase<Type>::orphan(), closeFunction); \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                                                  ^",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 66,
                    "column": 1,
                    "event": "note",
                    "message": "in expansion of macro ‘U_DEFINE_LOCAL_OPEN_POINTER’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   66 | U_DEFINE_LOCAL_OPEN_POINTER(LocalPipeFilePointer, FILE, pclose);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      | ^~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  586|           } \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  587|           operator std::unique_ptr<Type, decltype(&closeFunction)> () && { \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  588|->             return std::unique_ptr<Type, decltype(&closeFunction)>(LocalPointerBase<Type>::orphan(), closeFunction); \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  589|           } \\",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  590|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "ccbaeaad3332b5f5ed4227922e8cb4655fb55c3f",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifilt.cpp",
                    "line": 53,
                    "column": 18,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'c' is used in the enclosing expression, the value is never actually read from 'c'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifilt.cpp",
                    "line": 53,
                    "column": 18,
                    "event": "note",
                    "message": "Although the value stored to 'c' is used in the enclosing expression, the value is never actually read from 'c'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   51|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   52|       if (offset > limit &&",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   53|->         contains(c = text.char32At(offset))) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   54|           // Backup offset by 1, unless the preceding character is a",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   55|           // surrogate pair -- then backup by 2 (keep offset pointing at",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "274cabd46cae5cfb381604e4e678f3ea7237949c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1745,
                    "column": 15,
                    "event": "warning[core.uninitialized.Assign]",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1249,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1249,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1249,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1251,
                    "column": 9,
                    "event": "note",
                    "message": "'cp' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1251,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1259,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'UnicodeSet::complement'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1202,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1202,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1205,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1207,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'UnicodeSet::exclusiveOr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1718,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1718,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1721,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1728,
                    "column": 9,
                    "event": "note",
                    "message": "'polarity' is not equal to 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1728,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1728,
                    "column": 26,
                    "event": "note",
                    "message": "'polarity' is not equal to 2",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1728,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1739,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1740,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'a' is >= 'b'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1740,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1743,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'b' is < 'a'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1743,
                    "column": 16,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1739,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1740,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'a' is >= 'b'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1740,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1743,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'b' is < 'a'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1743,
                    "column": 16,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1739,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1740,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'a' is >= 'b'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1740,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1743,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'b' is < 'a'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1743,
                    "column": 16,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1745,
                    "column": 15,
                    "event": "note",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1743|           } else if (b < a) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1744|               buffer[k++] = b;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1745|->             b = other[j++];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1746|           } else if (a != UNICODESET_HIGH) { // at this point, a == b",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1747|               // discard both values!",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "274cabd46cae5cfb381604e4e678f3ea7237949c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1914,
                    "column": 19,
                    "event": "warning[core.uninitialized.Assign]",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1178,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1178,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1178,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1180,
                    "column": 9,
                    "event": "note",
                    "message": "'cp' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1180,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1185,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'UnicodeSet::remove'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1154,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1156,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'UnicodeSet::retain'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1877,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1877,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1880,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1889,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1890,
                    "column": 9,
                    "event": "note",
                    "message": "Control jumps to 'case 2:'  at line 1941",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1942,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'b' is < 'a'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1942,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1956,
                    "column": 13,
                    "event": "note",
                    "message": " Execution continues on line 1889",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1889,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1890,
                    "column": 9,
                    "event": "note",
                    "message": "Control jumps to 'case 0:'  at line 1891",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1892,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'a' is >= 'b'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1892,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1895,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'b' is >= 'a'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1895,
                    "column": 20,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1899,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming 'a' is not equal to UNICODESET_HIGH",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1899,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1906,
                    "column": 13,
                    "event": "note",
                    "message": " Execution continues on line 1889",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1889,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1890,
                    "column": 9,
                    "event": "note",
                    "message": "Control jumps to 'case 3:'  at line 1907",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1908,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'a' is >= 'b'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1908,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1912,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'b' is < 'a'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1912,
                    "column": 20,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1914,
                    "column": 19,
                    "event": "note",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1912|               } else if (b < a) { // take b",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1913|                   buffer[k++] = b;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1914|->                 b = other[j++];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1915|                   polarity ^= 2;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1916|               } else { // a == b, take one, drop other",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "274cabd46cae5cfb381604e4e678f3ea7237949c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1943,
                    "column": 19,
                    "event": "warning[core.uninitialized.Assign]",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1178,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1178,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1178,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1180,
                    "column": 9,
                    "event": "note",
                    "message": "'cp' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1180,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1185,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'UnicodeSet::remove'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1154,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1156,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'UnicodeSet::retain'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1877,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1877,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1880,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1889,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1890,
                    "column": 9,
                    "event": "note",
                    "message": "Control jumps to 'case 2:'  at line 1941",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1942,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'b' is < 'a'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1942,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1956,
                    "column": 13,
                    "event": "note",
                    "message": " Execution continues on line 1889",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1889,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1890,
                    "column": 9,
                    "event": "note",
                    "message": "Control jumps to 'case 0:'  at line 1891",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1892,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'a' is >= 'b'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1892,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1895,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'b' is < 'a'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1895,
                    "column": 20,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1906,
                    "column": 13,
                    "event": "note",
                    "message": " Execution continues on line 1889",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1889,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1890,
                    "column": 9,
                    "event": "note",
                    "message": "Control jumps to 'case 2:'  at line 1941",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1942,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'b' is < 'a'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1942,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset.cpp",
                    "line": 1943,
                    "column": 19,
                    "event": "note",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1941|             case 2: // a first, b second; if a < b, overlap",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1942|               if (b < a) { // no overlap, drop b",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1943|->                 b = other[j++];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1944|                   polarity ^= 2;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1945|               } else  if (a < b) { // OVERLAP, take a",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset_closure.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset_props.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "edadff681e90b99a7ecb13bf48808bb59cdca742",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset_props.cpp",
                    "line": 385,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'lastItem' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uniset_props.cpp",
                    "line": 385,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'lastItem' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  383|                   add(lastChar, lastChar);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  384|                   _appendToPat(patLocal, lastChar, false);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  385|->                 lastItem = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  386|                   op = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  387|               }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unisetspan.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "cf117ab716cb9c5187c2a019998d5b5fb951b02a",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unisetspan.cpp",
                    "line": 154,
                    "column": 16,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'result' is used in the enclosing expression, the value is never actually read from 'result'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unisetspan.cpp",
                    "line": 154,
                    "column": 16,
                    "event": "note",
                    "message": "Although the value stored to 'result' is used in the enclosing expression, the value is never actually read from 'result'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  152|           --length;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  153|           start=i;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  154|->         return result+=i;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  155|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  156|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr_case.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr_cnv.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unistr_props.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unorm.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 786,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "ca8801b25bba82a456b3b4e8119c61b7e89a7d9d",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 230,
                    "event": "error[negativeIndex]",
                    "message": "Array 'stack1[2]' accessed at index -1, which is out of bounds.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  228|                   do {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  229|                       --level1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  230|->                     start1=stack1[level1].start;    /*Not uninitialized*/",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  231|                   } while(start1==nullptr);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  232|                   s1=stack1[level1].s;                /*Not uninitialized*/",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "7062a7e89bdb6449c0771241616d2dba8aaea4c2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 230,
                    "event": "warning[uninitvar]",
                    "message": "Uninitialized variables: stack1.start, stack1.s, stack1.limit",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  228|                   do {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  229|                       --level1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  230|->                     start1=stack1[level1].start;    /*Not uninitialized*/",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  231|                   } while(start1==nullptr);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  232|                   s1=stack1[level1].s;                /*Not uninitialized*/",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "03d0dd54ab53b13cb36a5f0c6a020003d802dc2c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 332,
                    "column": 23,
                    "event": "warning[core.uninitialized.Assign]",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 180,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 180,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 185,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 191,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 191,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 198,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 198,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 208,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 214,
                    "column": 12,
                    "event": "note",
                    "message": "'c1' is < 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 214,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 216,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 217,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 's1' is not equal to 'limit1'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 217,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 217,
                    "column": 35,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 217,
                    "column": 47,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 224,
                    "column": 21,
                    "event": "note",
                    "message": " Execution continues on line 237",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 237,
                    "column": 12,
                    "event": "note",
                    "message": "'c2' is < 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 237,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 239,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 240,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 's2' is not equal to 'limit2'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 240,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 240,
                    "column": 35,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 240,
                    "column": 47,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 247,
                    "column": 21,
                    "event": "note",
                    "message": " Execution continues on line 264",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 264,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'c1' is not equal to 'c2'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 264,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 270,
                    "column": 19,
                    "event": "note",
                    "message": "'c1' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 270,
                    "column": 16,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 272,
                    "column": 19,
                    "event": "note",
                    "message": "'c2' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 272,
                    "column": 16,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 279,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf.h",
                    "line": 193,
                    "column": 28,
                    "event": "note",
                    "message": "expanded from macro 'U_IS_SURROGATE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 279,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 295,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf.h",
                    "line": 193,
                    "column": 28,
                    "event": "note",
                    "message": "expanded from macro 'U_IS_SURROGATE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 295,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 298,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf.h",
                    "line": 202,
                    "column": 33,
                    "event": "note",
                    "message": "expanded from macro 'U_IS_SURROGATE_LEAD'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 298,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 304,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 315,
                    "column": 13,
                    "event": "note",
                    "message": "'level1' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 315,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 315,
                    "column": 26,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 315,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 316,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 315,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 360,
                    "column": 13,
                    "event": "note",
                    "message": "'level2' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 360,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 360,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 361,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 360,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 364,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 365,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 388,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming 'length' is > UCASE_MAX_STRING_LENGTH",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 388,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 392,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'length' is <= 65535",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 368,
                    "column": 8,
                    "event": "note",
                    "message": "expanded from macro 'U16_APPEND_UNSAFE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 392,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 368,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'U16_APPEND_UNSAFE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 392,
                    "column": 17,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 367,
                    "column": 36,
                    "event": "note",
                    "message": "expanded from macro 'U16_APPEND_UNSAFE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/umachine.h",
                    "line": 147,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'UPRV_BLOCK_MACRO_BEGIN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 402,
                    "column": 13,
                    "event": "note",
                    "message": " Execution continues on line 208",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 208,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 214,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'c1' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 214,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 237,
                    "column": 12,
                    "event": "note",
                    "message": "'c2' is < 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 237,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 239,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 240,
                    "column": 20,
                    "event": "note",
                    "message": "'s2' is not equal to 'limit2'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 240,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 240,
                    "column": 47,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 247,
                    "column": 21,
                    "event": "note",
                    "message": " Execution continues on line 264",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 264,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'c1' is not equal to 'c2'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 264,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 270,
                    "column": 19,
                    "event": "note",
                    "message": "'c1' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 270,
                    "column": 16,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 272,
                    "column": 19,
                    "event": "note",
                    "message": "'c2' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 272,
                    "column": 16,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 279,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf.h",
                    "line": 193,
                    "column": 28,
                    "event": "note",
                    "message": "expanded from macro 'U_IS_SURROGATE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 279,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 282,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf.h",
                    "line": 202,
                    "column": 33,
                    "event": "note",
                    "message": "expanded from macro 'U_IS_SURROGATE_LEAD'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 282,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 288,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 295,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf.h",
                    "line": 193,
                    "column": 28,
                    "event": "note",
                    "message": "expanded from macro 'U_IS_SURROGATE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 295,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 315,
                    "column": 13,
                    "event": "note",
                    "message": "'level1' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 315,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 315,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 316,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 315,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 319,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 320,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unormcmp.cpp",
                    "line": 332,
                    "column": 23,
                    "event": "note",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  330|                        */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  331|                       --s2;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  332|->                     c2=*(s2-1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  333|                   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  334|               }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uobject.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uprops.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ures_cnv.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "8f68543d4c26ab852421bc117b73b035c17f51bf",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ures_cnv.cpp",
                    "line": 77,
                    "event": "warning[uninitvar]",
                    "message": "Uninitialized variable: path",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   75|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   77|->     return ures_open(path, localeID, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   78|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "fbcf557e3852a60a996e5e2d94687d8740128580",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 927,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'hasRealData' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 927,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'hasRealData' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  925|               t1 = r;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  926|               intStatus = U_USING_DEFAULT_WARNING;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  927|->             hasRealData = true;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  928|           } else { /* we don't even have the root locale */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  929|               *status = U_MISSING_RESOURCE_ERROR;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "2d453ef97084b8a31b1362554d532fa9c54c495d",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 1940,
                    "column": 12,
                    "event": "warning[core.CallAndMessage]",
                    "message": "2nd function call argument is an uninitialized value",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 1938,
                    "column": 5,
                    "event": "note",
                    "message": "'length16' declared without an initial value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 1939,
                    "column": 27,
                    "event": "note",
                    "message": "Calling 'ures_getStringByIndex_74'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/urename.h",
                    "line": 1663,
                    "column": 31,
                    "event": "note",
                    "message": "expanded from macro 'ures_getStringByIndex'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 123,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'U_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 122,
                    "column": 51,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF2_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 121,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<scratch space>",
                    "line": 170,
                    "column": 1,
                    "event": "note",
                    "message": "expanded from here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 1886,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 1886,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 1887,
                    "column": 9,
                    "event": "note",
                    "message": "Returning without writing to '*len'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 1939,
                    "column": 27,
                    "event": "note",
                    "message": "Returning from 'ures_getStringByIndex_74'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/urename.h",
                    "line": 1663,
                    "column": 31,
                    "event": "note",
                    "message": "expanded from macro 'ures_getStringByIndex'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 123,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'U_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 122,
                    "column": 51,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF2_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 121,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<scratch space>",
                    "line": 170,
                    "column": 1,
                    "event": "note",
                    "message": "expanded from here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 1940,
                    "column": 12,
                    "event": "note",
                    "message": "2nd function call argument is an uninitialized value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1938|       int32_t length16;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1939|       const char16_t *s16 = ures_getStringByIndex(resB, idx, &length16, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1940|->     return ures_toUTF8String(s16, length16, dest, pLength, forceCopy, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1941|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1942|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "64f1d4041ed0a3f2cd000b565cc46d1c6b3a8202",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 2371,
                    "column": 34,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'res' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 2371,
                    "column": 34,
                    "event": "note",
                    "message": "Value stored to 'res' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2369|                           dest.put(parentKey, aliasedValue, isRoot, errorCode);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2370|                           UResourceDataEntry* entry = aliasRB->fData;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2371|->                         Resource res = aliasRB->fRes;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2372|                           while (aliasedValueType == URES_TABLE && entry->fParent != nullptr) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2373|                               CharString localPath;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "2d453ef97084b8a31b1362554d532fa9c54c495d",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 2637,
                    "column": 12,
                    "event": "warning[core.CallAndMessage]",
                    "message": "2nd function call argument is an uninitialized value",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 2635,
                    "column": 5,
                    "event": "note",
                    "message": "'length16' declared without an initial value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 2636,
                    "column": 27,
                    "event": "note",
                    "message": "Calling 'ures_getStringByKey_74'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/urename.h",
                    "line": 1664,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'ures_getStringByKey'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 123,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'U_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 122,
                    "column": 51,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF2_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 121,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<scratch space>",
                    "line": 29,
                    "column": 1,
                    "event": "note",
                    "message": "expanded from here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 2551,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 2551,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 2552,
                    "column": 9,
                    "event": "note",
                    "message": "Returning without writing to '*len'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 2636,
                    "column": 27,
                    "event": "note",
                    "message": "Returning from 'ures_getStringByKey_74'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/urename.h",
                    "line": 1664,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'ures_getStringByKey'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 123,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'U_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 122,
                    "column": 51,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF2_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 121,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<scratch space>",
                    "line": 29,
                    "column": 1,
                    "event": "note",
                    "message": "expanded from here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresbund.cpp",
                    "line": 2637,
                    "column": 12,
                    "event": "note",
                    "message": "2nd function call argument is an uninitialized value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2635|       int32_t length16;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2636|       const char16_t *s16 = ures_getStringByKey(resB, key, &length16, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2637|->     return ures_toUTF8String(s16, length16, dest, pLength, forceCopy, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2638|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2639|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uresdata.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/usc_impl.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uscript.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uscript_props.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uset.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uset_props.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/usetiter.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "529a64c829b178986a5fe0ff222be49a50d93a60",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/usetiter.cpp",
                    "line": 147,
                    "column": 5,
                    "event": "warning[core.uninitialized.UndefReturn]",
                    "message": "Returning null reference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/usetiter.cpp",
                    "line": 138,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/usetiter.cpp",
                    "line": 138,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/usetiter.cpp",
                    "line": 138,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming field 'codepoint' is equal to IS_STRING",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/usetiter.cpp",
                    "line": 138,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/usetiter.cpp",
                    "line": 147,
                    "column": 5,
                    "event": "note",
                    "message": "Returning null reference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  145|          string = cpString;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  146|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  147|->     return *string;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  148|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  149|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ushape.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "fbd95379973e714dcc876880ddcee920974aa87e",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ushape.cpp",
                    "line": 1245,
                    "column": 14,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'Nw' is used in the enclosing expression, the value is never actually read from 'Nw'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ushape.cpp",
                    "line": 1245,
                    "column": 14,
                    "event": "note",
                    "message": "Although the value stored to 'Nw' is used in the enclosing expression, the value is never actually read from 'Nw'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1243|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1244|       lastPos = i;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1245|->     Nx = -2, Nw = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1246|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1247|       while (i != iend) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/usprep.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "2e3e950c2ad557290798b6f13d8ef562a5681f86",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/usprep.cpp",
                    "line": 531,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'result' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/usprep.cpp",
                    "line": 531,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'result' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  529|           U16_NEXT(src,srcIndex,srcLength,ch);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  530|           ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  531|->         result=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  532|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  533|           UTRIE_GET16(&profile->sprepTrie,ch,result);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustack.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustr_cnv.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustr_titlecase_brkiter.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustr_wcs.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrcase.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 786,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "4439c333f65691226b531684ed8bbe87d642f67f",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrcase.cpp",
                    "line": 1571,
                    "event": "error[negativeIndex]",
                    "message": "Array 'stack1[2]' accessed at index -1, which is out of bounds.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1569|                   do {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1570|                       --level1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1571|->                     start1=stack1[level1].start;    /*Not uninitialized*/",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1572|                   } while(start1==nullptr);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1573|                   s1=stack1[level1].s;                /*Not uninitialized*/",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "8f3046d76a9ead8f95c7d593e8d5b1440ab440a1",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrcase.cpp",
                    "line": 1571,
                    "event": "warning[uninitvar]",
                    "message": "Uninitialized variables: stack1.start, stack1.s, stack1.limit",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1569|                   do {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1570|                       --level1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1571|->                     start1=stack1[level1].start;    /*Not uninitialized*/",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1572|                   } while(start1==nullptr);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1573|                   s1=stack1[level1].s;                /*Not uninitialized*/",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrenum.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "d2791b32925848dbba4e9a18f25be2942eed496a",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrenum.cpp",
                    "line": 79,
                    "column": 12,
                    "event": "warning[core.CallAndMessage]",
                    "message": "2nd function call argument is an uninitialized value",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrenum.cpp",
                    "line": 63,
                    "column": 28,
                    "event": "note",
                    "message": "Calling 'StringEnumeration::snext'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrenum.cpp",
                    "line": 77,
                    "column": 5,
                    "event": "note",
                    "message": "'length' declared without an initial value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrenum.cpp",
                    "line": 78,
                    "column": 19,
                    "event": "note",
                    "message": "Calling 'StringEnumeration::next'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrenum.cpp",
                    "line": 46,
                    "column": 26,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrenum.cpp",
                    "line": 58,
                    "column": 5,
                    "event": "note",
                    "message": "Returning without writing to '*resultLength'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrenum.cpp",
                    "line": 78,
                    "column": 19,
                    "event": "note",
                    "message": "Returning from 'StringEnumeration::next'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrenum.cpp",
                    "line": 79,
                    "column": 12,
                    "event": "note",
                    "message": "2nd function call argument is an uninitialized value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   77|       int32_t length;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   78|       const char *s=next(&length, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   79|->     return setChars(s, length, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   80|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   81|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrfmt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustring.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "098b6c5af0f97c8464513834dfa5f56c2116f740",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 358,
                    "column": 26,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to '__t2' is used in the enclosing expression, the value is never actually read from '__t2'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 358,
                    "column": 26,
                    "event": "note",
                    "message": "Although the value stored to '__t2' is used in the enclosing expression, the value is never actually read from '__t2'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  356|                           (0xe0<=(c) && (c)<0xf0) &&",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  357|                           U8_IS_VALID_LEAD3_AND_T1((c), src[i]) &&",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  358|->                         (__t2=src[(i)+1]-0x80)<=0x3f) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  359|                       ++reqLength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  360|                       i+=2;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "831df907335df39272e4cb7670cd82882e683030",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 363,
                    "column": 26,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to '__t1' is used in the enclosing expression, the value is never actually read from '__t1'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 363,
                    "column": 26,
                    "event": "note",
                    "message": "Although the value stored to '__t1' is used in the enclosing expression, the value is never actually read from '__t1'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  361|                   } else if( /* handle U+0080..U+07FF inline */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  362|                           ((c)<0xe0 && (c)>=0xc2) &&",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  363|->                         (__t1=src[i]-0x80)<=0x3f) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  364|                       ++reqLength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  365|                       ++(i);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "098b6c5af0f97c8464513834dfa5f56c2116f740",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 501,
                    "column": 26,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to '__t2' is used in the enclosing expression, the value is never actually read from '__t2'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 501,
                    "column": 26,
                    "event": "note",
                    "message": "Although the value stored to '__t2' is used in the enclosing expression, the value is never actually read from '__t2'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  499|                           ((i)+1)<srcLength &&",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  500|                           U8_IS_VALID_LEAD3_AND_T1((c), src[i]) &&",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  501|->                         (__t2=src[(i)+1]-0x80)<=0x3f) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  502|                       ++reqLength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  503|                       i+=2;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "831df907335df39272e4cb7670cd82882e683030",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 507,
                    "column": 26,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to '__t1' is used in the enclosing expression, the value is never actually read from '__t1'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 507,
                    "column": 26,
                    "event": "note",
                    "message": "Although the value stored to '__t1' is used in the enclosing expression, the value is never actually read from '__t1'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  505|                           ((c)<0xe0 && (c)>=0xc2) &&",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  506|                           ((i)!=srcLength) &&",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  507|->                         (__t1=src[i]-0x80)<=0x3f) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  508|                       ++reqLength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  509|                       ++(i);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "70ebf2a91d8561318cb35c4ae238184fd66c6963",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 774,
                    "column": 17,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 803,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 803,
                    "column": 27,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 807,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 24,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 44,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 812,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 812,
                    "column": 30,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 812,
                    "column": 49,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 813,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'subchar' is <= 1114111",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 813,
                    "column": 31,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf.h",
                    "line": 193,
                    "column": 28,
                    "event": "note",
                    "message": "expanded from macro 'U_IS_SURROGATE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 819,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 819,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 824,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 824,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 825,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 825,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 827,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming 'ch' is > 127",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 827,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 834,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming 'ch' is > 2047",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 834,
                    "column": 20,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 842,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming 'ch' is > 55295",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 842,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 842,
                    "column": 39,
                    "event": "note",
                    "message": "Assuming 'ch' is < 57344",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 842,
                    "column": 20,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 855,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 84,
                    "column": 35,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_SURROGATE_LEAD'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 855,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 84,
                    "column": 34,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_SURROGATE_LEAD'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 855,
                    "column": 49,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 67,
                    "column": 26,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_TRAIL'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 855,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Assuming 'ch' is > 127",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 200,
                    "column": 6,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 200,
                    "column": 6,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Assuming 'ch' is > 2047",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 201,
                    "column": 10,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 201,
                    "column": 10,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Assuming 'ch' is > 55295",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 202,
                    "column": 14,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 202,
                    "column": 14,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Assuming 'ch' is > 57343",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 203,
                    "column": 18,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 203,
                    "column": 18,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Assuming 'ch' is > 1114111",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 203,
                    "column": 43,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 203,
                    "column": 18,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 868,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 870,
                    "column": 27,
                    "event": "note",
                    "message": "Calling '_appendUTF8'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 773,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'c' is <= 127",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 773,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 774,
                    "column": 10,
                    "event": "note",
                    "message": "Null pointer value stored to 'pDest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 774,
                    "column": 17,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  772|       /* it is 0<=c<=0x10ffff and not a surrogate if called by a validating function */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  773|       if((c)<=0x7f) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  774|->         *pDest++=(uint8_t)c;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  775|       } else if(c<=0x7ff) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  776|           *pDest++=(uint8_t)((c>>6)|0xc0);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "6792997965125474098e696d2a378f74d222f780",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 779,
                    "column": 17,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 803,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 803,
                    "column": 27,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 807,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 24,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 44,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 812,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 812,
                    "column": 30,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 812,
                    "column": 49,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 813,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'subchar' is <= 1114111",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 813,
                    "column": 31,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf.h",
                    "line": 193,
                    "column": 28,
                    "event": "note",
                    "message": "expanded from macro 'U_IS_SURROGATE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 819,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 819,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 824,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 824,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 825,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 825,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 827,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming 'ch' is > 127",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 827,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 834,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming 'ch' is > 2047",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 834,
                    "column": 20,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 842,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming 'ch' is > 55295",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 842,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 842,
                    "column": 39,
                    "event": "note",
                    "message": "Assuming 'ch' is < 57344",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 842,
                    "column": 20,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 855,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 84,
                    "column": 35,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_SURROGATE_LEAD'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 855,
                    "column": 46,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 858,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming 'subchar' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 858,
                    "column": 24,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Assuming 'ch' is > 127",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 200,
                    "column": 6,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 200,
                    "column": 6,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Assuming 'ch' is > 2047",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 201,
                    "column": 10,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 201,
                    "column": 10,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Assuming 'ch' is > 55295",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 202,
                    "column": 14,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 202,
                    "column": 14,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Assuming 'ch' is <= 57343",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 203,
                    "column": 18,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 203,
                    "column": 40,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 868,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 870,
                    "column": 27,
                    "event": "note",
                    "message": "Calling '_appendUTF8'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 773,
                    "column": 8,
                    "event": "note",
                    "message": "'c' is > 127",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 773,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 775,
                    "column": 15,
                    "event": "note",
                    "message": "'c' is > 2047",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 775,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 778,
                    "column": 15,
                    "event": "note",
                    "message": "'c' is <= 65535",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 778,
                    "column": 12,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 779,
                    "column": 10,
                    "event": "note",
                    "message": "Null pointer value stored to 'pDest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 779,
                    "column": 17,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  777|           *pDest++=(uint8_t)((c&0x3f)|0x80);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  778|       } else if(c<=0xffff) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  779|->         *pDest++=(uint8_t)((c>>12)|0xe0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  780|           *pDest++=(uint8_t)(((c>>6)&0x3f)|0x80);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  781|           *pDest++=(uint8_t)(((c)&0x3f)|0x80);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "bce6737498d5ae23ed0721e0d7db6e75a0126e24",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 783,
                    "column": 17,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 803,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 803,
                    "column": 27,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 807,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 24,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 44,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 812,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 812,
                    "column": 30,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 812,
                    "column": 49,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 813,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'subchar' is <= 1114111",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 813,
                    "column": 31,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf.h",
                    "line": 193,
                    "column": 28,
                    "event": "note",
                    "message": "expanded from macro 'U_IS_SURROGATE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 811,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 819,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 819,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 824,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 824,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 825,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 825,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 827,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming 'ch' is > 127",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 827,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 834,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming 'ch' is > 2047",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 834,
                    "column": 20,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 842,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming 'ch' is > 55295",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 842,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 842,
                    "column": 39,
                    "event": "note",
                    "message": "Assuming 'ch' is < 57344",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 842,
                    "column": 20,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 855,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 84,
                    "column": 35,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_SURROGATE_LEAD'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 855,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 84,
                    "column": 34,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_SURROGATE_LEAD'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 855,
                    "column": 49,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 67,
                    "column": 26,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_TRAIL'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 855,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Assuming 'ch' is > 127",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 200,
                    "column": 6,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 200,
                    "column": 6,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Assuming 'ch' is > 2047",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 201,
                    "column": 10,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 201,
                    "column": 10,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Assuming 'ch' is > 55295",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 202,
                    "column": 14,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 202,
                    "column": 14,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Assuming 'ch' is > 57343",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 203,
                    "column": 18,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 203,
                    "column": 18,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "Assuming 'ch' is > 1114111",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 203,
                    "column": 43,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 867,
                    "column": 26,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf8.h",
                    "line": 203,
                    "column": 18,
                    "event": "note",
                    "message": "expanded from macro 'U8_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 868,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 870,
                    "column": 27,
                    "event": "note",
                    "message": "Calling '_appendUTF8'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 773,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'c' is > 127",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 773,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 775,
                    "column": 15,
                    "event": "note",
                    "message": "'c' is > 2047",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 775,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 778,
                    "column": 15,
                    "event": "note",
                    "message": "'c' is > 65535",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 778,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 783,
                    "column": 10,
                    "event": "note",
                    "message": "Null pointer value stored to 'pDest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 783,
                    "column": 17,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  781|           *pDest++=(uint8_t)(((c)&0x3f)|0x80);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  782|       } else /* if((uint32_t)(c)<=0x10ffff) */ {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  783|->         *pDest++=(uint8_t)(((c)>>18)|0xf0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  784|           *pDest++=(uint8_t)((((c)>>12)&0x3f)|0x80);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  785|           *pDest++=(uint8_t)((((c)>>6)&0x3f)|0x80);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 682,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "8dffc7e5265783ce0d8932007f1238f3c5575d0b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 909,
                    "event": "error[nullPointerArithmetic]",
                    "message": "Overflow in pointer arithmetic, NULL pointer is subtracted.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  907|                */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  908|               count = (int32_t)((pDestLimit - pDest) / 3);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  909|->             srcLength = (int32_t)(pSrcLimit - pSrc);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  910|               if(count > srcLength) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  911|                   count = srcLength; /* min(remaining dest/3, remaining src) */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 682,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "6877717a94601f99ffe9e97a2881002b558bb34b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/ustrtrns.cpp",
                    "line": 1361,
                    "event": "error[nullPointerArithmetic]",
                    "message": "Overflow in pointer arithmetic, NULL pointer is subtracted.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1359|       for(;;) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1360|           count = (int32_t)(pDestLimit - pDest);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1361|->         srcLength = (int32_t)(pSrcLimit - src);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1362|           if(count >= srcLength && srcLength > 0 && *src <= 0x7f) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1363|               /* fast ASCII loop */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "9773c0c282ffb58138f0d758927af9d9c81a4b44",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2550,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'limit32' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2550,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'limit32' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2548|               ut->nativeIndexingLimit = si;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2549|               strLength               = si;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2550|->             limit32                 = si;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2551|               break;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2552|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "7ec3088a58870bc766f5c4039b4ec15b46b61284",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2576,
                    "column": 24,
                    "event": "warning[core.NullDereference]",
                    "message": "Array access (from variable 'dest') results in a null pointer dereference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2514,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2517,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2517,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2517,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2517,
                    "column": 27,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2517,
                    "column": 44,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2517,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2517,
                    "column": 63,
                    "event": "note",
                    "message": "Assuming 'start' is <= 'limit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2517,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2536,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'strLength' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2536,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2542,
                    "column": 22,
                    "event": "note",
                    "message": "Assuming 'si' is < 'limit32'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2542,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2543,
                    "column": 13,
                    "event": "note",
                    "message": "'strLength' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2543,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2554,
                    "column": 13,
                    "event": "note",
                    "message": "'di' is >= 'destCapacity'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2554,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2558,
                    "column": 17,
                    "event": "note",
                    "message": "'strLength' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2558,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2563,
                    "column": 17,
                    "event": "note",
                    "message": " Execution continues on line 2571",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2571,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'si' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2571,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2571,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 59,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_LEAD'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2571,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2572,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming 'si' is < 'strLength'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2572,
                    "column": 28,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2572,
                    "column": 48,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 67,
                    "column": 26,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_TRAIL'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2571,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2574,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'di' is < 'destCapacity'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2574,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utext.cpp",
                    "line": 2576,
                    "column": 24,
                    "event": "note",
                    "message": "Array access (from variable 'dest') results in a null pointer dereference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2574|           if (di<destCapacity) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2575|               // store only if there is space in the output buffer.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2576|->             dest[di++] = s[si];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2577|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2578|           si++;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/utf_impl.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/util.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/util_props.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrace.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "0dd81ce10e6de7dcd63416b762cf9b34e98ed257",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 520,
                    "column": 25,
                    "event": "warning[core.NullDereference]",
                    "message": "Array access (via field 'index1') results in a null pointer dereference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 630,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 59,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_LEAD'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 630,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 634,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'enumEitherTrie'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 453,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 453,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 456,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 456,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 460,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 460,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 490,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming 'c' is < 'limit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 490,
                    "column": 18,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 490,
                    "column": 29,
                    "event": "note",
                    "message": "Assuming 'c' is < 'highStart'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 490,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 493,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'limit' is >= 'tempLimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 493,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 496,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'c' is > 65535",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 496,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 516,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 516,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 520,
                    "column": 25,
                    "event": "note",
                    "message": "Array access (via field 'index1') results in a null pointer dereference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  518|                                 (c>>UTRIE2_SHIFT_1)];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  519|               } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  520|->                 i2Block=trie->newTrie->index1[c>>UTRIE2_SHIFT_1];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  521|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  522|               if(i2Block==prevI2Block && (c-prev)>=UTRIE2_CP_PER_INDEX_1_ENTRY) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "55ee378cd2b638547a7e4169fbebd40faa9922a8",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 557,
                    "column": 27,
                    "event": "warning[core.NullDereference]",
                    "message": "Array access (via field 'index2') results in a null pointer dereference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 630,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 59,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_LEAD'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 630,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 634,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'enumEitherTrie'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 453,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 453,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 456,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 456,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 460,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 460,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 490,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming 'c' is < 'limit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 490,
                    "column": 18,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 490,
                    "column": 29,
                    "event": "note",
                    "message": "Assuming 'c' is < 'highStart'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 490,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 493,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'limit' is >= 'tempLimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 493,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 496,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'c' is <= 65535",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 496,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 497,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf.h",
                    "line": 193,
                    "column": 28,
                    "event": "note",
                    "message": "expanded from macro 'U_IS_SURROGATE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 497,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 533,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'i2Block' is not equal to 'index2NullOffset'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 533,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 548,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 548,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 553,
                    "column": 19,
                    "event": "note",
                    "message": "Assuming 'i2' is < 'i2Limit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 553,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 554,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 554,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 557,
                    "column": 27,
                    "event": "note",
                    "message": "Array access (via field 'index2') results in a null pointer dereference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  555|                       block=(int32_t)idx[i2Block+i2]<<UTRIE2_INDEX_SHIFT;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  556|                   } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  557|->                     block=trie->newTrie->index2[i2Block+i2];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  558|                   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  559|                   if(block==prevBlock && (c-prev)>=UTRIE2_DATA_BLOCK_LENGTH) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "3053ecb52b455f54e8bf4beed044e8c92e9a8c43",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 577,
                    "column": 86,
                    "event": "warning[core.NullDereference]",
                    "message": "Array access (from variable 'idx') results in a null pointer dereference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 630,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 59,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_LEAD'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 630,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 634,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'enumEitherTrie'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 453,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 453,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 456,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 456,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 460,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 460,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 470,
                    "column": 9,
                    "event": "note",
                    "message": "Null pointer value stored to 'idx'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 490,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming 'c' is < 'limit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 490,
                    "column": 18,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 490,
                    "column": 29,
                    "event": "note",
                    "message": "Assuming 'c' is < 'highStart'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 490,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 493,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'limit' is >= 'tempLimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 493,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 496,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'c' is <= 65535",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 496,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 497,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf.h",
                    "line": 193,
                    "column": 28,
                    "event": "note",
                    "message": "expanded from macro 'U_IS_SURROGATE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 497,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 533,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'i2Block' is not equal to 'index2NullOffset'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 533,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 548,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 548,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 553,
                    "column": 19,
                    "event": "note",
                    "message": "Assuming 'i2' is < 'i2Limit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 553,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 554,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 559,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'block' is not equal to 'prevBlock'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 559,
                    "column": 37,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 565,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'block' is not equal to 'nullBlock'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 565,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 576,
                    "column": 21,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 577,
                    "column": 50,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 577,
                    "column": 50,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 577,
                    "column": 86,
                    "event": "note",
                    "message": "Array access (from variable 'idx') results in a null pointer dereference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  575|                   } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  576|                       for(j=0; j<UTRIE2_DATA_BLOCK_LENGTH; ++j) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  577|->                         value=enumValue(context, data32!=nullptr ? data32[block+j] : idx[block+j]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  578|                           if(value!=prevValue) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  579|                               if(prev<c && !enumRange(context, prev, c-1, prevValue)) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "34d888a647110f6d88d17c6b9bcb9b707a7d7dfc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 603,
                    "column": 23,
                    "event": "warning[core.NullDereference]",
                    "message": "Access to field 'data' results in a dereference of a null pointer (loaded from field 'newTrie')",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 630,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 59,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'U16_IS_LEAD'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 630,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 634,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'enumEitherTrie'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 453,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 453,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 456,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 456,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 460,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 460,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 490,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming 'c' is < 'limit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 490,
                    "column": 18,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 490,
                    "column": 29,
                    "event": "note",
                    "message": "Assuming 'c' is >= 'highStart'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 490,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 592",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 592,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'c' is <= 'limit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 592,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 594,
                    "column": 15,
                    "event": "note",
                    "message": "'c' is < 'limit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 594,
                    "column": 12,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 597,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 597,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2.cpp",
                    "line": 603,
                    "column": 23,
                    "event": "note",
                    "message": "Access to field 'data' results in a dereference of a null pointer (loaded from field 'newTrie')",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  601|                       idx[trie->highValueIndex];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  602|           } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  603|->             highValue=trie->newTrie->data[trie->newTrie->dataLength-UTRIE2_DATA_GRANULARITY];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  604|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  605|           value=enumValue(context, highValue);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie2_builder.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/utrie_swap.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uts46.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/utypes.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uvector.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uvectr32.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/common/uvectr64.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/extra/scrptrun/scrptrun.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "dc626e417ee53e82b05f4e7bdb68f5831b199772",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/extra/scrptrun/scrptrun.cpp",
                    "line": 79,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'value' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/extra/scrptrun/scrptrun.cpp",
                    "line": 79,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'value' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   77|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   78|       if (value >= 1 << 1) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   79|->         value >>= 1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   80|           bit += 1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   81|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/extra/scrptrun/srtest.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uconv.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 909,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "1c721708c4165ecaca6766d3c862f07dffefc99b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uconv.cpp",
                    "line": 674,
                    "event": "error[uninitStructMember]",
                    "message": "Uninitialized struct member: parse.offset",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  672|                   char16_t linebuf[20], offsetbuf[20];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  673|                   uprv_itou(linebuf, 20, parse.line, 10, 0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  674|->                 uprv_itou(offsetbuf, 20, parse.offset, 10, 0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  675|                   u_wmsg(stderr, \"cantCreateTranslitParseErr\", str.getTerminatedBuffer(),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  676|                       u_wmsg_errorName(err), linebuf, offsetbuf);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "960585a54bfcd0484f27a6ecf775796c652378e7",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uconv.cpp",
                    "line": 1336,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'outfilestr' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uconv.cpp",
                    "line": 1336,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'outfilestr' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1334|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1335|       } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1336|->         outfilestr = \"-\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1337|           outfile = stdout;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1338|   #ifdef USE_FILENO_BINARY_MODE",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 688,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "hash_v1": "00f71b8bb22f6a0f0d916487493085f625f58fda",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uwmsg.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘fetchErrorName’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uwmsg.c",
                    "line": 206,
                    "column": 9,
                    "event": "warning[-Wanalyzer-possible-null-argument]",
                    "message": "use of possibly-NULL ‘gInfoMessages’ where non-null expected",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uwmsg.c",
                    "line": 204,
                    "column": 8,
                    "event": "note",
                    "message": "(1) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uwmsg.c",
                    "line": 205,
                    "column": 35,
                    "event": "note",
                    "message": "(2) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uwmsg.c",
                    "line": 205,
                    "column": 35,
                    "event": "note",
                    "message": "(3) this call could return NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uwmsg.c",
                    "line": 206,
                    "column": 9,
                    "event": "note",
                    "message": "(4) argument 1 (‘malloc(72)’) from (3) could be NULL where non-null expected",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<built-in>",
                    "line": 0,
                    "event": "note",
                    "message": "argument 1 of ‘__builtin_memset’ must be non-null",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  204|       if (!gInfoMessages) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  205|           gInfoMessages = (UChar **)malloc((U_ERROR_WARNING_LIMIT-U_ERROR_WARNING_START)*sizeof(UChar*));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  206|->         memset(gInfoMessages, 0, (U_ERROR_WARNING_LIMIT-U_ERROR_WARNING_START)*sizeof(UChar*));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  207|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  208|       if (!gErrMessages) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 688,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "hash_v1": "f5737727514959ccc1584de5b02218431ee4c973",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uwmsg.c",
                    "line": 210,
                    "column": 9,
                    "event": "warning[-Wanalyzer-possible-null-argument]",
                    "message": "use of possibly-NULL ‘gErrMessages’ where non-null expected",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uwmsg.c",
                    "line": 204,
                    "column": 8,
                    "event": "note",
                    "message": "(1) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uwmsg.c",
                    "line": 208,
                    "column": 9,
                    "event": "note",
                    "message": "(2) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uwmsg.c",
                    "line": 208,
                    "column": 8,
                    "event": "note",
                    "message": "(3) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uwmsg.c",
                    "line": 209,
                    "column": 34,
                    "event": "note",
                    "message": "(4) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uwmsg.c",
                    "line": 209,
                    "column": 34,
                    "event": "note",
                    "message": "(5) this call could return NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/extra/uconv/uwmsg.c",
                    "line": 210,
                    "column": 9,
                    "event": "note",
                    "message": "(6) argument 1 (‘malloc(534544)’) from (5) could be NULL where non-null expected",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<built-in>",
                    "line": 0,
                    "event": "note",
                    "message": "argument 1 of ‘__builtin_memset’ must be non-null",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  208|       if (!gErrMessages) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  209|           gErrMessages = (UChar **)malloc(U_ERROR_LIMIT*sizeof(UChar*));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  210|->         memset(gErrMessages, 0, U_ERROR_LIMIT*sizeof(UChar*));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  211|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  212|       if(err>=0)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/alphaindex.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "e67d9b8514cd7685e1bff0158d9de2c1ef85e6c8",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/alphaindex.cpp",
                    "line": 888,
                    "column": 26,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Forming reference to null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/alphaindex.cpp",
                    "line": 223,
                    "column": 10,
                    "event": "note",
                    "message": "Passing null pointer value via 1st parameter 'locale'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/alphaindex.cpp",
                    "line": 223,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'AlphabeticIndex::init'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/alphaindex.cpp",
                    "line": 871,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/alphaindex.cpp",
                    "line": 872,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/alphaindex.cpp",
                    "line": 872,
                    "column": 30,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/alphaindex.cpp",
                    "line": 872,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/alphaindex.cpp",
                    "line": 878,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/alphaindex.cpp",
                    "line": 878,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/alphaindex.cpp",
                    "line": 887,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/alphaindex.cpp",
                    "line": 887,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/alphaindex.cpp",
                    "line": 888,
                    "column": 26,
                    "event": "note",
                    "message": "Forming reference to null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  886|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  887|       if (collator_ == nullptr) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  888|->         Collator *coll = Collator::createInstance(*locale, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  889|           if (U_FAILURE(status)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  890|               delete coll;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/anytrans.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/astro.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/basictz.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/bocsu.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/brktrans.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "e34788b2b7918201d181d794d0bc6ba1b2269229",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 520,
                    "column": 20,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 513,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 513,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 520,
                    "column": 20,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  518|               fprintf(stderr, \"Cloning a %s calendar with tz=%ld\\n\", ((Calendar*)instance)->getType(), ((Calendar*)instance)->get(UCAL_ZONE_OFFSET, status2));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  519|   #endif",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  520|->             return ((Calendar*)instance)->clone();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  521|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  522|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "e48596187aed9dd36214d57f8db7bc5bf2dd32dc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 986,
                    "column": 19,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 863,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'Calendar::createInstance'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 1005,
                    "column": 19,
                    "event": "note",
                    "message": "Calling 'Calendar::createInstance'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 871,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'Calendar::createInstance'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 981,
                    "column": 5,
                    "event": "note",
                    "message": "'shared' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 982,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'UnifiedCache::getByLocale'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 271,
                    "column": 8,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 274,
                    "column": 8,
                    "event": "note",
                    "message": "Calling 'UnifiedCache::get'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 206,
                    "column": 8,
                    "event": "note",
                    "message": "Calling 'UnifiedCache::get'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 229,
                    "column": 8,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 236,
                    "column": 8,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 237,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'SharedObject::copyPtr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/sharedobject.h",
                    "line": 145,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'src' is equal to 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/sharedobject.h",
                    "line": 145,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/sharedobject.h",
                    "line": 150,
                    "column": 5,
                    "event": "note",
                    "message": "Returning without writing to 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 237,
                    "column": 12,
                    "event": "note",
                    "message": "Returning from 'SharedObject::copyPtr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 242,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'status' is equal to U_ZERO_ERROR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 242,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 245,
                    "column": 4,
                    "event": "note",
                    "message": "Returning without writing to 'ptr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 206,
                    "column": 8,
                    "event": "note",
                    "message": "Returning from 'UnifiedCache::get'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 207,
                    "column": 4,
                    "event": "note",
                    "message": "Returning without writing to 'ptr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 274,
                    "column": 8,
                    "event": "note",
                    "message": "Returning from 'UnifiedCache::get'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 275,
                    "column": 4,
                    "event": "note",
                    "message": "Returning without writing to 'ptr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 982,
                    "column": 5,
                    "event": "note",
                    "message": "Returning from 'UnifiedCache::getByLocale'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 983,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 986,
                    "column": 19,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  984|           return nullptr;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  985|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  986|->     Calendar *c = (*shared)->clone();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  987|       shared->removeRef();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  988|       if (c == nullptr) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "15968404f9d865ff72cdcfa6392ab00b88f68fe0",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 1025,
                    "column": 30,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 43,
                    "column": 76,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strncpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 1020,
                    "column": 5,
                    "event": "note",
                    "message": "'shared' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 1021,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'UnifiedCache::getByLocale'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 271,
                    "column": 8,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 274,
                    "column": 8,
                    "event": "note",
                    "message": "Calling 'UnifiedCache::get'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 206,
                    "column": 8,
                    "event": "note",
                    "message": "Calling 'UnifiedCache::get'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 229,
                    "column": 8,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 236,
                    "column": 8,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 237,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'SharedObject::copyPtr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/sharedobject.h",
                    "line": 145,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'src' is equal to 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/sharedobject.h",
                    "line": 145,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/sharedobject.h",
                    "line": 150,
                    "column": 5,
                    "event": "note",
                    "message": "Returning without writing to 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 237,
                    "column": 12,
                    "event": "note",
                    "message": "Returning from 'SharedObject::copyPtr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 242,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'status' is equal to U_ZERO_ERROR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 242,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 245,
                    "column": 4,
                    "event": "note",
                    "message": "Returning without writing to 'ptr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 206,
                    "column": 8,
                    "event": "note",
                    "message": "Returning from 'UnifiedCache::get'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 207,
                    "column": 4,
                    "event": "note",
                    "message": "Returning without writing to 'ptr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 274,
                    "column": 8,
                    "event": "note",
                    "message": "Returning from 'UnifiedCache::get'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 275,
                    "column": 4,
                    "event": "note",
                    "message": "Returning without writing to 'ptr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 1021,
                    "column": 5,
                    "event": "note",
                    "message": "Returning from 'UnifiedCache::getByLocale'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 1022,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/calendar.cpp",
                    "line": 1025,
                    "column": 30,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 43,
                    "column": 76,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strncpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1023|           return;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1024|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1025|->     uprv_strncpy(typeBuffer, (*shared)->getType(), typeBufferSize);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1026|       shared->removeRef();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1027|       if (typeBuffer[typeBufferSize - 1]) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/casetrn.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cecal.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/chnsecal.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/choicfmt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/coleitr.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/coll.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationbuilder.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationcompare.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdata.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "c0141c334fdc9b8e3902acf5f2454f501c8f7f4f",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 674,
                    "column": 48,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 557,
                    "column": 21,
                    "event": "note",
                    "message": "Value assigned to field 'base'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 558,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'CollationDataBuilder::addCE32'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 564,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 565,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 569,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 569,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 569,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/urename.h",
                    "line": 1955,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'utrie2_isFrozen'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 123,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'U_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 122,
                    "column": 51,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF2_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 121,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<scratch space>",
                    "line": 88,
                    "column": 1,
                    "event": "note",
                    "message": "expanded from here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 569,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 574,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming 'c' is > 65535",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 141,
                    "column": 24,
                    "event": "note",
                    "message": "expanded from macro 'U16_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 574,
                    "column": 23,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 141,
                    "column": 24,
                    "event": "note",
                    "message": "expanded from macro 'U16_LENGTH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 576,
                    "column": 24,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 576,
                    "column": 45,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 578,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'icu4xMode' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 578,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 579,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming field 'base' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 579,
                    "column": 18,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 586,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 613,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 657,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 669,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'oldCE32' is equal to 'FALLBACK_CE32'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 669,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 674,
                    "column": 48,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  672|           // then copy the base mappings.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  673|           // Otherwise we just override the base mapping.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  674|->         uint32_t baseCE32 = base->getFinalCE32(base->getCE32(c));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  675|           if(hasContext || Collation::ce32HasContext(baseCE32)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  676|               oldCE32 = copyFromBaseCE32(c, baseCE32, true, errorCode);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "40ef87d39c9e57c9b5f936307864edf283e7507a",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1219,
                    "column": 20,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1333,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'CollationDataBuilder::buildMappings'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1347,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1348,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1348,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1348,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/urename.h",
                    "line": 1955,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'utrie2_isFrozen'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 123,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'U_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 122,
                    "column": 51,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF2_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 121,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<scratch space>",
                    "line": 114,
                    "column": 1,
                    "event": "note",
                    "message": "expanded from here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1348,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1357,
                    "column": 8,
                    "event": "note",
                    "message": "Calling 'CollationDataBuilder::getJamoCE32s'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1207,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1208,
                    "column": 29,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1208,
                    "column": 29,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1210,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1217,
                    "column": 12,
                    "event": "note",
                    "message": "'ce32' is equal to 'FALLBACK_CE32'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1217,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1219,
                    "column": 20,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1217|           if(ce32 == Collation::FALLBACK_CE32) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1218|               fromBase = true;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1219|->             ce32 = base->getCE32(jamo);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1220|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1221|           if(Collation::isSpecialCE32(ce32)) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatareader.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "fcc6823d39cecb575502c30f3547fe72e6f4cdaf",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 346,
                    "column": 9,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Null pointer passed to 2nd parameter expecting 'nonnull'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 49,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 82,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'CollationDataWriter::write'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 104,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 105,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'capacity' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 105,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 105,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming 'capacity' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 105,
                    "column": 38,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 120,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 120,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 120,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 127,
                    "column": 8,
                    "event": "note",
                    "message": "'isBase' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 127,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 165,
                    "column": 33,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 180,
                    "column": 8,
                    "event": "note",
                    "message": "'isBase' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 180,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 226,
                    "column": 8,
                    "event": "note",
                    "message": "'hasMappings' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 226,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 226,
                    "column": 24,
                    "event": "note",
                    "message": "'isBase' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 226,
                    "column": 31,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 236,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 241,
                    "column": 8,
                    "event": "note",
                    "message": "'hasMappings' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 241,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 244,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'totalSize' is >= 'capacity'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 244,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 250,
                    "column": 34,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 262,
                    "column": 8,
                    "event": "note",
                    "message": "'hasMappings' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 262,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 262,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming field 'cesLength' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 262,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 269,
                    "column": 8,
                    "event": "note",
                    "message": "'hasMappings' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 269,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 277,
                    "column": 8,
                    "event": "note",
                    "message": "'hasMappings' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 277,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 282,
                    "column": 8,
                    "event": "note",
                    "message": "'hasMappings' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 282,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 282,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 282,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 304,
                    "column": 8,
                    "event": "note",
                    "message": "'isBase' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 304,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 312,
                    "column": 8,
                    "event": "note",
                    "message": "'isBase' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 312,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 319,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'totalSize' is <= 'capacity'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 319,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 324,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 42,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/umachine.h",
                    "line": 147,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'UPRV_BLOCK_MACRO_BEGIN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 333,
                    "column": 72,
                    "event": "note",
                    "message": "Passing null pointer value via 3rd parameter 'src'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 333,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'CollationDataWriter::copyData'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 345,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'start' is < 'limit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 345,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatawriter.cpp",
                    "line": 346,
                    "column": 9,
                    "event": "note",
                    "message": "Null pointer passed to 2nd parameter expecting 'nonnull'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 49,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  344|       int32_t limit = indexes[startIndex + 1];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  345|       if(start < limit) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  346|->         uprv_memcpy(dest + start, src, limit - start);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  347|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  348|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationfastlatin.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationfastlatinbuilder.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "2464a7b90d8bc4b2694f5b9f50451c811af68aa2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationfastlatinbuilder.cpp",
                    "line": 509,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'prevSecondary' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationfastlatinbuilder.cpp",
                    "line": 509,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'prevSecondary' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  507|                       continue;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  508|                   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  509|->                 prevSecondary = s;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  510|                   ter = CollationFastLatin::COMMON_TER;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  511|               } else if(s < Collation::COMMON_WEIGHT16) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "0734af9ec8531139cf73a122b9345b5971462668",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationfastlatinbuilder.cpp",
                    "line": 510,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'ter' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationfastlatinbuilder.cpp",
                    "line": 510,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'ter' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  508|                   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  509|                   prevSecondary = s;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  510|->                 ter = CollationFastLatin::COMMON_TER;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  511|               } else if(s < Collation::COMMON_WEIGHT16) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  512|                   if(sec == CollationFastLatin::COMMON_SEC) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationiterator.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "6b4ccd10c4be5811edda5a19a344bed84cc83d28",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 33,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationiterator.h",
                    "line": 103,
                    "column": 20,
                    "event": "warning[core.uninitialized.Assign]",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1657,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'CollationDataBuilder::getCEs'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1674,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1674,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 1675,
                    "column": 24,
                    "event": "note",
                    "message": "Calling constructor for 'DataBuilderCollationIterator'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationdatabuilder.cpp",
                    "line": 167,
                    "column": 11,
                    "event": "note",
                    "message": "Calling constructor for 'CollationIterator'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationiterator.h",
                    "line": 103,
                    "column": 20,
                    "event": "note",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  101|   public:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  102|       CollationIterator(const CollationData *d, UBool numeric)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  103|->             : trie(d->trie),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  104|                 data(d),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  105|                 cesIndex(0),",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "70901211dabd6ca5c6a1280896e9d87d7418ba7d",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationiterator.h",
                    "line": 103,
                    "column": 23,
                    "event": "warning[-Wuninitialized]",
                    "message": "‘MEM[(const struct CollationData *)this_10(D) + 400B].trie’ is used uninitialized",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  103 |             : trie(d->trie),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                    ~~~^~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  101|   public:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  102|       CollationIterator(const CollationData *d, UBool numeric)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  103|->             : trie(d->trie),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  104|                 data(d),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  105|                 cesIndex(0),",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationkeys.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationroot.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationrootelements.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationruleparser.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationsets.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationsettings.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "488e43cfd3b3b41b3bda19f7a79d47dfd091749c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationsettings.cpp",
                    "line": 215,
                    "column": 5,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 49,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationsettings.cpp",
                    "line": 36,
                    "column": 24,
                    "event": "note",
                    "message": "Null pointer value stored to field 'reorderCodes'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationsettings.cpp",
                    "line": 39,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'CollationSettings::copyReorderingFrom'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationsettings.cpp",
                    "line": 226,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationsettings.cpp",
                    "line": 227,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationsettings.cpp",
                    "line": 232,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'reorderCodesCapacity' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationsettings.cpp",
                    "line": 232,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationsettings.cpp",
                    "line": 240,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'CollationSettings::setReorderArrays'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationsettings.cpp",
                    "line": 194,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationsettings.cpp",
                    "line": 198,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'totalLength' is <= field 'reorderCodesCapacity'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationsettings.cpp",
                    "line": 198,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationsettings.cpp",
                    "line": 199,
                    "column": 9,
                    "event": "note",
                    "message": "Null pointer value stored to 'ownedCodes'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationsettings.cpp",
                    "line": 215,
                    "column": 5,
                    "event": "note",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 49,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  213|           reorderCodesCapacity = capacity;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  214|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  215|->     uprv_memcpy(ownedCodes + reorderCodesCapacity, table, 256);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  216|       uprv_memcpy(ownedCodes, codes, codesLength * 4);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  217|       uprv_memcpy(ownedCodes + codesLength, ranges, rangesLength * 4);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationtailoring.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationweights.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "6de9cb3ac8cbaa22789c65f0c99c64ab58655893",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationweights.cpp",
                    "line": 85,
                    "column": 41,
                    "event": "warning[core.BitwiseShift]",
                    "message": "Left shift by '32' overflows the capacity of 'unsigned int'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationweights.cpp",
                    "line": 502,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'CollationWeights::getWeightRanges'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationweights.cpp",
                    "line": 226,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'lowerLimit' is < 'upperLimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationweights.cpp",
                    "line": 226,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationweights.cpp",
                    "line": 234,
                    "column": 8,
                    "event": "note",
                    "message": "'lowerLength' is >= 'upperLength'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationweights.cpp",
                    "line": 234,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationweights.cpp",
                    "line": 264,
                    "column": 37,
                    "event": "note",
                    "message": "Assuming 'length' is > field 'middleLength'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationweights.cpp",
                    "line": 264,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationweights.cpp",
                    "line": 266,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationweights.cpp",
                    "line": 266,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationweights.cpp",
                    "line": 272,
                    "column": 16,
                    "event": "note",
                    "message": "Calling 'truncateWeight'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/collationweights.cpp",
                    "line": 85,
                    "column": 41,
                    "event": "note",
                    "message": "The result of left shift is undefined because the right operand '32' is not smaller than 32, the capacity of 'unsigned int'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   83|   static inline uint32_t",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   84|   truncateWeight(uint32_t weight, int32_t length) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   85|->     return (uint32_t)(weight&(0xffffffff<<(8*(4-length))));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   86|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   87|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/compactdecimalformat.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "7cd0fc224ec25bea0de2f5206256feec6bad83a5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 605,
                    "column": 23,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 57,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'CompoundTransliterator::setTransliterators'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 351,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 351,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 356,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming 'i' is < 'transCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 356,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 357,
                    "column": 9,
                    "event": "note",
                    "message": "Assigning value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 358,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 358,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 358,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 360,
                    "column": 13,
                    "event": "note",
                    "message": " Execution continues on line 363",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 363,
                    "column": 9,
                    "event": "note",
                    "message": "'failed' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 363,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 363,
                    "column": 19,
                    "event": "note",
                    "message": "'i' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 363,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 371,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'CompoundTransliterator::adoptTransliterators'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 381,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'CompoundTransliterator::computeMaximumContextLength'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 604,
                    "column": 10,
                    "event": "note",
                    "message": "'i' initialized to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 604,
                    "column": 23,
                    "event": "note",
                    "message": "'i' is < field 'count'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 604,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/cpdtrans.cpp",
                    "line": 605,
                    "column": 23,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  603|       int32_t max = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  604|       for (int32_t i=0; i<count; ++i) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  605|->         int32_t len = trans[i]->getMaximumContextLength();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  606|           if (len > max) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  607|               max = len;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/csdetect.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/csr2022.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/csrmbcs.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/csrsbcs.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/csrucode.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/csrutf8.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/currpinf.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/currunit.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/datefmt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "ae71560fccb7576b107e037fa2e9f579ebbdcf64",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/datefmt.cpp",
                    "line": 441,
                    "column": 19,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Forming reference to null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/datefmt.cpp",
                    "line": 493,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'DateFormat::createInstanceForSkeleton'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/datefmt.cpp",
                    "line": 478,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/datefmt.cpp",
                    "line": 483,
                    "column": 13,
                    "event": "note",
                    "message": "Calling 'DateFormat::getBestPattern'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/datefmt.cpp",
                    "line": 432,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/datefmt.cpp",
                    "line": 436,
                    "column": 5,
                    "event": "note",
                    "message": "'patternPtr' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/datefmt.cpp",
                    "line": 437,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'UnifiedCache::get'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 206,
                    "column": 8,
                    "event": "note",
                    "message": "Calling 'UnifiedCache::get'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 229,
                    "column": 8,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 236,
                    "column": 8,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 237,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'SharedObject::copyPtr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/sharedobject.h",
                    "line": 145,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'src' is equal to 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/sharedobject.h",
                    "line": 145,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/sharedobject.h",
                    "line": 150,
                    "column": 5,
                    "event": "note",
                    "message": "Returning without writing to 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 237,
                    "column": 12,
                    "event": "note",
                    "message": "Returning from 'SharedObject::copyPtr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 242,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'status' is equal to U_ZERO_ERROR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 242,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 245,
                    "column": 4,
                    "event": "note",
                    "message": "Returning without writing to 'ptr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 206,
                    "column": 8,
                    "event": "note",
                    "message": "Returning from 'UnifiedCache::get'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 207,
                    "column": 4,
                    "event": "note",
                    "message": "Returning without writing to 'ptr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/datefmt.cpp",
                    "line": 437,
                    "column": 5,
                    "event": "note",
                    "message": "Returning from 'UnifiedCache::get'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/datefmt.cpp",
                    "line": 438,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/datefmt.cpp",
                    "line": 441,
                    "column": 19,
                    "event": "note",
                    "message": "Forming reference to null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  439|           return UnicodeString();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  440|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  441|->     UnicodeString result(patternPtr->fPattern);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  442|       patternPtr->removeRef();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  443|       return result;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dayperiodrules.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dcfmtsym.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decContext.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "0418baabb7b3a6cd6f19a90bcb9db2b2d8238d7a",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘uprv_decNumberSquareRoot_74’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 2974,
                    "column": 31,
                    "event": "warning[-Wstringop-overflow=]",
                    "message": "writing 1 byte into a region of size 0",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2974 |         t->lsu[0]=9; t->lsu[1]=5; t->lsu[2]=2;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                      ~~~~~~~~~^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 184,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.h",
                    "line": 89,
                    "column": 19,
                    "event": "note",
                    "message": "at offset 1 into destination object ‘lsu’ of size 1",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   89 |     decNumberUnit lsu[DECNUMUNITS];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                   ^~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2972|           a->lsu[0]=19; a->lsu[1]=8;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2973|         #else",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2974|->         t->lsu[0]=9; t->lsu[1]=5; t->lsu[2]=2;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2975|           a->lsu[0]=9; a->lsu[1]=1; a->lsu[2]=8;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2976|         #endif",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "0418baabb7b3a6cd6f19a90bcb9db2b2d8238d7a",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 2974,
                    "column": 44,
                    "event": "warning[-Wstringop-overflow=]",
                    "message": "writing 1 byte into a region of size 0",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2974 |         t->lsu[0]=9; t->lsu[1]=5; t->lsu[2]=2;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                   ~~~~~~~~~^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.h",
                    "line": 89,
                    "column": 19,
                    "event": "note",
                    "message": "at offset 2 into destination object ‘lsu’ of size 1",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   89 |     decNumberUnit lsu[DECNUMUNITS];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                   ^~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2972|           a->lsu[0]=19; a->lsu[1]=8;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2973|         #else",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2974|->         t->lsu[0]=9; t->lsu[1]=5; t->lsu[2]=2;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2975|           a->lsu[0]=9; a->lsu[1]=1; a->lsu[2]=8;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2976|         #endif",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "f37e487bd173ee2c2d7b6f01b2b054f9c7d973d0",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 3907,
                    "column": 7,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'bits' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 3907,
                    "column": 7,
                    "event": "note",
                    "message": "Value stored to 'bits' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3905|         Int adjust;                       /* work  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3906|         Int lexp=lhs->exponent;           /* save in case LHS==RES  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3907|->       bits=lhs->bits;                   /* ..  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3908|         residue=0;                        /* clear accumulator  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3909|         decCopyFit(res, rhs, set, &residue, status); /* copy (as needed)  */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "72333b89c434dbd7e4254517176d3da57fc72a94",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 3943,
                    "column": 7,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'bits' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 3943,
                    "column": 7,
                    "event": "note",
                    "message": "Value stored to 'bits' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3941|         Int adjust;                       /* work  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3942|         Int rexp=rhs->exponent;           /* save in case RHS==RES  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3943|->       bits=rhs->bits;                   /* be clean  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3944|         residue=0;                        /* clear accumulator  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3945|         decCopyFit(res, lhs, set, &residue, status); /* copy (as needed)  */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "2fece1d1e2af26c39f87d081bb7f3a816aa4452d",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4560,
                    "column": 21,
                    "event": "warning[core.UndefinedBinaryOperatorResult]",
                    "message": "The left operand of '!=' is a garbage value",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4321,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 306,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'SPECIALARGS'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4321,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4360,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 229,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'ISZERO'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.h",
                    "line": 193,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'decNumberIsZero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4360,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 229,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'ISZERO'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.h",
                    "line": 194,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'decNumberIsZero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4376,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 229,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'ISZERO'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.h",
                    "line": 193,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'decNumberIsZero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4376,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 229,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'ISZERO'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.h",
                    "line": 194,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'decNumberIsZero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4412,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'exponent' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4412,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4439,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 238,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'D2U'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4439,
                    "column": 15,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 238,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'D2U'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4440,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4443,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4443,
                    "column": 7,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4461,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'maxdigits' is >= field 'digits'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4461,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4462,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming 'maxdigits' is > 49",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 238,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'D2U'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4462,
                    "column": 15,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 238,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'D2U'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4464,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4464,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4465,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4465,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4481,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming field 'digits' is <= 49",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 238,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'D2U'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4481,
                    "column": 21,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 238,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'D2U'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4482,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming 'source' is < field 'lsu'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4482,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 4483",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4483,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'target' is < 'var1'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4483,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 4486",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4487,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming field 'digits' is <= 49",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 238,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'D2U'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4487,
                    "column": 15,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 238,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'D2U'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4494,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'var2units' is <= 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4494,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4496,
                    "column": 9,
                    "event": "note",
                    "message": "'var2units' is <= 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4496,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4507,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 4508",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4508,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 4515",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4515,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4532,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4532,
                    "column": 7,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4542,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4545,
                    "column": 7,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4548,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4548,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4550,
                    "column": 13,
                    "event": "note",
                    "message": "'var1units' is >= 'var2ulen'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4550,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4551,
                    "column": 13,
                    "event": "note",
                    "message": "'var1units' is equal to 'var2ulen'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4551,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4556,
                    "column": 11,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4559,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'pv2' is < 'var2'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4559,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4560,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4560,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4561,
                    "column": 17,
                    "event": "note",
                    "message": "'pv1' is not equal to 'var1'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4561,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4556,
                    "column": 11,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4559,
                    "column": 17,
                    "event": "note",
                    "message": "'pv2' is < 'var2'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4559,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4560,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4560,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4561,
                    "column": 17,
                    "event": "note",
                    "message": "'pv1' is not equal to 'var1'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4561,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4556,
                    "column": 11,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4559,
                    "column": 17,
                    "event": "note",
                    "message": "'pv2' is < 'var2'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4559,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4560,
                    "column": 21,
                    "event": "note",
                    "message": "The left operand of '!=' is a garbage value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4558|               v2=0;                            /* assume in padding  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4559|               if (pv2>=var2) v2=*pv2;          /* in range  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4560|->             if (*pv1!=v2) break;             /* no longer the same  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4561|               if (pv1==var1) break;            /* done; leave pv1 as is  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4562|               }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "fd18c59aaba6aa7dac64cc5dc02cad9904ebb361",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4622,
                    "column": 16,
                    "event": "warning[core.UndefinedBinaryOperatorResult]",
                    "message": "The left operand of '==' is a garbage value",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4321,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 306,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'SPECIALARGS'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4321,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4360,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 229,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'ISZERO'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.h",
                    "line": 193,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'decNumberIsZero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4360,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 229,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'ISZERO'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.h",
                    "line": 194,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'decNumberIsZero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4376,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 229,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'ISZERO'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.h",
                    "line": 193,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'decNumberIsZero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4376,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 229,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'ISZERO'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.h",
                    "line": 194,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'decNumberIsZero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4412,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'exponent' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4412,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4439,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 238,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'D2U'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4439,
                    "column": 15,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 238,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'D2U'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4440,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4443,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4443,
                    "column": 7,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4461,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'maxdigits' is >= field 'digits'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4461,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4462,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming 'maxdigits' is > 49",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 238,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'D2U'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4462,
                    "column": 15,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 238,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'D2U'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4464,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4464,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4465,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4465,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4481,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming field 'digits' is <= 49",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 238,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'D2U'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4481,
                    "column": 21,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 238,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'D2U'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4482,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming 'source' is < field 'lsu'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4482,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 4483",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4483,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'target' is < 'var1'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4483,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 4486",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4487,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming field 'digits' is <= 49",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 238,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'D2U'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4487,
                    "column": 15,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 238,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'D2U'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4494,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'var2units' is <= 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4494,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4496,
                    "column": 9,
                    "event": "note",
                    "message": "'var2units' is <= 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4496,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4507,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 4508",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4508,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 4515",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4515,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4532,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4532,
                    "column": 7,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4542,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4545,
                    "column": 7,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4548,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4548,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4550,
                    "column": 13,
                    "event": "note",
                    "message": "'var1units' is >= 'var2ulen'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4550,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4551,
                    "column": 13,
                    "event": "note",
                    "message": "'var1units' is equal to 'var2ulen'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4551,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4556,
                    "column": 11,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4559,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'pv2' is < 'var2'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4559,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4560,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4560,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4560,
                    "column": 27,
                    "event": "note",
                    "message": " Execution continues on line 4564",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4564,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4564,
                    "column": 11,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4564,
                    "column": 24,
                    "event": "note",
                    "message": " Execution continues on line 4607",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4607,
                    "column": 11,
                    "event": "note",
                    "message": "'accunits' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4607,
                    "column": 11,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4607,
                    "column": 26,
                    "event": "note",
                    "message": "'thisunit' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4607,
                    "column": 7,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4622,
                    "column": 16,
                    "event": "note",
                    "message": "The left operand of '==' is a garbage value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4620|         /* if the residue is zero, the operation is done (unless divide  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4621|         /* or divideInteger and still not enough digits yet)  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4622|->       if (*var1==0 && var1units==1) {        /* residue is 0  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4623|           if (op&(REMAINDER|REMNEAR)) break;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4624|           if ((op&DIVIDE) && (exponent<=maxexponent)) break;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "098cea9d7c52a1276ac4046bb7b2e47d0b11a3fc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4643,
                    "column": 7,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'accunits' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4643,
                    "column": 7,
                    "event": "note",
                    "message": "Value stored to 'accunits' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4641|       /*       accunits is the number of digits collected in acc  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4642|       if (accunits==0) {             /* acc is 0  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4643|->       accunits=1;                  /* show have a unit ..  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4644|         accdigits=1;                 /* ..  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4645|         *accnext=0;                  /* .. whose value is 0  */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "0c2ae4015daf7ff1494e2a5f10f764a04b2f0ab6",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4803,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'accunits' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 4803,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'accunits' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4801|                                       expunits, accnext, -(Int)powers[exprem]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4802|               accdigits=decGetDigits(accnext, accunits); /* count digits exactly  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4803|->             accunits=D2U(accdigits);    /* and recalculate the units for copy  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4804|               /* [exponent is as for original remainder]  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4805|               bits^=DECNEG;               /* flip the sign  */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "03065d43bd78b284d679966d2385aff7ffeff769",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7249,
                    "column": 39,
                    "event": "warning[core.UndefinedBinaryOperatorResult]",
                    "message": "The left operand of '-' is a garbage value due to array index out of bounds",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 3245,
                    "column": 3,
                    "event": "note",
                    "message": "Calling 'uprv_decNumberToIntegralExact_74'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/urename.h",
                    "line": 1467,
                    "column": 39,
                    "event": "note",
                    "message": "expanded from macro 'uprv_decNumberToIntegralExact'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 123,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'U_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 122,
                    "column": 51,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF2_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 121,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<scratch space>",
                    "line": 25,
                    "column": 1,
                    "event": "note",
                    "message": "expanded from here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 3222,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 305,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'SPECIALARG'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 3222,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 3228,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'exponent' is < 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 3228,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 3234,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'uprv_decNumberQuantize_74'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/urename.h",
                    "line": 1453,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'uprv_decNumberQuantize'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 123,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'U_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 122,
                    "column": 51,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF2_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 121,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<scratch space>",
                    "line": 23,
                    "column": 1,
                    "event": "note",
                    "message": "expanded from here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 2322,
                    "column": 3,
                    "event": "note",
                    "message": "Calling 'decQuantizeOp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5913,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5926,
                    "column": 9,
                    "event": "note",
                    "message": "'quant' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5926,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5938,
                    "column": 9,
                    "event": "note",
                    "message": "'reqexp' is not equal to BADINT",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5938,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5939,
                    "column": 9,
                    "event": "note",
                    "message": "'reqexp' is not equal to BIGODD",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5938,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5939,
                    "column": 27,
                    "event": "note",
                    "message": "'reqexp' is not equal to BIGEVEN",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5938,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5940,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming 'reqexp' is >= 'etiny'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5938,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5941,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming 'reqexp' is <= field 'emax'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5938,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5946,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 229,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'ISZERO'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.h",
                    "line": 193,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'decNumberIsZero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5946,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumberLocal.h",
                    "line": 229,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'ISZERO'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.h",
                    "line": 194,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'decNumberIsZero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5956,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5956,
                    "column": 7,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5961,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming 'adjust' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5961,
                    "column": 7,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 5969,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'decApplyRound'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7122,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming 'residue' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7122,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7127,
                    "column": 3,
                    "event": "note",
                    "message": "Control jumps to 'case DEC_ROUND_DOWN:'  at line 7140",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7142,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming 'residue' is < 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7142,
                    "column": 7,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7143,
                    "column": 7,
                    "event": "note",
                    "message": " Execution continues on line 7196",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7196,
                    "column": 7,
                    "event": "note",
                    "message": "'bump' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7196,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7203,
                    "column": 7,
                    "event": "note",
                    "message": "'bump' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7203,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7230,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7231,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming 'count' is <= DECDPUN",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7231,
                    "column": 7,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7233,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7233,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7238,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 7239",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7246,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7246,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7247,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming 'count' is not equal to 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7247,
                    "column": 24,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decNumber.cpp",
                    "line": 7249,
                    "column": 39,
                    "event": "note",
                    "message": "The left operand of '-' is a garbage value due to array index out of bounds",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 7247|             if (count==1 && dn->digits==1) *sup=0;  /* here 9 -> 0[.9]  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 7248|              else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 7249|->             *sup=(Unit)powers[count-1]-1;    /* here 999.. in msu -> 99..  */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 7250|               dn->digits--;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 7251|               }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/decimfmt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/displayoptions.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/double-conversion-bignum-dtoa.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/double-conversion-bignum.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "fb8ea974967e911cedc081127b8c6aad06d1aff2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/double-conversion-double-to-string.cpp",
                    "line": 454,
                    "column": 7,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'fast_worked' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/double-conversion-double-to-string.cpp",
                    "line": 454,
                    "column": 7,
                    "event": "note",
                    "message": "Value stored to 'fast_worked' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  452|   #endif // not needed for ICU",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  453|       default:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  454|->       fast_worked = false;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  455|         DOUBLE_CONVERSION_UNREACHABLE();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  456|     }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/double-conversion-fast-dtoa.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/double-conversion-string-to-double.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/double-conversion-strtod.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 0,
                    "event": "internal warning",
                    "message": "child 9542 timed out after 30s",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "dd30c14a941548897dfd4dfd043ed73d9ce5303c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 256,
                    "column": 55,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 251,
                    "column": 5,
                    "event": "note",
                    "message": "'shared' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 252,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'UnifiedCache::getByLocale'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 271,
                    "column": 8,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 274,
                    "column": 8,
                    "event": "note",
                    "message": "Calling 'UnifiedCache::get'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 206,
                    "column": 8,
                    "event": "note",
                    "message": "Calling 'UnifiedCache::get'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 229,
                    "column": 8,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 236,
                    "column": 8,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 237,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'SharedObject::copyPtr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/sharedobject.h",
                    "line": 145,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'src' is equal to 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/sharedobject.h",
                    "line": 145,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/sharedobject.h",
                    "line": 150,
                    "column": 5,
                    "event": "note",
                    "message": "Returning without writing to 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 237,
                    "column": 12,
                    "event": "note",
                    "message": "Returning from 'SharedObject::copyPtr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 242,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'status' is equal to U_ZERO_ERROR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 242,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 245,
                    "column": 4,
                    "event": "note",
                    "message": "Returning without writing to 'ptr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 206,
                    "column": 8,
                    "event": "note",
                    "message": "Returning from 'UnifiedCache::get'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 207,
                    "column": 4,
                    "event": "note",
                    "message": "Returning without writing to 'ptr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 274,
                    "column": 8,
                    "event": "note",
                    "message": "Returning from 'UnifiedCache::get'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unifiedcache.h",
                    "line": 275,
                    "column": 4,
                    "event": "note",
                    "message": "Returning without writing to 'ptr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 252,
                    "column": 5,
                    "event": "note",
                    "message": "Returning from 'UnifiedCache::getByLocale'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 253,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 256,
                    "column": 55,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  254|           return nullptr;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  255|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  256|->     DateFormatSymbols *result = new DateFormatSymbols(shared->get());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  257|       shared->removeRef();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  258|       if (result == nullptr) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "b6572cd0f0c9fbc2e52eabb530f47f90af24e379",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1715,
                    "column": 17,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1557,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1563,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1566,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1571,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1572,
                    "column": 17,
                    "event": "note",
                    "message": "'aliasType' is not equal to GREGORIAN",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1572,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1576,
                    "column": 24,
                    "event": "note",
                    "message": "'aliasType' is not equal to DIFFERENT_CALENDAR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1576,
                    "column": 20,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1590,
                    "column": 24,
                    "event": "note",
                    "message": "'aliasType' is not equal to SAME_CALENDAR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1590,
                    "column": 20,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1605,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1605,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1605,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1605,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1609,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1609,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1610,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1609,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1611,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1609,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1621,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1621,
                    "column": 24,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1622,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1621,
                    "column": 24,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1623,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1621,
                    "column": 24,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1624,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1621,
                    "column": 24,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1625,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1621,
                    "column": 24,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1626,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1621,
                    "column": 24,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1621,
                    "column": 20,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1628,
                    "column": 17,
                    "event": "note",
                    "message": "Calling 'CalendarDataSink::processResource'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1681,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1684,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1685,
                    "column": 9,
                    "event": "note",
                    "message": "'stringMap' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1688,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1692,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1692,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1697,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1697,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1727,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1727,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1755,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1755,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1755,
                    "column": 48,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1755,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1762,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1763,
                    "column": 17,
                    "event": "note",
                    "message": "'aliasType' is not equal to SAME_CALENDAR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1763,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1779,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1779,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1788,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1788,
                    "column": 20,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1688,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1692,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1692,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1697,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1697,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1699,
                    "column": 21,
                    "event": "note",
                    "message": "'i' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1699,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1713,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1715,
                    "column": 17,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1713|                   if (U_FAILURE(errorCode)) { return; }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1714|                   LocalPointer<UnicodeString> valueUString(new UnicodeString(true, valueString, valueStringSize), errorCode);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1715|->                 stringMap->put(keyUString, valueUString.orphan(), errorCode);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1716|                   if (U_FAILURE(errorCode)) { return; }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1717|                   continue;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "7cc59118934318ebf6f5e7921f7463649b6a997c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1740,
                    "column": 25,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'length' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1740,
                    "column": 25,
                    "event": "note",
                    "message": "Value stored to 'length' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1738|                           || path.compare(startIndex, (length = UPRV_LENGTHOF(kFormatTagUChar)), kFormatTagUChar, 0, UPRV_LENGTHOF(kFormatTagUChar)) == 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1739|                           startIndex += length;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1740|->                         length = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1741|                           if (startIndex == path.length()",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1742|                               || path.compare(startIndex, (length = UPRV_LENGTHOF(kAbbrTagUChar)), kAbbrTagUChar, 0, UPRV_LENGTHOF(kAbbrTagUChar)) == 0) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "5c5e08011cc8cb0cd5360001925fa1a11c86adc0",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1742,
                    "column": 58,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'length' is used in the enclosing expression, the value is never actually read from 'length'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 1742,
                    "column": 58,
                    "event": "note",
                    "message": "Although the value stored to 'length' is used in the enclosing expression, the value is never actually read from 'length'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1740|                           length = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1741|                           if (startIndex == path.length()",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1742|->                             || path.compare(startIndex, (length = UPRV_LENGTHOF(kAbbrTagUChar)), kAbbrTagUChar, 0, UPRV_LENGTHOF(kAbbrTagUChar)) == 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1743|                               skip = false;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1744|                           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "cef38df949efdc9eb5d801851a031fed8f8c6ecc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2305,
                    "column": 17,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Forming reference to null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2110,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2117,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2120,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2120,
                    "column": 49,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2121,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2121,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 2162",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2167,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'fLeapMonthPatterns' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2167,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2215,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2265,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2265,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2288,
                    "column": 35,
                    "event": "note",
                    "message": "Value assigned to field 'fStandaloneAbbreviatedDayPeriods'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2293,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2294,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming 'dpidx' is < field 'fAbbreviatedDayPeriodsCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2294,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2295,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'dpidx' is >= field 'fWideDayPeriodsCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2295,
                    "column": 46,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2298,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'dpidx' is >= field 'fNarrowDayPeriodsCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2298,
                    "column": 48,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2301,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'dpidx' is < field 'fStandaloneAbbreviatedDayPeriodsCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2301,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2301,
                    "column": 66,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2301,
                    "column": 110,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2304,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'dpidx' is < field 'fStandaloneWideDayPeriodsCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2304,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2304,
                    "column": 59,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2304,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2304,
                    "column": 99,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2304,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2305,
                    "column": 17,
                    "event": "note",
                    "message": "Forming reference to null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2303|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2304|               if (dpidx < fStandaloneWideDayPeriodsCount && fStandaloneWideDayPeriods != nullptr && fStandaloneWideDayPeriods[dpidx].isBogus()) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2305|->                 fStandaloneWideDayPeriods[dpidx].fastCopyFrom(fStandaloneAbbreviatedDayPeriods[dpidx]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2306|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2307|               if (dpidx < fStandaloneNarrowDayPeriodsCount && fStandaloneNarrowDayPeriods != nullptr && fStandaloneNarrowDayPeriods[dpidx].isBogus()) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "c1181b5b7a49d50b485bb54db0a245231cbdb8d2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2308,
                    "column": 17,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Forming reference to null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2110,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2117,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2120,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2120,
                    "column": 49,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2121,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2121,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 2162",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2167,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'fLeapMonthPatterns' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2167,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2215,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2265,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2265,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2288,
                    "column": 35,
                    "event": "note",
                    "message": "Value assigned to field 'fStandaloneAbbreviatedDayPeriods'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2293,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2294,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming 'dpidx' is < field 'fAbbreviatedDayPeriodsCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2294,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2295,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'dpidx' is >= field 'fWideDayPeriodsCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2295,
                    "column": 46,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2298,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'dpidx' is >= field 'fNarrowDayPeriodsCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2298,
                    "column": 48,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2301,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'dpidx' is < field 'fStandaloneAbbreviatedDayPeriodsCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2301,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2301,
                    "column": 66,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2301,
                    "column": 110,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2304,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'dpidx' is >= field 'fStandaloneWideDayPeriodsCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2304,
                    "column": 56,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2307,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'dpidx' is < field 'fStandaloneNarrowDayPeriodsCount'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2307,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2307,
                    "column": 61,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2307,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2307,
                    "column": 103,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2307,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtfmtsym.cpp",
                    "line": 2308,
                    "column": 17,
                    "event": "note",
                    "message": "Forming reference to null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2306|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2307|               if (dpidx < fStandaloneNarrowDayPeriodsCount && fStandaloneNarrowDayPeriods != nullptr && fStandaloneNarrowDayPeriods[dpidx].isBogus()) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2308|->                 fStandaloneNarrowDayPeriods[dpidx].fastCopyFrom(fStandaloneAbbreviatedDayPeriods[dpidx]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2309|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2310|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "27d132fbec17970730030066b2013776b4b8a3e2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 335,
                    "column": 20,
                    "event": "warning[core.UndefinedBinaryOperatorResult]",
                    "message": "The left operand of '!=' is a garbage value",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 312,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 317,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 321,
                    "column": 5,
                    "event": "note",
                    "message": "'firstIndex' declared without an initial value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 326,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'DateIntervalFormat::formatIntervalImpl'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 404,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 405,
                    "column": 9,
                    "event": "note",
                    "message": "Returning without writing to 'firstIndex'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 326,
                    "column": 9,
                    "event": "note",
                    "message": "Returning from 'DateIntervalFormat::formatIntervalImpl'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 330,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 335,
                    "column": 20,
                    "event": "note",
                    "message": "The left operand of '!=' is a garbage value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  333|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  334|       // Compute the span fields and sort them into place:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  335|->     if (firstIndex != -1) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  336|           result->addOverlapSpans(UFIELD_CATEGORY_DATE_INTERVAL_SPAN, firstIndex, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  337|           if (U_FAILURE(status)) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "27d132fbec17970730030066b2013776b4b8a3e2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 389,
                    "column": 20,
                    "event": "warning[core.UndefinedBinaryOperatorResult]",
                    "message": "The left operand of '!=' is a garbage value",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 366,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 371,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 375,
                    "column": 5,
                    "event": "note",
                    "message": "'firstIndex' declared without an initial value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 380,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'DateIntervalFormat::formatImpl'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 425,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 426,
                    "column": 9,
                    "event": "note",
                    "message": "Returning without writing to 'firstIndex'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 380,
                    "column": 9,
                    "event": "note",
                    "message": "Returning from 'DateIntervalFormat::formatImpl'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 384,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvfmt.cpp",
                    "line": 389,
                    "column": 20,
                    "event": "note",
                    "message": "The left operand of '!=' is a garbage value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  387|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  388|       // Compute the span fields and sort them into place:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  389|->     if (firstIndex != -1) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  390|           result->addOverlapSpans(UFIELD_CATEGORY_DATE_INTERVAL_SPAN, firstIndex, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  391|           result->sort();",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtitvinf.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtptngen.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "ddc1b0721cb993dbbc535761f1430de380597068",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtptngen.cpp",
                    "line": 2134,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'curElem' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtptngen.cpp",
                    "line": 2134,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'curElem' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2132|               newElem->skeletonWasSpecified = skeletonWasSpecified;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2133|               curElem->next.adoptInstead(newElem.orphan());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2134|->             curElem = curElem->next.getAlias();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2135|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2136|           else {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "3d28c5452fe40b08f021125a155af239bcf1093b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtptngen.cpp",
                    "line": 2493,
                    "column": 16,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'startPos' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/dtptngen.cpp",
                    "line": 2493,
                    "column": 16,
                    "event": "note",
                    "message": "Value stored to 'startPos' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2491|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2492|           else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2493|->                startPos = curLoc;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2494|                  *len=1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2495|                  return ADD_TOKEN;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/erarules.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/esctrn.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/fmtable.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/format.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/formatted_string_builder.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/formattedval_iterimpl.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/formattedval_sbimpl.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/formattedvalue.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "e64ce135634225d4271f0581570a2c45d6757b11",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/formattedvalue.cpp",
                    "line": 214,
                    "column": 5,
                    "event": "warning[core.StackAddressEscape]",
                    "message": "Address of stack memory associated with local variable 'readOnlyAlias' returned to caller",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/formattedvalue.cpp",
                    "line": 202,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/formattedvalue.cpp",
                    "line": 206,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/formattedvalue.cpp",
                    "line": 209,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/formattedvalue.cpp",
                    "line": 209,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/formattedvalue.cpp",
                    "line": 214,
                    "column": 5,
                    "event": "note",
                    "message": "Address of stack memory associated with local variable 'readOnlyAlias' returned to caller",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  212|       // Note: this line triggers -Wreturn-local-addr, but it is safe because toTempString is",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  213|       // defined to return memory owned by the ufmtval argument.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  214|->     return readOnlyAlias.getBuffer();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  215|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  216|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 562,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "e7411f2b9f5ad7a6a4a373490fe777eabf5e8777",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/formattedvalue.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘ufmtval_getString_74’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/formattedvalue.cpp",
                    "line": 215,
                    "column": 1,
                    "event": "warning[-Wreturn-local-addr]",
                    "message": "function may return address of local variable",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  215 | }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      | ^",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/formattedvalue.cpp",
                    "line": 205,
                    "column": 19,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  205 |     UnicodeString readOnlyAlias = impl->fFormattedValue->toTempString(*ec);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                   ^~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  213|       // defined to return memory owned by the ufmtval argument.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  214|       return readOnlyAlias.getBuffer();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  215|-> }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  216|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  217|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/fphdlimp.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/fpositer.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/gender.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/gregocal.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/gregoimp.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/hebrwcal.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/indiancal.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/inputext.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/islamcal.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "9e4249134d4c6bfc0c987b57176138fead212352",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/islamcal.cpp",
                    "line": 534,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'startDate' is used in the enclosing expression, the value is never actually read from 'startDate'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/islamcal.cpp",
                    "line": 534,
                    "column": 13,
                    "event": "note",
                    "message": "Although the value stored to 'startDate' is used in the enclosing expression, the value is never actually read from 'startDate'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  532|       // Find out the last time that the new moon was actually visible at this longitude",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  533|       // This returns midnight the night that the moon was visible at sunset.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  534|->     while ((startDate = trueMonthStart(month)) > days) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  535|           // If it was after the date in question, back up a month and try again",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  536|           month--;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/japancal.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/listformatter.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/measfmt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/measunit.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "1bb5046d62e41d80672c7af4f9fbd1f267cfe506",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/measunit.cpp",
                    "line": 2233,
                    "column": 5,
                    "event": "warning[core.uninitialized.UndefReturn]",
                    "message": "Undefined or garbage value returned to caller",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/measunit.cpp",
                    "line": 2226,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/measunit.cpp",
                    "line": 2226,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/measunit.cpp",
                    "line": 2229,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'MeasureUnit::getIdentifier'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/measunit.cpp",
                    "line": 2233,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming field 'fImpl' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/measunit.cpp",
                    "line": 2233,
                    "column": 12,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/measunit.cpp",
                    "line": 2233,
                    "column": 57,
                    "event": "note",
                    "message": "Calling 'MeasureUnit::getOffset'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/measunit.cpp",
                    "line": 2378,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'fTypeId' is < 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/measunit.cpp",
                    "line": 2378,
                    "column": 21,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/measunit.cpp",
                    "line": 2379,
                    "column": 9,
                    "event": "note",
                    "message": "Returning the value -1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/measunit.cpp",
                    "line": 2233,
                    "column": 57,
                    "event": "note",
                    "message": "Returning from 'MeasureUnit::getOffset'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/measunit.cpp",
                    "line": 2233,
                    "column": 5,
                    "event": "note",
                    "message": "Undefined or garbage value returned to caller",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2231|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2232|   const char *MeasureUnit::getIdentifier() const {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2233|->     return fImpl ? fImpl->identifier.data() : gSubTypes[getOffset()];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2234|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2235|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/measunit_extra.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/msgfmt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/msgfmt.cpp",
                    "line": 0,
                    "event": "internal warning",
                    "message": "child 9869 timed out after 30s",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "4c6bfb4b1013ac151b5afa93c38f26f24999ce0c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/msgfmt.cpp",
                    "line": 519,
                    "event": "error[legacyUninitvar]",
                    "message": "Uninitialized variable: tempParseError",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  517|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  518|       UParseError tempParseError;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  519|->     applyPattern(pattern, (parseError == nullptr) ? tempParseError : *parseError, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  520|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  521|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/name2uni.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "294a0bb63a29147a0300523efb737ca6d81de6e2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 117,
                    "column": 14,
                    "event": "warning[core.DivideZero]",
                    "message": "Division by zero",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 416,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'recursionCount' is < RECURSION_LIMIT",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 416,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 421,
                    "column": 26,
                    "event": "note",
                    "message": "Calling 'NFRuleSet::findDoubleRule'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 431,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 431,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 432,
                    "column": 16,
                    "event": "note",
                    "message": "Calling 'NFRuleSet::findFractionRuleSetRule'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 590,
                    "column": 30,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 590,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 591,
                    "column": 35,
                    "event": "note",
                    "message": "Calling 'util_lcm'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 89,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 89,
                    "column": 12,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 89,
                    "column": 29,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 89,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 95",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 96,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 102,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 't' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 102,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 114",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 114,
                    "column": 5,
                    "event": "note",
                    "message": "'gcd' initialized to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrs.cpp",
                    "line": 117,
                    "column": 14,
                    "event": "note",
                    "message": "Division by zero",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  115|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  116|       // x * y == gcd(x, y) * lcm(x, y)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  117|->     return x / gcd * y;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  118|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  119|   #endif",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "5a4ac6372b3cbf2e2be4cc466cb31a514ced9aec",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 477,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'subEnd' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 477,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'subEnd' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  475|       // a substitution token",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  476|       int32_t subStart = indexOfAnyRulePrefix();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  477|->     int32_t subEnd = subStart;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  478|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  479|       // if we didn't find one, create a null substitution positioned",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "8cc9bcd75eb6972c01da1a233866b1b7243623f6",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 1192,
                    "column": 33,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 911,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 911,
                    "column": 23,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 912,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 912,
                    "column": 23,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 941,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 941,
                    "column": 31,
                    "event": "note",
                    "message": "Assuming 'sub1Pos' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 941,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 948,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'baseValue' is not equal to kInfinityRule",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 948,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 954,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'baseValue' is not equal to kNaNRule",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 954,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 993,
                    "column": 37,
                    "event": "note",
                    "message": "Assuming field 'baseValue' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 993,
                    "column": 37,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 1005,
                    "column": 23,
                    "event": "note",
                    "message": "Passing null pointer value via 6th parameter 'sub'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 1004,
                    "column": 32,
                    "event": "note",
                    "message": "Calling 'NFRule::matchToDelimiter'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 1172,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 1173,
                    "column": 6,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 1188,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming 'dPos' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 1188,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 1191,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 1191,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfrule.cpp",
                    "line": 1192,
                    "column": 33,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1190|               subText.setTo(text, 0, dPos);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1191|               if (subText.length() > 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1192|->                 UBool success = sub->doParse(subText, tempPP, _baseValue, upperBound,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1193|   #if UCONFIG_NO_COLLATION",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1194|                       false,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nfsubs.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/nortrans.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_affixutils.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_asformat.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_capi.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "a473b55c6a6541da183312bc4be57da6dd444a8c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_capi.cpp",
                    "line": 135,
                    "event": "error[legacyUninitvar]",
                    "message": "Uninitialized variable: tempParseError",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  133|       UnicodeString skeletonString(skeletonLen == -1, skeleton, skeletonLen);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  134|       UParseError tempParseError;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  135|->     impl->fFormatter = NumberFormatter::forSkeleton(skeletonString, (perror == nullptr) ? tempParseError : *perror, *ec).locale(locale);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  136|       return impl->exportForC();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  137|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_compact.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_currencysymbols.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "75d969b27993c15ea69fb0c610c97849a22eec6e",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 1197,
                    "column": 27,
                    "event": "warning[core.BitwiseShift]",
                    "message": "Right shift by '64' overflows the capacity of 'uint64_t'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 435,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 435,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 439,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 439,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 441,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 441,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 443,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming 'n' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 443,
                    "column": 12,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 444,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'DecimalQuantity::_setToDoubleFast'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 457,
                    "column": 10,
                    "event": "note",
                    "message": "'is_iec559' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 457,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 464,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 42,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/umachine.h",
                    "line": 147,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'UPRV_BLOCK_MACRO_BEGIN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 468,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'exponent' is <= 52",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 468,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 468,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming 'n' is equal to 'n'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 468,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 469,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'DecimalQuantity::_setToLong'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 417,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 417,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 424,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming 'n' is <= INT32_MAX",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 424,
                    "column": 12,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 425,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'DecimalQuantity::readIntToBcd'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 1191,
                    "column": 5,
                    "event": "note",
                    "message": "'result' initialized to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 1193,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'n' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 1193,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 1196",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimalquantity.cpp",
                    "line": 1197,
                    "column": 27,
                    "event": "note",
                    "message": "The result of right shift is undefined because the right operand '64' is not smaller than 64, the capacity of 'uint64_t'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1195|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1196|       U_ASSERT(!usingBytes);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1197|->     fBCD.bcdLong = result >> (i * 4);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1198|       scale = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1199|       precision = 16 - i;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_decimfmtprops.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_fluent.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_formatimpl.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_grouping.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_integerwidth.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_longnames.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "0daee599a4b12738319157918d84dab7fa7d1073",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_longnames.cpp",
                    "line": 852,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'endSlice' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_longnames.cpp",
                    "line": 852,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'endSlice' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  850|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  851|               if (timesRule[0] == u'0') {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  852|->                 endSlice = startSlice;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  853|               } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  854|                   // We assume timesRule[0] == u'1'",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_mapper.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_modifiers.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "48d91df9d832fc7ae270d8a7a9bdec1c65c69720",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_modifiers.cpp",
                    "line": 269,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'infixLength' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_modifiers.cpp",
                    "line": 269,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'infixLength' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  267|       if (infixLength < ARG_NUM_LIMIT) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  268|           // No infix",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  269|->         infixLength = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  270|       } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  271|           infixLength -= ARG_NUM_LIMIT;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_multiplier.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_notation.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_output.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_padding.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_patternmodifier.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_patternstring.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_rounding.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_scientific.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_simple.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "33a92efccc5f6d1fb12169b39239996677928901",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_simple.cpp",
                    "line": 251,
                    "column": 5,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'length' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_simple.cpp",
                    "line": 251,
                    "column": 5,
                    "event": "note",
                    "message": "Value stored to 'length' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  249|           0,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  250|           status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  251|->     length += modifier->apply(data->getStringRef(), 0, length, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  252|       data->getStringRef().writeTerminator(status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  253|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_skeletons.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_symbolswrapper.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_usageprefs.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "18cbe3481c1c29010e1853599e899ad47308aa59",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_usageprefs.cpp",
                    "line": 119,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'status' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_usageprefs.cpp",
                    "line": 119,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'status' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  117|       if (micros->mixedMeasures.getCapacity() < micros->mixedMeasuresCount) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  118|           if (micros->mixedMeasures.resize(micros->mixedMeasuresCount) == nullptr) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  119|->             status = U_MEMORY_ALLOCATION_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  120|               return;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  121|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4553c25859c2536c97be5dbdd8a438bffb300cec",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_usageprefs.cpp",
                    "line": 149,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'status' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_usageprefs.cpp",
                    "line": 149,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'status' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  147|       if (micros->indexOfQuantity < 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  148|           // There is no quantity.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  149|->         status = U_INTERNAL_PROGRAM_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  150|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  151|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_utils.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "c25d73fab6cf18e80029ccc6a2e0e5171168bee1",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_utils.cpp",
                    "line": 72,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'patternKey' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_utils.cpp",
                    "line": 72,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'patternKey' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   70|               break;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   71|           default:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   72|->             patternKey = \"decimalFormat\"; // silence compiler error",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   73|               UPRV_UNREACHABLE_EXIT;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   74|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/numfmt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/numparse_affixes.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/numparse_compositions.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/numparse_currency.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/numparse_decimal.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/numparse_impl.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/numparse_parsednumber.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/numparse_scientific.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/numparse_symbols.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/numparse_validators.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/numrange_capi.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "9ee6b1afdc43bb2a4736f4c901181dbcc5aa80cc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/numrange_capi.cpp",
                    "line": 102,
                    "event": "error[legacyUninitvar]",
                    "message": "Uninitialized variable: tempParseError",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  100|       UParseError tempParseError;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  101|       impl->fFormatter = NumberRangeFormatter::withLocale(locale)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  102|->         .numberFormatterBoth(NumberFormatter::forSkeleton(skeletonString, (perror == nullptr) ? tempParseError : *perror, *ec))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  103|           .collapse(collapse)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  104|           .identityFallback(identityFallback);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/numrange_fluent.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/numrange_impl.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/numsys.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/olsontz.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "d1246bc6ee0d126f36bb29866979f0d26430abe5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/olsontz.cpp",
                    "line": 605,
                    "column": 16,
                    "event": "warning[core.UndefinedBinaryOperatorResult]",
                    "message": "The left operand of '!=' is a garbage value",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/olsontz.cpp",
                    "line": 603,
                    "column": 18,
                    "event": "note",
                    "message": "'dst' declared without an initial value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/olsontz.cpp",
                    "line": 604,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'OlsonTimeZone::getOffset'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/olsontz.cpp",
                    "line": 393,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/olsontz.cpp",
                    "line": 394,
                    "column": 9,
                    "event": "note",
                    "message": "Returning without writing to 'dstoff'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/olsontz.cpp",
                    "line": 604,
                    "column": 5,
                    "event": "note",
                    "message": "Returning from 'OlsonTimeZone::getOffset'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/olsontz.cpp",
                    "line": 605,
                    "column": 16,
                    "event": "note",
                    "message": "The left operand of '!=' is a garbage value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  603|       int32_t raw, dst;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  604|       getOffset(date, false, raw, dst, ec);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  605|->     return dst != 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  606|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  607|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/pluralranges.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "dd05ed35187d7c95b309630b93e39ae0091d0545",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 291,
                    "column": 13,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 250,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'PluralFormat::format'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 258,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 261,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 261,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 271,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'offset' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 271,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 279,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 279,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 279,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 290,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming field 'offset' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 290,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 291,
                    "column": 13,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  289|       } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  290|           if (offset == 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  291|->             numberFormat->format(numberObject, numberString, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  292|           } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  293|               numberFormat->format(numberMinusOffset, numberString, status);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "6fe76cbceb8c963da5a9ff6f55376ede28a362e9",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 293,
                    "column": 13,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 250,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'PluralFormat::format'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 258,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 261,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 261,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 271,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'offset' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 271,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 279,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 279,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 279,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 290,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming field 'offset' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 290,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurfmt.cpp",
                    "line": 293,
                    "column": 13,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  291|               numberFormat->format(numberObject, numberString, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  292|           } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  293|->             numberFormat->format(numberMinusOffset, numberString, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  294|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  295|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurrule.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/plurrule.cpp",
                    "line": 0,
                    "event": "internal warning",
                    "message": "child 10389 timed out after 30s",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/quant.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/quantityformatter.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbnf.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4dc45bf1fe02736aa6da2de9428cd5178bd151fa",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbnf.cpp",
                    "line": 833,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'fmt_tag' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbnf.cpp",
                    "line": 833,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'fmt_tag' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  831|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  832|       const char* rules_tag = \"RBNFRules\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  833|->     const char* fmt_tag = \"\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  834|       switch (tag) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  835|       case URBNF_SPELLOUT: fmt_tag = \"SpelloutRules\"; break;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbt_data.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "500faaf79d89e9c5945b40a579b3c0881ca6d7ce",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbt_data.cpp",
                    "line": 64,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'status' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbt_data.cpp",
                    "line": 64,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'status' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   62|           /* test for nullptr */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   63|           if (variables == 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   64|->             status = U_MEMORY_ALLOCATION_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   65|               return;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   66|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbt_pars.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbt_rule.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbt_set.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbtz.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "a8c030490c77741f3b34262e8fec4d9e0fcf581b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbtz.cpp",
                    "line": 89,
                    "column": 24,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbtz.cpp",
                    "line": 84,
                    "column": 1,
                    "event": "note",
                    "message": "Assuming right == *this",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbtz.cpp",
                    "line": 86,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbtz.cpp",
                    "line": 86,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbtz.cpp",
                    "line": 88,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'RuleBasedTimeZone::deleteRules'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbtz.cpp",
                    "line": 625,
                    "column": 5,
                    "event": "note",
                    "message": "Null pointer value stored to field 'fInitialRule'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbtz.cpp",
                    "line": 626,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbtz.cpp",
                    "line": 626,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbtz.cpp",
                    "line": 630,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbtz.cpp",
                    "line": 630,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbtz.cpp",
                    "line": 88,
                    "column": 9,
                    "event": "note",
                    "message": "Returning from 'RuleBasedTimeZone::deleteRules'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rbtz.cpp",
                    "line": 89,
                    "column": 24,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   87|           BasicTimeZone::operator=(right);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   88|           deleteRules();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   89|->         fInitialRule = right.fInitialRule->clone();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   90|           fHistoricRules = copyRules(right.fHistoricRules);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   91|           fFinalRules = copyRules(right.fFinalRules);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/regexcmp.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "d034086b1324189fbc6589133f7ee9df484637a2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/regexcmp.cpp",
                    "line": 406,
                    "column": 21,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'op' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/regexcmp.cpp",
                    "line": 406,
                    "column": 21,
                    "event": "note",
                    "message": "Value stored to 'op' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  404|               //   save from the location on the top of the parentheses stack.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  405|               int32_t savePosition = fParenStack.popi();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  406|->             int32_t op = (int32_t)fRXPat->fCompiledPat->elementAti(savePosition);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  407|               U_ASSERT(URX_TYPE(op) == URX_NOP);  // original contents of reserved location",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  408|               op = buildOp(URX_STATE_SAVE, fRXPat->fCompiledPat->size()+1);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "2b00f4adecbc9913f550b753e517e8ad7884284a",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/regexcmp.cpp",
                    "line": 2273,
                    "column": 21,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'saveOp' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/regexcmp.cpp",
                    "line": 2273,
                    "column": 21,
                    "event": "note",
                    "message": "Value stored to 'saveOp' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2271|               // Patch the URX_SAVE near the top of the block.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2272|               // The destination of the SAVE is the final LA_END that was just added.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2273|->             int32_t saveOp   = (int32_t)fRXPat->fCompiledPat->elementAti(fMatchOpenParen);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2274|               U_ASSERT(URX_TYPE(saveOp) == URX_STATE_SAVE);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2275|               int32_t dest     = fRXPat->fCompiledPat->size()-1;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4e565c7370c4eb3c4570ffe3f57cd2698ab50ad9",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/regexcmp.cpp",
                    "line": 3145,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'currentLen' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/regexcmp.cpp",
                    "line": 3145,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'currentLen' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3143|       //   propagated a shorter length to location end+1.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3144|       if (forwardedLength.elementAti(end+1) < currentLen) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3145|->         currentLen = forwardedLength.elementAti(end+1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3146|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3147|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/regeximp.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/regexst.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/region.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/reldatefmt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/reldtfmt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "3e95584848de25495def424e076b7ecd2ba6b89c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 2754,
                    "column": 19,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 2806,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 2819,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 2829,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'i' is >= field 'fDataSize'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 2829,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 2837",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 2837,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 2851,
                    "column": 9,
                    "event": "note",
                    "message": "Control jumps to 'case URX_STATE_SAVE:'  at line 2924",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 2925,
                    "column": 18,
                    "event": "note",
                    "message": "Calling 'RegexMatcher::StateSave'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 2732,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 2737,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 2753,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 2754,
                    "column": 20,
                    "event": "note",
                    "message": "Null pointer value stored to 'source'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 2754,
                    "column": 19,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2752|       int64_t *dest   = newFP;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2753|       for (;;) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2754|->         *dest++ = *source++;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2755|           if (source == newFP) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2756|               break;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "65bc4352c55cc4280ebea26c54e0b45afe0ad311",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 2890,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'opType' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 2890,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'opType' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2888|                   op      = (int32_t)pat[fp->fPatIdx];     // Fetch the second operand",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2889|                   fp->fPatIdx++;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2890|->                 opType    = URX_TYPE(op);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2891|                   int32_t stringLen = URX_VAL(op);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2892|                   U_ASSERT(opType == URX_STRING_LEN);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "65bc4352c55cc4280ebea26c54e0b45afe0ad311",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 3844,
                    "column": 21,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'opType' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 3844,
                    "column": 21,
                    "event": "note",
                    "message": "Value stored to 'opType' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3842|                       op      = (int32_t)pat[fp->fPatIdx];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3843|                       fp->fPatIdx++;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3844|->                     opType  = URX_TYPE(op);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3845|                       opValue = URX_VAL(op);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3846|                       U_ASSERT(opType == URX_STRING_LEN);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "65bc4352c55cc4280ebea26c54e0b45afe0ad311",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 4400,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'opType' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 4400,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'opType' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4398|                   op      = (int32_t)pat[fp->fPatIdx];     // Fetch the second operand",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4399|                   fp->fPatIdx++;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4400|->                 opType    = URX_TYPE(op);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4401|                   stringLen = URX_VAL(op);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4402|                   U_ASSERT(opType == URX_STRING_LEN);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "d6c79dafc4595f569e65f76976843434febd4fa6",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 4416,
                    "column": 36,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 4314,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 4329,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 4339,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'i' is >= field 'fDataSize'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 4339,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 4347",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 4347,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 4361,
                    "column": 9,
                    "event": "note",
                    "message": "Control jumps to 'case URX_STRING:'  at line 4390",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 4410,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'pInp' is < 'pEnd'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 4410,
                    "column": 17,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 4411,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming 'pInp' is < 'pInpLimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 4411,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 4416,
                    "column": 37,
                    "event": "note",
                    "message": "Null pointer value stored to 'pPat'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 4416,
                    "column": 36,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4414|                           break;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4415|                       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4416|->                     if (*pInp++ != *pPat++) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4417|                           success = false;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 4418|                           break;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "65bc4352c55cc4280ebea26c54e0b45afe0ad311",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 5309,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'opType' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rematch.cpp",
                    "line": 5309,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'opType' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 5307|                   op      = (int32_t)pat[fp->fPatIdx];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 5308|                   fp->fPatIdx++;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 5309|->                 opType  = URX_TYPE(op);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 5310|                   opValue = URX_VAL(op);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 5311|                   U_ASSERT(opType == URX_STRING_LEN);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/repattrn.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "6f24913de253811907965b452130dfecc04bd30f",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 654,
                    "column": 5,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 49,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 643,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 644,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'capacity' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 644,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 644,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 644,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 644,
                    "column": 44,
                    "event": "note",
                    "message": "Assuming 'capacity' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 644,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 649,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 649,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 650,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is <= 'capacity'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 650,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 654,
                    "column": 5,
                    "event": "note",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 49,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  652|           return length;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  653|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  654|->     uprv_memcpy(dest, settings->reorderCodes, length * 4);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  655|       return length;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  656|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "ac0b2b1e1b74d317c11cbe953d80c092a2822fef",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 670,
                    "column": 13,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 101,
                    "column": 45,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 661,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 662,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 662,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 662,
                    "column": 23,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 662,
                    "column": 23,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 662,
                    "column": 50,
                    "event": "note",
                    "message": "Assuming 'length' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 662,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 666,
                    "column": 8,
                    "event": "note",
                    "message": "'length' is not equal to 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 666,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 669,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'length' is equal to field 'reorderCodesLength'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 669,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 670,
                    "column": 13,
                    "event": "note",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cmemory.h",
                    "line": 101,
                    "column": 45,
                    "event": "note",
                    "message": "expanded from macro 'uprv_memcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  668|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  669|       if(length == settings->reorderCodesLength &&",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  670|->             uprv_memcmp(reorderCodes, settings->reorderCodes, length * 4) == 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  671|           return;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  672|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "013f0ffcd542a4d2d6da25ea9182b67a346f892c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1377,
                    "column": 12,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer (loaded from variable 'nfdQCYesLimit')",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1428,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1429,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1429,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1429,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1429,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1429,
                    "column": 47,
                    "event": "note",
                    "message": "Assuming 'count' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1429,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1429,
                    "column": 61,
                    "event": "note",
                    "message": "Assuming 'count' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1429,
                    "column": 61,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1429,
                    "column": 74,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1429,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1433,
                    "column": 8,
                    "event": "note",
                    "message": "'count' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1433,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1440,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'level' is > QUATERNARY_LEVEL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1440,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1466,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'level' is equal to IDENTICAL_LEVEL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1466,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1469,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1471,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming 'c' is < 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1471,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1471,
                    "column": 25,
                    "event": "note",
                    "message": " Execution continues on line 1474",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1475,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'RuleBasedCollator::writeIdenticalLevel'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1363,
                    "column": 5,
                    "event": "note",
                    "message": "'nfdQCYesLimit' initialized here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1364,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1367,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'nfdQCYesLimit' is equal to 's'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1367,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1372,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/rulebasedcollator.cpp",
                    "line": 1377,
                    "column": 12,
                    "event": "note",
                    "message": "Dereference of null pointer (loaded from variable 'nfdQCYesLimit')",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1375|       } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1376|           // s is NUL-terminated",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1377|->         if(*nfdQCYesLimit == 0) { return; }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1378|           destLengthEstimate = -1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1379|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/scriptset.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/search.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/selfmt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/simpletz.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/smpdtfmt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/smpdtfmt.cpp",
                    "line": 0,
                    "event": "internal warning",
                    "message": "child 10657 timed out after 30s",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/smpdtfst.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/sortkey.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/standardplural.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/string_segment.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/strmatch.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/strrepl.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/stsearch.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "1c1e93a577ac83fb587735fcd8bec5fab4f0663f",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/stsearch.cpp",
                    "line": 295,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'status' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/stsearch.cpp",
                    "line": 295,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'status' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  293|       /* test for nullptr */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  294|       if (result == 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  295|->         status = U_MEMORY_ALLOCATION_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  296|           return 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  297|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/timezone.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/titletrn.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tmutfmt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tolowtrn.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/toupptrn.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/translit.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "4c436bf8948abe90d1ec65616f9e6df4df983b85",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/translit.cpp",
                    "line": 1351,
                    "event": "warning[nullPointer]",
                    "message": "Possible null pointer dereference: result",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1349|       umtx_unlock(&registryMutex);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1350|       U_ASSERT(result != nullptr); // fail if no registry",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1351|->     return *result;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1352|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1353|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "69c46eaf1127f52f1f830aff40ce26fbce50a844",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/translit.cpp",
                    "line": 1351,
                    "column": 5,
                    "event": "warning[core.uninitialized.UndefReturn]",
                    "message": "Returning null reference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/translit.cpp",
                    "line": 1343,
                    "column": 5,
                    "event": "note",
                    "message": "'result' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/translit.cpp",
                    "line": 1346,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'registry' is equal to null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/translit.cpp",
                    "line": 103,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'HAVE_REGISTRY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/translit.cpp",
                    "line": 1346,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/translit.cpp",
                    "line": 103,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'HAVE_REGISTRY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/translit.cpp",
                    "line": 1346,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/translit.cpp",
                    "line": 103,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'HAVE_REGISTRY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/translit.cpp",
                    "line": 1346,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/translit.cpp",
                    "line": 1351,
                    "column": 5,
                    "event": "note",
                    "message": "Returning null reference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1349|       umtx_unlock(&registryMutex);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1350|       U_ASSERT(result != nullptr); // fail if no registry",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1351|->     return *result;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1352|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1353|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "12d0076fc555b4e099ccff50b381e12407a56176",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 355,
                    "column": 5,
                    "event": "warning[core.uninitialized.UndefReturn]",
                    "message": "Returning null reference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 565,
                    "column": 34,
                    "event": "note",
                    "message": "Calling 'TransliteratorRegistry::find'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1205,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'TransliteratorRegistry::find'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1233,
                    "column": 24,
                    "event": "note",
                    "message": "Calling constructor for 'TransliteratorSpec'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 256,
                    "column": 3,
                    "event": "note",
                    "message": "Null pointer value stored to 'src.res'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 261,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 261,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 279,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'num' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 279,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 284,
                    "column": 9,
                    "event": "note",
                    "message": "Field 'res' is equal to null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 284,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 291,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 291,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1233,
                    "column": 24,
                    "event": "note",
                    "message": "Returning from constructor for 'TransliteratorSpec'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1243,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'entry' is equal to null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1243,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1249,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1249,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1253,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'entry' is equal to null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1253,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1258,
                    "column": 17,
                    "event": "note",
                    "message": "Calling 'TransliteratorRegistry::findInStaticStore'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1088,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1088,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1089,
                    "column": 17,
                    "event": "note",
                    "message": "Calling 'TransliteratorRegistry::findInBundle'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1129,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1135,
                    "column": 13,
                    "event": "note",
                    "message": "'pass' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1135,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1136,
                    "column": 25,
                    "event": "note",
                    "message": "'direction' is equal to UTRANS_FORWARD",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1136,
                    "column": 25,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 1144,
                    "column": 31,
                    "event": "note",
                    "message": "Calling 'TransliteratorSpec::getBundle'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/transreg.cpp",
                    "line": 355,
                    "column": 5,
                    "event": "note",
                    "message": "Returning null reference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  353|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  354|   ResourceBundle& TransliteratorSpec::getBundle() const {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  355|->     return *res;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  356|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  357|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tridpars.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "01da7f8a91fc4b1aea0ba7bdc0a5dbfbcb97296e",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2131,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'numDigits' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2131,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'numDigits' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2129|       if (numDigits < minDigits || decVal < minVal) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2130|           decVal = -1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2131|->         numDigits = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2132|       } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2133|           parsedLen = idx - start;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "e37c63fbcd3af9c0bbbb7f21966ebe23936852db",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2202,
                    "column": 54,
                    "event": "warning[core.UndefinedBinaryOperatorResult]",
                    "message": "The left operand of '/' is a garbage value due to array index out of bounds",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2173,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'offset' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2173,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2191,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'lastIdx' is <= 'minFields'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2191,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 2198",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2198,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming 'idx' is <= 'lastIdx'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2198,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2199,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'sep' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2199,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2198,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming 'idx' is <= 'lastIdx'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2198,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2199,
                    "column": 13,
                    "event": "note",
                    "message": "'sep' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2199,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2198,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming 'idx' is <= 'lastIdx'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2198,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2199,
                    "column": 13,
                    "event": "note",
                    "message": "'sep' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2199,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2198,
                    "column": 43,
                    "event": "note",
                    "message": "The value 3 is assigned to 'idx'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2198,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming 'idx' is <= 'lastIdx'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2198,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2199,
                    "column": 13,
                    "event": "note",
                    "message": "'sep' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2199,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzfmt.cpp",
                    "line": 2202,
                    "column": 54,
                    "event": "note",
                    "message": "The left operand of '/' is a garbage value due to array index out of bounds",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2200|               result.append(sep);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2201|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2202|->         result.append((char16_t)(0x0030 + fields[idx]/10));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2203|           result.append((char16_t)(0x0030 + fields[idx]%10));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2204|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "75ff70574f88c8fec3e3ea063199a8a18bcd56c5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 660,
                    "column": 17,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1312,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'TZGNCore::getDisplayName'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 457,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to 'case UTZGNM_SHORT:'  at line 467",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 468,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'TZGNCore::formatGenericNonLocationName'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 599,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 599,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 606,
                    "column": 35,
                    "event": "note",
                    "message": "'type' is not equal to UTZGNM_LONG",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 606,
                    "column": 34,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 609,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 617,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 624,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 628,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'sav' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 628,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 631,
                    "column": 13,
                    "event": "note",
                    "message": "'tmptz' initialized here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 634,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 634,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 634,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 634,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 634,
                    "column": 17,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 634,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 641,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 660,
                    "column": 17,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  658|                   // If not BasicTimeZone... only if the instance is not an ICU's implementation.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  659|                   // We may get a wrong answer in edge case, but it should practically work OK.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  660|->                 tmptz->getOffset(date - kDstCheckRange, false, raw, sav, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  661|                   if (sav != 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  662|                       useStandard = false;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "06822352ab0e1141b5044771cda6447076e479db",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1188,
                    "column": 9,
                    "event": "warning[core.NullDereference]",
                    "message": "Access to field 'refCount' results in a dereference of a null pointer (loaded from field 'fRef')",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1195,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1198,
                    "column": 42,
                    "event": "note",
                    "message": "Calling default constructor for 'TimeZoneGenericNames'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1180,
                    "column": 8,
                    "event": "note",
                    "message": "Null pointer value stored to field 'fRef'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1198,
                    "column": 42,
                    "event": "note",
                    "message": "Returning from default constructor for 'TimeZoneGenericNames'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1199,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1199,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1208,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'gTZGNCoreCacheInitialized' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1208,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1218,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1225,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1225,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1230,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1233,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1241,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1253,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1254,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1257,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1260,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1271,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'gAccessCount' is < SWEEP_INTERVAL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1271,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1278,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1279,
                    "column": 9,
                    "event": "note",
                    "message": "Calling '~TimeZoneGenericNames'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzgnames.cpp",
                    "line": 1188,
                    "column": 9,
                    "event": "note",
                    "message": "Access to field 'refCount' results in a dereference of a null pointer (loaded from field 'fRef')",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1186|           U_ASSERT(fRef->refCount > 0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1187|           // Just decrement the reference count",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1188|->         fRef->refCount--;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1189|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1190|       umtx_unlock(&gTZGNLock);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tznames.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "d067351ef6839c9df010f7bf1eefac86084a5537",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tznames.cpp",
                    "line": 385,
                    "event": "warning[nullPointer]",
                    "message": "Possible null pointer dereference: mzID",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  383|               this->isTZID = true;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  384|           } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  385|->             this->id.setTo(*mzID);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  386|               this->isTZID = false;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  387|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tznames_impl.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/tzrule.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucal.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "8b82090b364c7fd47a07a1ab9c82f01d5940b433",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 75,
                    "column": 12,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 67,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 70,
                    "column": 72,
                    "event": "note",
                    "message": "Passing value via 1st parameter 'uc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 70,
                    "column": 36,
                    "event": "note",
                    "message": "Calling 'RuleBasedCollator::rbcFromUCollator'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unicode/tblcoll.h",
                    "line": 791,
                    "column": 70,
                    "event": "note",
                    "message": "Passing value via 1st parameter 'uc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unicode/tblcoll.h",
                    "line": 791,
                    "column": 9,
                    "event": "note",
                    "message": "Returning pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 70,
                    "column": 36,
                    "event": "note",
                    "message": "Returning from 'RuleBasedCollator::rbcFromUCollator'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 70,
                    "column": 5,
                    "event": "note",
                    "message": "'rbc' initialized here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 71,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 71,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 71,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 75,
                    "column": 12,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   73|           return 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   74|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   75|->     return rbc->cloneBinary(buffer, capacity, *status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   77|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "d99bc8d11961cab86098313d540c4c06041371a8",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 556,
                    "column": 38,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 553,
                    "column": 72,
                    "event": "note",
                    "message": "Passing value via 1st parameter 'uc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 553,
                    "column": 36,
                    "event": "note",
                    "message": "Calling 'RuleBasedCollator::rbcFromUCollator'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unicode/tblcoll.h",
                    "line": 791,
                    "column": 70,
                    "event": "note",
                    "message": "Passing value via 1st parameter 'uc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unicode/tblcoll.h",
                    "line": 791,
                    "column": 9,
                    "event": "note",
                    "message": "Returning pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 553,
                    "column": 36,
                    "event": "note",
                    "message": "Returning from 'RuleBasedCollator::rbcFromUCollator'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 553,
                    "column": 5,
                    "event": "note",
                    "message": "'rbc' initialized here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 555,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 555,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 555,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 556,
                    "column": 38,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  554|       // OK to crash if coll==nullptr: We do not want to check \"this\" pointers.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  555|       if(rbc != nullptr || coll == nullptr) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  556|->         const UnicodeString &rules = rbc->getRules();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  557|           U_ASSERT(rules.getBuffer()[rules.length()] == 0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  558|           *length = rules.length();",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "3332255dc81405c86fb8ff4683b5de5e63121af9",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 571,
                    "column": 9,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 569,
                    "column": 72,
                    "event": "note",
                    "message": "Passing value via 1st parameter 'uc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 569,
                    "column": 36,
                    "event": "note",
                    "message": "Calling 'RuleBasedCollator::rbcFromUCollator'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unicode/tblcoll.h",
                    "line": 791,
                    "column": 70,
                    "event": "note",
                    "message": "Passing value via 1st parameter 'uc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unicode/tblcoll.h",
                    "line": 791,
                    "column": 9,
                    "event": "note",
                    "message": "Returning pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 569,
                    "column": 36,
                    "event": "note",
                    "message": "Returning from 'RuleBasedCollator::rbcFromUCollator'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 569,
                    "column": 5,
                    "event": "note",
                    "message": "'rbc' initialized here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 570,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 570,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 570,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 571,
                    "column": 9,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  569|       const RuleBasedCollator *rbc = RuleBasedCollator::rbcFromUCollator(coll);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  570|       if(rbc != nullptr || coll == nullptr) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  571|->         rbc->getRules(delta, rules);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  572|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  573|       if(buffer != nullptr && bufferLen > 0) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "c41a08848d2c7e92fa30623507aa1327f024e7ac",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 600,
                    "column": 18,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 583,
                    "column": 33,
                    "event": "note",
                    "message": "Passing value via 1st parameter 'coll'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 583,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'ucol_getLocaleByType_74'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/urename.h",
                    "line": 750,
                    "column": 30,
                    "event": "note",
                    "message": "expanded from macro 'ucol_getLocaleByType'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 123,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'U_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 122,
                    "column": 51,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF2_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 121,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<scratch space>",
                    "line": 55,
                    "column": 1,
                    "event": "note",
                    "message": "expanded from here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 588,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 595,
                    "column": 72,
                    "event": "note",
                    "message": "Passing 'coll' via 1st parameter 'uc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 595,
                    "column": 36,
                    "event": "note",
                    "message": "Calling 'RuleBasedCollator::rbcFromUCollator'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unicode/tblcoll.h",
                    "line": 791,
                    "column": 70,
                    "event": "note",
                    "message": "Passing 'coll' via 1st parameter 'uc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unicode/tblcoll.h",
                    "line": 791,
                    "column": 9,
                    "event": "note",
                    "message": "Returning pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 595,
                    "column": 36,
                    "event": "note",
                    "message": "Returning from 'RuleBasedCollator::rbcFromUCollator'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 595,
                    "column": 5,
                    "event": "note",
                    "message": "'rbc' initialized to the value of 'coll'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 596,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 596,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 596,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol.cpp",
                    "line": 600,
                    "column": 18,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  598|           result = nullptr;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  599|       } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  600|->         result = rbc->internalGetLocaleID(type, *status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  601|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  602|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_res.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "e4ff78741968115898cfa233485fda3f4be013dc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 363,
                    "column": 25,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 39,
                    "column": 31,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcat'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 591,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 595,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'destination' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 595,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 600,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'parseError' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 600,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 607,
                    "column": 35,
                    "event": "note",
                    "message": "Passing null pointer value via 2nd parameter 'destination'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 607,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'ucol_sit_dumpSpecs'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 358,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 359,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 360,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 361,
                    "column": 20,
                    "event": "note",
                    "message": "'len' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 361,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 368,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'optName' is not equal to 'languageArg'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 368,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 368,
                    "column": 46,
                    "event": "note",
                    "message": "Assuming 'optName' is not equal to 'regionArg'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 368,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 368,
                    "column": 70,
                    "event": "note",
                    "message": "Assuming 'optName' is not equal to 'variantArg'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 368,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 368,
                    "column": 95,
                    "event": "note",
                    "message": "Assuming 'optName' is not equal to 'keywordArg'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 368,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 359,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 360,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 361,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'len' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 361,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 362,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'len' is < 'capacity'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 362,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 363,
                    "column": 25,
                    "event": "note",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 39,
                    "column": 31,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcat'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  361|                   if(len) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  362|                       if(len < capacity) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  363|->                         uprv_strcat(destination, \"_\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  364|                       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  365|                       len++;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "d110253e3fe5bba57ae80bb27a2871eb92aac104",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 371,
                    "column": 48,
                    "event": "warning[core.NullDereference]",
                    "message": "Array access (from variable 'destination') results in a null pointer dereference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 591,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 595,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'destination' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 595,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 600,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'parseError' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 600,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 607,
                    "column": 35,
                    "event": "note",
                    "message": "Passing null pointer value via 2nd parameter 'destination'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 607,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'ucol_sit_dumpSpecs'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 358,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 359,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 360,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 361,
                    "column": 20,
                    "event": "note",
                    "message": "'len' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 361,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 368,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'optName' is equal to 'languageArg'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 368,
                    "column": 43,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 369,
                    "column": 32,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 369,
                    "column": 21,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 370,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 370,
                    "column": 25,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucol_sit.cpp",
                    "line": 371,
                    "column": 48,
                    "event": "note",
                    "message": "Array access (from variable 'destination') results in a null pointer dereference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  369|                       for(j = 0; j < s->entries[i].length(); j++) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  370|                           if(len + j < capacity) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  371|->                             destination[len+j] = uprv_toupper(s->entries[i][j]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  372|                           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  373|                       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucoleitr.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ucsdet.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/udat.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/udateintervalformat.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uitercollationiterator.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ulistformatter.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ulocdata.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/umsg.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unesctrn.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uni2name.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "4eff498df0b78f213fabcedcdf82e21ee05d548b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unicode/numberformatter.h",
                    "line": 769,
                    "column": 28,
                    "event": "warning[-Wuninitialized]",
                    "message": "‘MEM <unsigned char> [(struct FractionSignificantSettings *)&settings + 12B]’ is used uninitialized",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  769 |             : fType(type), fUnion(union_) {}",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                            ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_rounding.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘icu_74::number::Precision::constructFraction(int, int)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_rounding.cpp",
                    "line": 281,
                    "column": 33,
                    "event": "note",
                    "message": "‘MEM <unsigned char> [(struct FractionSignificantSettings *)&settings + 12B]’ was declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  281 |     FractionSignificantSettings settings;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                 ^~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  767|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  768|       Precision(const PrecisionType& type, const PrecisionUnion& union_)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  769|->             : fType(type), fUnion(union_) {}",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  770|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  771|       Precision(UErrorCode errorCode) : fType(RND_ERROR) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "432a23d8b50a28567948d17446842e6b10c8cea5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unicode/numberformatter.h",
                    "line": 769,
                    "column": 28,
                    "event": "warning[-Wuninitialized]",
                    "message": "‘MEM <unsigned int> [(struct FractionSignificantSettings *)&settings + 8B]’ is used uninitialized",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  769 |             : fType(type), fUnion(union_) {}",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                            ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_rounding.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘icu_74::number::Precision::constructFraction(int, int)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/number_rounding.cpp",
                    "line": 281,
                    "column": 33,
                    "event": "note",
                    "message": "‘MEM <unsigned int> [(struct FractionSignificantSettings *)&settings + 8B]’ was declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  281 |     FractionSignificantSettings settings;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                 ^~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  767|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  768|       Precision(const PrecisionType& type, const PrecisionUnion& union_)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  769|->             : fType(type), fUnion(union_) {}",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  770|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  771|       Precision(UErrorCode errorCode) : fType(RND_ERROR) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_complexconverter.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_converter.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_data.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_router.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "2ed32521dda1c556ea9e9f9adf5a743695df2189",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_router.cpp",
                    "line": 126,
                    "column": 13,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_router.cpp",
                    "line": 114,
                    "column": 5,
                    "event": "note",
                    "message": "'converterPreference' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_router.cpp",
                    "line": 115,
                    "column": 61,
                    "event": "note",
                    "message": "Assuming 'i' is >= 'n'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_router.cpp",
                    "line": 115,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 122",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_router.cpp",
                    "line": 125,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_router.cpp",
                    "line": 125,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_router.cpp",
                    "line": 125,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_router.cpp",
                    "line": 126,
                    "column": 13,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  124|       // Set up the rounder for this preference's precision",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  125|       if (rounder != nullptr && rounder->fPrecision.isBogus()) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  126|->         if (converterPreference->precision.length() > 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  127|               rounder->fPrecision = parseSkeletonToPrecision(converterPreference->precision, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  128|           } else {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "493e8f5194816036a117e7818b84c7b1007544de",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_router.cpp",
                    "line": 136,
                    "column": 24,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_router.cpp",
                    "line": 114,
                    "column": 5,
                    "event": "note",
                    "message": "'converterPreference' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_router.cpp",
                    "line": 115,
                    "column": 61,
                    "event": "note",
                    "message": "Assuming 'i' is >= 'n'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_router.cpp",
                    "line": 115,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 122",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_router.cpp",
                    "line": 125,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_router.cpp",
                    "line": 125,
                    "column": 28,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/units_router.cpp",
                    "line": 136,
                    "column": 24,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  134|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  135|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  136|->     return RouteResult(converterPreference->converter.convert(quantity, rounder, status),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  137|                          converterPreference->targetUnit.copy(status));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  138|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "8f15f6b3f2c638158e5bd593c54134dc35d39dac",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 180,
                    "column": 15,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 169,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 173,
                    "column": 5,
                    "event": "note",
                    "message": "'nf' initialized here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 175,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 175,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 178,
                    "column": 9,
                    "event": "note",
                    "message": "'rbnf' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 180,
                    "column": 15,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  178|           const RuleBasedNumberFormat* rbnf = dynamic_cast<const RuleBasedNumberFormat*>(nf);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  179|           U_ASSERT(rbnf != nullptr);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  180|->         res = rbnf->clone();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  181|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  182|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "befbbe83c3a19a5c4b08cd084b15dae40be9c8ad",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 467,
                    "column": 9,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 43,
                    "column": 38,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strncpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 452,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 455,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 455,
                    "column": 10,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 455,
                    "column": 31,
                    "event": "note",
                    "message": "Assuming 'outBufLength' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 455,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 455,
                    "column": 53,
                    "event": "note",
                    "message": "'outBufLength' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 455,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 462,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 464,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 464,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 466,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 466,
                    "column": 12,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 467,
                    "column": 9,
                    "event": "note",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 43,
                    "column": 38,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strncpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  465|           *status = U_BUFFER_OVERFLOW_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  466|       } else if (sp.size() == outBufLength) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  467|->         uprv_strncpy(outBuf, sp.data(), sp.size());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  468|           *status = U_STRING_NOT_TERMINATED_WARNING;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  469|       } else {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "9a3b4cb9c78b42862c43edc8afbaecd14a2324a5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 471,
                    "column": 9,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 36,
                    "column": 31,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 452,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 455,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 455,
                    "column": 10,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 455,
                    "column": 31,
                    "event": "note",
                    "message": "Assuming 'outBufLength' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 455,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 455,
                    "column": 53,
                    "event": "note",
                    "message": "'outBufLength' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 455,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 462,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 464,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 464,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 466,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 466,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 471,
                    "column": 9,
                    "event": "note",
                    "message": "Null pointer passed to 1st parameter expecting 'nonnull'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 36,
                    "column": 31,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  469|       } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  470|           U_ASSERT(outBufLength > 0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  471|->         uprv_strcpy(outBuf, sp.data());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  472|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  473|       return sp.size();",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "27b2083d0a4358d97c567e443d6454b0616da920",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 776,
                    "column": 9,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 736,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 740,
                    "column": 5,
                    "event": "note",
                    "message": "'nf' initialized here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 742,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 742,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 773,
                    "column": 7,
                    "event": "note",
                    "message": "'rbnf' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 775,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming 'tag' is equal to UNUM_DEFAULT_RULESET",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 775,
                    "column": 7,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/unum.cpp",
                    "line": 776,
                    "column": 9,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  774|         U_ASSERT(rbnf != nullptr);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  775|         if (tag == UNUM_DEFAULT_RULESET) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  776|->         rbnf->setDefaultRuleSet(val, *status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  777|         } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  778|           *status = U_UNSUPPORTED_ERROR;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/upluralrules.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "19228256fc385a49000df5d568856ee10000a2b2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 699,
                    "column": 30,
                    "event": "warning[core.NullDereference]",
                    "message": "Array access (from variable 'dest') results in a null pointer dereference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1951,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1954,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1954,
                    "column": 10,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1954,
                    "column": 32,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1954,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1955,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1954,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1956,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1954,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1957,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destFieldsCapacity' is >= 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1954,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1962,
                    "column": 38,
                    "event": "note",
                    "message": "Passing null pointer value via 2nd parameter 'destBuf'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1962,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'RegexCImpl::split'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1821,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'inputLen' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1821,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1832,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1833,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1833,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1855,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1855,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1858,
                    "column": 29,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1861,
                    "column": 57,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 32,
                    "column": 38,
                    "event": "note",
                    "message": "expanded from macro 'REMAINING_CAPACITY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1862,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'tStatus' is equal to U_BUFFER_OVERFLOW_ERROR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1862,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1872,
                    "column": 30,
                    "event": "note",
                    "message": "Assuming 'groupNum' is <= 'numCaptureGroups'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1872,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1874,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1877,
                    "column": 17,
                    "event": "note",
                    "message": "The value 1 is assigned to 'i'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1880,
                    "column": 17,
                    "event": "note",
                    "message": "Storing null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1885,
                    "column": 42,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 32,
                    "column": 39,
                    "event": "note",
                    "message": "expanded from macro 'REMAINING_CAPACITY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1885,
                    "column": 42,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 32,
                    "column": 38,
                    "event": "note",
                    "message": "expanded from macro 'REMAINING_CAPACITY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1884,
                    "column": 42,
                    "event": "note",
                    "message": "Passing null pointer value via 3rd parameter 'dest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1882,
                    "column": 29,
                    "event": "note",
                    "message": "Calling 'uregex_group_74'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/urename.h",
                    "line": 1570,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'uregex_group'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 123,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'U_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 122,
                    "column": 51,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF2_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 121,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<scratch space>",
                    "line": 29,
                    "column": 1,
                    "event": "note",
                    "message": "expanded from here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 672,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 675,
                    "column": 9,
                    "event": "note",
                    "message": "'destCapacity' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 675,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 675,
                    "column": 30,
                    "event": "note",
                    "message": "'destCapacity' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 675,
                    "column": 47,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 680,
                    "column": 9,
                    "event": "note",
                    "message": "'destCapacity' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 680,
                    "column": 27,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 689,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 698,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'copyLength' is < 'destCapacity'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 698,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 699,
                    "column": 30,
                    "event": "note",
                    "message": "Array access (from variable 'dest') results in a null pointer dereference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  697|           int32_t copyLength = fullLength;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  698|           if (copyLength < destCapacity) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  699|->             dest[copyLength] = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  700|           } else if (copyLength == destCapacity) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  701|               *status = U_STRING_NOT_TERMINATED_WARNING;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "2903d34ddb8d61e615ff8a57aba0bb8d08635e16",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1330,
                    "column": 19,
                    "event": "warning[core.NullDereference]",
                    "message": "Array access (from variable 'buf') results in a null pointer dereference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1350,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1350,
                    "column": 44,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1358,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1361,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1361,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1361,
                    "column": 39,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1361,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1362,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1361,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1362,
                    "column": 36,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1361,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1363,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1363,
                    "column": 10,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1363,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1361,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1364,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1361,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1370,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1370,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1375,
                    "column": 5,
                    "event": "note",
                    "message": "'dest' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1383,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1383,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1388,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1407,
                    "column": 34,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1407,
                    "column": 72,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 32,
                    "column": 38,
                    "event": "note",
                    "message": "expanded from macro 'REMAINING_CAPACITY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1414,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'replIdx' is < 'replacementLength'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1414,
                    "column": 12,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1414,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1417,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'c' is not equal to 'DOLLARSIGN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1417,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1417,
                    "column": 32,
                    "event": "note",
                    "message": "Assuming 'c' is not equal to 'BACKSLASH'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1417,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1420,
                    "column": 38,
                    "event": "note",
                    "message": "Passing null pointer value via 3rd parameter 'buf'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1420,
                    "column": 13,
                    "event": "note",
                    "message": "Calling 'appendToBuf'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1329,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1329,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1330,
                    "column": 19,
                    "event": "note",
                    "message": "Array access (from variable 'buf') results in a null pointer dereference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1328|   static inline void appendToBuf(char16_t c, int32_t *idx, char16_t *buf, int32_t bufCapacity) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1329|       if (*idx < bufCapacity) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1330|->         buf[*idx] = c;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1331|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1332|       (*idx)++;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4e4f9c0d69ffe07f2fec3247bcdc3f231e3bb6d2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1551,
                    "column": 23,
                    "event": "warning[core.NullDereference]",
                    "message": "Array access (from variable 'dest') results in a null pointer dereference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1350,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1350,
                    "column": 44,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1358,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1361,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1361,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1361,
                    "column": 39,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1361,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1362,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1361,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1362,
                    "column": 36,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1361,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1363,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1363,
                    "column": 10,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1363,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1361,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1364,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1361,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1370,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1370,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1375,
                    "column": 5,
                    "event": "note",
                    "message": "'dest' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1383,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1383,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1388,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1407,
                    "column": 34,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1407,
                    "column": 72,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 32,
                    "column": 38,
                    "event": "note",
                    "message": "expanded from macro 'REMAINING_CAPACITY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1414,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'replIdx' is >= 'replacementLength'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1414,
                    "column": 40,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1550,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destIdx' is < 'capacity'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1550,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1551,
                    "column": 23,
                    "event": "note",
                    "message": "Array access (from variable 'dest') results in a null pointer dereference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1549|       //",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1550|       if (destIdx < capacity) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1551|->         dest[destIdx] = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1552|       } else if (U_SUCCESS(*status)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1553|           if (destIdx == *destCapacity) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4e4f9c0d69ffe07f2fec3247bcdc3f231e3bb6d2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1712,
                    "column": 23,
                    "event": "warning[core.NullDereference]",
                    "message": "Array access (from variable 'dest') results in a null pointer dereference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1232,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1235,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1235,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1235,
                    "column": 39,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1235,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1236,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1236,
                    "column": 10,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1236,
                    "column": 32,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1235,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1237,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1235,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1246,
                    "column": 9,
                    "event": "note",
                    "message": "'findSucceeded' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1246,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1250,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'uregex_appendTail_74'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/urename.h",
                    "line": 1554,
                    "column": 27,
                    "event": "note",
                    "message": "expanded from macro 'uregex_appendTail'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 123,
                    "column": 47,
                    "event": "note",
                    "message": "expanded from macro 'U_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 122,
                    "column": 51,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF2_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/uvernum.h",
                    "line": 121,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'U_DEF_ICU_ENTRY_POINT_RENAME'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<scratch space>",
                    "line": 7,
                    "column": 1,
                    "event": "note",
                    "message": "expanded from here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1748,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'RegexCImpl::appendTail'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1627,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1627,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1627,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1627,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1632,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1636,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1636,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1637,
                    "column": 10,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1636,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1636,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1648,
                    "column": 5,
                    "event": "note",
                    "message": "'dest' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1650,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1690,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming field 'fMatch' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1690,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1711,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destIdx' is < 'destCap'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1711,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1712,
                    "column": 23,
                    "event": "note",
                    "message": "Array access (from variable 'dest') results in a null pointer dereference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1710|       //",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1711|       if (destIdx < destCap) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1712|->         dest[destIdx] = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1713|       } else  if (destIdx == destCap) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1714|           *status = U_STRING_NOT_TERMINATED_WARNING;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "87fdcfd31ff42286a5824da3b6d2494f34fbcd4b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1900,
                    "column": 38,
                    "event": "warning[core.NullDereference]",
                    "message": "Array access (from variable 'destBuf') results in a null pointer dereference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1951,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1954,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1954,
                    "column": 10,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1954,
                    "column": 32,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1954,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1955,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destCapacity' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1954,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1956,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1954,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1957,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'destFieldsCapacity' is >= 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1954,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1962,
                    "column": 38,
                    "event": "note",
                    "message": "Passing null pointer value via 2nd parameter 'destBuf'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1962,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'RegexCImpl::split'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1821,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'inputLen' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1821,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1832,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1833,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1833,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1855,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1855,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1858,
                    "column": 29,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1861,
                    "column": 57,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 32,
                    "column": 38,
                    "event": "note",
                    "message": "expanded from macro 'REMAINING_CAPACITY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1862,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'tStatus' is equal to U_BUFFER_OVERFLOW_ERROR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1862,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1872,
                    "column": 30,
                    "event": "note",
                    "message": "Assuming 'groupNum' is > 'numCaptureGroups'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1872,
                    "column": 13,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 1896",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1896,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'nextOutputStringStart' is equal to 'inputLen'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1896,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1899,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming 'destIdx' is < 'destCapacity'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1899,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uregex.cpp",
                    "line": 1900,
                    "column": 38,
                    "event": "note",
                    "message": "Array access (from variable 'destBuf') results in a null pointer dereference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1898|                   // Output an empty string, and then we are done.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1899|                   if (destIdx < destCapacity) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1900|->                     destBuf[destIdx] = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1901|                   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1902|                   if (i < destFieldsCapacity-1) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/usearch.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "11bd64bc91bffeef73e9305b91889f565c730ba6",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/usearch.cpp",
                    "line": 2335,
                    "column": 22,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'maxLimit' is used in the enclosing expression, the value is never actually read from 'maxLimit'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/usearch.cpp",
                    "line": 2335,
                    "column": 22,
                    "event": "note",
                    "message": "Although the value stored to 'maxLimit' is used in the enclosing expression, the value is never actually read from 'maxLimit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2333|               // across the start index will be truncated.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2334|               int32_t nba = nextBoundaryAfter(strsrch, minLimit, *status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2335|->             mLimit = maxLimit = (nba > 0) && (startIdx > nba) ? nba : startIdx;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2336|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2337|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uspoof.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "80dca46fff968d0352a41590e445ee01acb9639a",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uspoof.cpp",
                    "line": 247,
                    "event": "warning[nullPointer]",
                    "message": "Possible null pointer dereference: result",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  245|           result = nullptr;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  246|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  247|->     return result->asUSpoofChecker();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  248|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  249|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "90caff31bca427d6a9857c4574a424b43dd69681",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uspoof.cpp",
                    "line": 247,
                    "column": 12,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uspoof.cpp",
                    "line": 235,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uspoof.cpp",
                    "line": 235,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uspoof.cpp",
                    "line": 239,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uspoof.cpp",
                    "line": 239,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uspoof.cpp",
                    "line": 243,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uspoof.cpp",
                    "line": 245,
                    "column": 9,
                    "event": "note",
                    "message": "Null pointer value stored to 'result'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uspoof.cpp",
                    "line": 247,
                    "column": 12,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  245|           result = nullptr;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  246|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  247|->     return result->asUSpoofChecker();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  248|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  249|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uspoof_build.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uspoof_conf.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/uspoof_impl.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4f58413638ed0aac6fc86dc57f0ee259c9bb93e8",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 266,
                    "column": 25,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 329,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming 'num' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 329,
                    "column": 11,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 329,
                    "column": 22,
                    "event": "note",
                    "message": "Calling 'FCDUTF16CollationIterator::nextCodePoint'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 253,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 254,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming field 'checkDir' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 254,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 255,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming field 'pos' is not equal to field 'limit'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 255,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 259,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 259,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 260,
                    "column": 64,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 263,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 266,
                    "column": 25,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  264|                           return U_SENTINEL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  265|                       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  266|->                     c = *pos++;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  267|                   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  268|               } else if(c == 0 && limit == nullptr) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "ad6df5dcab091b42f2bf77f616cb5fd5674e1cc3",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 305,
                    "column": 25,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 338,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming 'num' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 338,
                    "column": 11,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 338,
                    "column": 22,
                    "event": "note",
                    "message": "Calling 'FCDUTF16CollationIterator::previousCodePoint'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 292,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 293,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming field 'checkDir' is < 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 293,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 294,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming field 'pos' is not equal to field 'start'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 294,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 298,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 298,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 299,
                    "column": 64,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 302,
                    "column": 21,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 305,
                    "column": 26,
                    "event": "note",
                    "message": "Null pointer value stored to field 'pos'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf16collationiterator.cpp",
                    "line": 305,
                    "column": 25,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  303|                           return U_SENTINEL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  304|                       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  305|->                     c = *--pos;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  306|                   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  307|               }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utf8collationiterator.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utrans.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "a980e3f249cc9c8963edb3a447d6b53e818a99fd",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utrans.cpp",
                    "line": 115,
                    "column": 21,
                    "event": "warning[-Wmaybe-uninitialized]",
                    "message": "‘empty’ may be used uninitialized",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  115 |     (*func->replace)(rep, start, limit, text.getBuffer(), text.length());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/utrans.cpp",
                    "line": 115,
                    "column": 21,
                    "event": "note",
                    "message": "by argument 4 of type ‘const UChar *’ to ‘void <Td0e> (void * *, int32_t, int32_t, const UChar *, int32_t)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/remtrans.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In member function ‘handleTransliterate’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/remtrans.cpp",
                    "line": 63,
                    "column": 19,
                    "event": "note",
                    "message": "‘empty’ declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   63 |     UnicodeString empty;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                   ^",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  113|                             int32_t limit,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  114|                             const UnicodeString& text) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  115|->     (*func->replace)(rep, start, limit, text.getBuffer(), text.length());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  116|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  117|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/vtzone.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/vzone.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/zonemeta.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "5c38b8cd87253cfa36ac78d9b01194209914b35d",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/zonemeta.cpp",
                    "line": 351,
                    "column": 21,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'idInCache' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/zonemeta.cpp",
                    "line": 351,
                    "column": 21,
                    "event": "note",
                    "message": "Value stored to 'idInCache' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  349|                   U_ASSERT(key != nullptr);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  350|                   if (key != nullptr) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  351|->                     idInCache = (const char16_t *)uhash_put(gCanonicalIDCache, (void *)key, (void *)canonicalID, &status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  352|                       U_ASSERT(idInCache == nullptr);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  353|                   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "f94e4c31bf2310c10eec0e02958cc34954dea2a4",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/zonemeta.cpp",
                    "line": 359,
                    "column": 21,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'canonicalInCache' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/zonemeta.cpp",
                    "line": 359,
                    "column": 21,
                    "event": "note",
                    "message": "Value stored to 'canonicalInCache' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  357|                   const char16_t *canonicalInCache = (const char16_t*)uhash_get(gCanonicalIDCache, canonicalID);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  358|                   if (canonicalInCache == nullptr) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  359|->                     canonicalInCache = (const char16_t *)uhash_put(gCanonicalIDCache, (void *)canonicalID, (void *)canonicalID, &status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  360|                       U_ASSERT(canonicalInCache == nullptr);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  361|                   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/zrule.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/i18n/ztrans.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/io/locbund.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/io/sprintf.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/io/sscanf.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/io/ufile.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/io/ufmt_cmn.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/io/uprintf.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/io/uprntf_p.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/io/uscanf.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/io/uscanf_p.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/io/ustdio.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/io/ustream.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "994682f3ff2760a5bb03428caddb6627ff85d679",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/io/ustream.cpp",
                    "line": 129,
                    "column": 21,
                    "event": "warning[core.uninitialized.Assign]",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 310,
                    "column": 8,
                    "event": "note",
                    "message": "expanded from macro 'U16_NEXT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/io/ustream.cpp",
                    "line": 76,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/io/ustream.cpp",
                    "line": 89,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/io/ustream.cpp",
                    "line": 99,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/io/ustream.cpp",
                    "line": 101,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/io/ustream.cpp",
                    "line": 118,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/io/ustream.cpp",
                    "line": 124,
                    "column": 17,
                    "event": "note",
                    "message": "'us' is not equal to 'uBuffer'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/io/ustream.cpp",
                    "line": 124,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/io/ustream.cpp",
                    "line": 128,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming 'uBuffIdx' is < 'uBuffSize'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/io/ustream.cpp",
                    "line": 128,
                    "column": 17,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/io/ustream.cpp",
                    "line": 129,
                    "column": 21,
                    "event": "note",
                    "message": "Assigned value is garbage or undefined",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utf16.h",
                    "line": 310,
                    "column": 8,
                    "event": "note",
                    "message": "expanded from macro 'U16_NEXT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  127|                   int32_t uBuffIdx = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  128|                   while (uBuffIdx < uBuffSize) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  129|->                     U16_NEXT(uBuffer, uBuffIdx, uBuffSize, ch32);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  130|                       if (u_isWhitespace(ch32)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  131|                           if (!initialWhitespace) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/ctest.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "dee45998d835d524cdf8ce6d09617c3986da4b8f",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/ctest.c",
                    "line": 614,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'curNode' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/ctest.c",
                    "line": 614,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'curNode' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  612|           while (strncmp_nullcheck ( name, nextNode->name, nameLen) != 0 )",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  613|           {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  614|->             curNode = nextNode;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  615|               nextNode = nextNode -> sibling;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  616|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/datamap.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/tstdtmod.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/uperf.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "639a847ed1fa03f1ac502c15fa50a2c096f487f4",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/uperf.cpp",
                    "line": 357,
                    "column": 13,
                    "event": "warning[core.uninitialized.Branch]",
                    "message": "Branch condition evaluates to a garbage value",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/uperf.cpp",
                    "line": 517,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'UPerfTest::runTest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/uperf.cpp",
                    "line": 295,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'name' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/uperf.cpp",
                    "line": 295,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/uperf.cpp",
                    "line": 297,
                    "column": 9,
                    "event": "note",
                    "message": "'pos' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/uperf.cpp",
                    "line": 297,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/uperf.cpp",
                    "line": 304,
                    "column": 10,
                    "event": "note",
                    "message": "'name' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/uperf.cpp",
                    "line": 304,
                    "column": 15,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/uperf.cpp",
                    "line": 305,
                    "column": 16,
                    "event": "note",
                    "message": "Calling 'UPerfTest::runTestLoop'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/uperf.cpp",
                    "line": 345,
                    "column": 5,
                    "event": "note",
                    "message": "'name' declared without an initial value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/uperf.cpp",
                    "line": 356,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'UPerfTest::runIndexedTest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/uperf.cpp",
                    "line": 338,
                    "column": 5,
                    "event": "note",
                    "message": "Returning without writing to '', which participates in a condition later",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/uperf.cpp",
                    "line": 338,
                    "column": 5,
                    "event": "note",
                    "message": "Returning without writing to ''",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/uperf.cpp",
                    "line": 356,
                    "column": 9,
                    "event": "note",
                    "message": "Returning from 'UPerfTest::runIndexedTest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/ctestfw/uperf.cpp",
                    "line": 357,
                    "column": 13,
                    "event": "note",
                    "message": "Branch condition evaluates to a garbage value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  355|       do {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  356|           this->runIndexedTest( index, false, name );",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  357|->         if (!name || (name[0] == 0))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  358|               break;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  359|           if (!testname) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/escapesrc/escapesrc.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "f82b97241c49a30e50dafbcee0850abc72faa2b5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/escapesrc/escapesrc.cpp",
                    "line": 321,
                    "column": 10,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'len' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/escapesrc/escapesrc.cpp",
                    "line": 321,
                    "column": 10,
                    "event": "note",
                    "message": "Value stored to 'len' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  319|   bool fixLine(int /*no*/, std::string &linestr) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  320|     const char *line = linestr.c_str();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  321|->   size_t len = linestr.size();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  322|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  323|     // no u' in the line?",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "7a9ce8162c5face1c7c01594b3c30a931beb9e59",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/escapesrc/escapesrc.cpp",
                    "line": 341,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'len' is used in the enclosing expression, the value is never actually read from 'len'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/escapesrc/escapesrc.cpp",
                    "line": 341,
                    "column": 9,
                    "event": "note",
                    "message": "Although the value stored to 'len' is used in the enclosing expression, the value is never actually read from 'len'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  339|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  340|     // reset and find all u' cases",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  341|->   pos = len = linestr.size();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  342|     while((pos>0) && (pos = linestr.rfind(\"u'\", pos)) != std::string::npos) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  343|       //printf(\"found singlequote at %d\\n\", pos);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "7a9ce8162c5face1c7c01594b3c30a931beb9e59",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/escapesrc/escapesrc.cpp",
                    "line": 350,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'len' is used in the enclosing expression, the value is never actually read from 'len'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/escapesrc/escapesrc.cpp",
                    "line": 350,
                    "column": 9,
                    "event": "note",
                    "message": "Although the value stored to 'len' is used in the enclosing expression, the value is never actually read from 'len'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  348|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  349|     // reset and find all u8\" cases",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  350|->   pos = len = linestr.size();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  351|     while((pos>0) && (pos = linestr.rfind(\"u8\\\"\", pos)) != std::string::npos) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  352|       if(fixAt(linestr, pos)) return true;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genbrk/genbrk.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gencfu/gencfu.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gencnval/gencnval.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gendict/gendict.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/extradata.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/gennorm2.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "94b38e0658ec6babe74fc9b8151fbd09e73b8ee2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 263,
                    "column": 34,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Forming reference to null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 809,
                    "column": 38,
                    "event": "note",
                    "message": "Calling 'Normalizer2DataBuilder::processData'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 565,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 572,
                    "column": 22,
                    "event": "note",
                    "message": "Assuming 'i' is < 'normsLength'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 572,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 573,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'Normalizer2DataBuilder::postProcess'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 332,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 333,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 333,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 339,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 339,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 344,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 356,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 356,
                    "column": 34,
                    "event": "note",
                    "message": "Assuming field 'leadCC' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 356,
                    "column": 49,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 358,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 358,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 358,
                    "column": 43,
                    "event": "note",
                    "message": "Calling 'Normalizer2DataBuilder::mappingHasCompBoundaryAfter'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 215,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 219,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'lastStarterIndex' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 219,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 223,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'mappingType' is not equal to ONE_WAY",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 223,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 232,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'lastStarterIndex' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 232,
                    "column": 28,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 236,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 237,
                    "column": 39,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 249,
                    "column": 13,
                    "event": "note",
                    "message": "'i' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 249,
                    "column": 11,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 249,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 249,
                    "column": 11,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 249,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 249,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming 'i' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 249,
                    "column": 15,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 255,
                    "column": 5,
                    "event": "note",
                    "message": "'starterNorm' initialized here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 256,
                    "column": 8,
                    "event": "note",
                    "message": "'i' is not equal to 'lastStarterIndex'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 256,
                    "column": 28,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 261,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 261,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 263,
                    "column": 12,
                    "event": "note",
                    "message": "'i' is <= 'lastStarterIndex'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 263,
                    "column": 31,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 268,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 268,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 268,
                    "column": 33,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 277,
                    "column": 19,
                    "event": "note",
                    "message": "Assuming 'cc' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 277,
                    "column": 16,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 261,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 261,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 263,
                    "column": 12,
                    "event": "note",
                    "message": "'i' is > 'lastStarterIndex'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 263,
                    "column": 12,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 263,
                    "column": 34,
                    "event": "note",
                    "message": "Forming reference to null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  261|       while(++i<buffer.length()) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  262|           uint8_t cc=buffer.ccAt(i);  // !=0 if after last starter",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  263|->         if(i>lastStarterIndex && norms.combinesWithCCBetween(*starterNorm, prevCC, cc)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  264|               // The starter combines with a mark that reorders before the current one.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  265|               return false;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4fd2536f27b322ff4db10d1430a8952b286ee190",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 291,
                    "column": 8,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Forming reference to null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 809,
                    "column": 38,
                    "event": "note",
                    "message": "Calling 'Normalizer2DataBuilder::processData'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 565,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 572,
                    "column": 22,
                    "event": "note",
                    "message": "Assuming 'i' is < 'normsLength'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 572,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 573,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'Normalizer2DataBuilder::postProcess'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 332,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 333,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 333,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 339,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 339,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 344,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 356,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 356,
                    "column": 34,
                    "event": "note",
                    "message": "Assuming field 'leadCC' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 356,
                    "column": 49,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 358,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 358,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 358,
                    "column": 43,
                    "event": "note",
                    "message": "Calling 'Normalizer2DataBuilder::mappingHasCompBoundaryAfter'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 215,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 219,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'lastStarterIndex' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 219,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 223,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'mappingType' is not equal to ONE_WAY",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 223,
                    "column": 35,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 232,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'lastStarterIndex' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 232,
                    "column": 28,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 236,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 237,
                    "column": 39,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 249,
                    "column": 13,
                    "event": "note",
                    "message": "'i' is > 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 249,
                    "column": 11,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 249,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 249,
                    "column": 11,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 249,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 249,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming 'i' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 249,
                    "column": 15,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 255,
                    "column": 5,
                    "event": "note",
                    "message": "'starterNorm' initialized here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 256,
                    "column": 8,
                    "event": "note",
                    "message": "'i' is not equal to 'lastStarterIndex'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 256,
                    "column": 28,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 261,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 261,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 263,
                    "column": 12,
                    "event": "note",
                    "message": "'i' is <= 'lastStarterIndex'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 263,
                    "column": 31,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 268,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 268,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 268,
                    "column": 33,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 277,
                    "column": 19,
                    "event": "note",
                    "message": "Assuming 'cc' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 277,
                    "column": 16,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 261,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 261,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 288",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 288,
                    "column": 8,
                    "event": "note",
                    "message": "'prevCC' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 288,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/n2builder.cpp",
                    "line": 291,
                    "column": 8,
                    "event": "note",
                    "message": "Forming reference to null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  289|           return false;  // forward-combining starter at the very end",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  290|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  291|->     if(norms.combinesWithCCBetween(*starterNorm, prevCC, 256)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  292|           // The starter combines with another mark.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  293|           return false;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gennorm2/norms.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/derb.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/filterrb.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/genrb.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "6c1dbf42302e12497670c9c53f8bd81e5fc7e0f3",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/genrb.cpp",
                    "line": 629,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'dirlen' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/genrb.cpp",
                    "line": 629,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'dirlen' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  627|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  628|               inputDir = inputDirBuf.data();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  629|->             dirlen  = inputDirBuf.length();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  630|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  631|       }else{",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "a316f984b80605a9330486a19ce30fd3069d2ba2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 300,
                    "column": 15,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer (loaded from variable 'line')",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1873,
                    "column": 40,
                    "event": "note",
                    "message": "Passing null pointer value via 2nd parameter 'line'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1873,
                    "column": 14,
                    "event": "note",
                    "message": "Calling 'getInvariantString'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 293,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 298,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 298,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 300,
                    "column": 15,
                    "event": "note",
                    "message": "Dereference of null pointer (loaded from variable 'line')",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  298|       if(!uprv_isInvariantUString(tokenValue->fChars, tokenValue->fLength)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  299|           *status = U_INVALID_FORMAT_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  300|->         error(*line, \"invariant characters required for table keys, binary data, etc.\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  301|           return nullptr;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  302|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "c6278e425791f4390f45970c4537bcf852181933",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 871,
                    "column": 20,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1606,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1606,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1606,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1606,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1610,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1610,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1612,
                    "column": 16,
                    "event": "note",
                    "message": "Calling 'parseCollationElements'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1403,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1403,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1403,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1407,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1407,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1410,
                    "column": 9,
                    "event": "note",
                    "message": "'newCollation' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1410,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1414,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1418,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'token' is not equal to TOK_CLOSE_BRACE",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1418,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1423,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'token' is equal to TOK_STRING",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1423,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1442,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1448,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1448,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1466,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'token' is equal to TOK_OPEN_BRACE",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1466,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1469,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1475,
                    "column": 36,
                    "event": "note",
                    "message": "Calling 'addCollation'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1165,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1170,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'token' is not equal to TOK_CLOSE_BRACE",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1170,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1175,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'token' is equal to TOK_STRING",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1175,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1194,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1202,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1207,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1207,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1211,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1211,
                    "column": 54,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1228,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1228,
                    "column": 14,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1232,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1232,
                    "column": 18,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1232,
                    "column": 14,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1241,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming field 'omitCollationRules' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1241,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1252,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1165,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1170,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'token' is equal to TOK_CLOSE_BRACE",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1170,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1172,
                    "column": 13,
                    "event": "note",
                    "message": " Execution continues on line 1259",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1259,
                    "column": 10,
                    "event": "note",
                    "message": "'haveRules' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1259,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1267,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 44,
                    "column": 33,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strncmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1267,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1274,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'makeBinaryCollation' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1274,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1285,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1291,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'icu4xMode' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1291,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1296,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1315,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'icu4xMode' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1315,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1317,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1317,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1325,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'writeCollationTOML'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1045,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1049,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'base' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1049,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1049,
                    "column": 24,
                    "event": "note",
                    "message": "'isRoot' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1049,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1050,
                    "column": 26,
                    "event": "note",
                    "message": "Calling 'writeCollationDiacriticsTOML'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 862,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'f' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 862,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 867,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 870,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'ce32' is equal to 'FALLBACK_CE32'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 870,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 871,
                    "column": 20,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  869|           uint32_t ce32 = data->getCE32(c);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  870|           if (ce32 == icu::Collation::FALLBACK_CE32) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  871|->             ce32 = data->base->getCE32(c);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  872|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  873|           if (c == 0x0340 || c == 0x0341 || c == 0x0343 || c == 0x0344) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "c6278e425791f4390f45970c4537bcf852181933",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 927,
                    "column": 20,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1606,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1606,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1606,
                    "column": 27,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1606,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1610,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1610,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1612,
                    "column": 16,
                    "event": "note",
                    "message": "Calling 'parseCollationElements'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1403,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1403,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1403,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1407,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1407,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1410,
                    "column": 9,
                    "event": "note",
                    "message": "'newCollation' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1410,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1414,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1418,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'token' is not equal to TOK_CLOSE_BRACE",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1418,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1423,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'token' is equal to TOK_STRING",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1423,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1442,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1448,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1448,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1466,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'token' is equal to TOK_OPEN_BRACE",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1466,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1469,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1475,
                    "column": 36,
                    "event": "note",
                    "message": "Calling 'addCollation'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1165,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1170,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'token' is not equal to TOK_CLOSE_BRACE",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1170,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1175,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'token' is equal to TOK_STRING",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1175,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1194,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1202,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1207,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1207,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1211,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1211,
                    "column": 54,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1228,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1228,
                    "column": 14,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1232,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1232,
                    "column": 18,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1232,
                    "column": 14,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1241,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming field 'omitCollationRules' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1241,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1252,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1165,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1170,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'token' is equal to TOK_CLOSE_BRACE",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1170,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1172,
                    "column": 13,
                    "event": "note",
                    "message": " Execution continues on line 1259",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1259,
                    "column": 10,
                    "event": "note",
                    "message": "'haveRules' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1259,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1267,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 44,
                    "column": 33,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strncmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1267,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1274,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'makeBinaryCollation' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1274,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1285,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1291,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'icu4xMode' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1291,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1296,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1315,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'icu4xMode' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1315,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1317,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1317,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1325,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'writeCollationTOML'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1045,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1049,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'base' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1049,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1049,
                    "column": 24,
                    "event": "note",
                    "message": "'isRoot' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1049,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1051,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1054,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'writeCollationJamoTOML'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 919,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'f' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 919,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 924,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 926,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'ce32' is equal to 'FALLBACK_CE32'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 926,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 927,
                    "column": 20,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  925|           uint32_t ce32 = data->getCE32(c);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  926|           if (ce32 == icu::Collation::FALLBACK_CE32) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  927|->             ce32 = data->base->getCE32(c);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  928|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  929|           // Can't reject complex CE32s, because search collations have expansions.",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "c6278e425791f4390f45970c4537bcf852181933",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 987,
                    "column": 20,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1606,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1606,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1606,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1608,
                    "column": 16,
                    "event": "note",
                    "message": "Calling 'parseCollationElements'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1403,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1403,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1403,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1407,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1407,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1410,
                    "column": 9,
                    "event": "note",
                    "message": "'newCollation' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1410,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1411,
                    "column": 16,
                    "event": "note",
                    "message": "Calling 'addCollation'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1165,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1170,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'token' is not equal to TOK_CLOSE_BRACE",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1170,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1175,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'token' is equal to TOK_STRING",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1175,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1194,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1202,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1207,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1211,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1211,
                    "column": 54,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1228,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1228,
                    "column": 14,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1232,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1232,
                    "column": 18,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 38,
                    "column": 29,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcmp'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 378,
                    "column": 41,
                    "event": "note",
                    "message": "expanded from macro 'U_STANDARD_CPP_NAMESPACE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1232,
                    "column": 14,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1241,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming field 'omitCollationRules' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1241,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1252,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1165,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1170,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'token' is equal to TOK_CLOSE_BRACE",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1170,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1172,
                    "column": 13,
                    "event": "note",
                    "message": " Execution continues on line 1259",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1259,
                    "column": 10,
                    "event": "note",
                    "message": "'haveRules' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1259,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1267,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1274,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'makeBinaryCollation' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1274,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1285,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1291,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'icu4xMode' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1291,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1296,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1315,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'icu4xMode' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1315,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1317,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1317,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1325,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'writeCollationTOML'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1049,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'base' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1049,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1049,
                    "column": 24,
                    "event": "note",
                    "message": "'isRoot' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1049,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1051,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1055,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1059,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1080,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1093,
                    "column": 15,
                    "event": "note",
                    "message": "Field 'base' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1093,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1093,
                    "column": 23,
                    "event": "note",
                    "message": "'isRoot' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1093,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1095,
                    "column": 78,
                    "event": "note",
                    "message": "Field 'base' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1095,
                    "column": 71,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1095,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'writeCollationDataTOML'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 956,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'f' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 956,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 963,
                    "column": 15,
                    "event": "note",
                    "message": "Field 'base' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 963,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 972,
                    "column": 28,
                    "event": "note",
                    "message": "'root' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 972,
                    "column": 28,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 980,
                    "column": 38,
                    "event": "note",
                    "message": "Assuming 'c' is < ICU4X_DIACRITIC_LIMIT",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 980,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 981,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'c' is not equal to 832",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 981,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 981,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming 'c' is not equal to 833",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 981,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 981,
                    "column": 43,
                    "event": "note",
                    "message": "Assuming 'c' is not equal to 835",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 981,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 981,
                    "column": 58,
                    "event": "note",
                    "message": "Assuming 'c' is not equal to 836",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 981,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 986,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'ce32' is equal to 'FALLBACK_CE32'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 986,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 987,
                    "column": 20,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  985|           uint32_t ce32 = data->getCE32(c);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  986|           if (ce32 == icu::Collation::FALLBACK_CE32) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  987|->             ce32 = data->base->getCE32(c);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  988|               umutablecptrie_set(builder.getAlias(), c, ce32, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  989|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "751966e86e4f1f9a42c6a4136b9a833ca01a0a85",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1467,
                    "column": 21,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'token' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1467,
                    "column": 21,
                    "event": "note",
                    "message": "Value stored to 'token' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1465|                   /* then, we cannot handle aliases */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1466|                   if(token == TOK_OPEN_BRACE) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1467|->                     token = getToken(state, &tokenValue, &comment, &line, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1468|                       TableResource *collationRes;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1469|                       if (keepCollationType(subtag)) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "499baad6f706493a8f7e67231d139c3da6ca9876",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1481,
                    "column": 21,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'token' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/parse.cpp",
                    "line": 1481,
                    "column": 21,
                    "event": "note",
                    "message": "Value stored to 'token' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1479|                   } else if(token == TOK_COLON) { /* right now, we'll just try to see if we have aliases */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1480|                       /* we could have a table too */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1481|->                     token = peekToken(state, 1, &tokenValue, &line, &comment, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1482|                       u_UCharsToChars(tokenValue->fChars, typeKeyword, u_strlen(tokenValue->fChars) + 1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1483|                       if(uprv_strcmp(typeKeyword, \"alias\") == 0) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/prscmnts.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/read.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "b2e0119272686338ad69d53fba0b78dc8e9b45a8",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/read.c",
                    "line": 202,
                    "column": 21,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'len' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/read.c",
                    "line": 202,
                    "column": 21,
                    "event": "note",
                    "message": "Value stored to 'len' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  200|                       ustr_uscat(token, pTarget,len, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  201|                       isFollowingCharEscaped = false;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  202|->                     len=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  203|                       if(c == CR || c == LF){",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  204|                           if(isNLUnescaped == false && prevC!=CR){",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "b2e0119272686338ad69d53fba0b78dc8e9b45a8",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/read.c",
                    "line": 256,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'len' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/read.c",
                    "line": 256,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'len' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  254|               pTarget = target;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  255|               ustr_uscat(token, pTarget,len, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  256|->             len=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  257|               ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  258|               if (U_FAILURE(*status)) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "b2e0119272686338ad69d53fba0b78dc8e9b45a8",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/read.c",
                    "line": 301,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'len' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/read.c",
                    "line": 301,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'len' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  299|                   pTarget = target;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  300|                   ustr_uscat(token, pTarget,len, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  301|->                 len=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  302|                   if (U_FAILURE(*status)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  303|                       return TOK_ERROR;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/reslist.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "e95be72f3ee6fe49b278cb8473b306705c114bb6",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/reslist.cpp",
                    "line": 243,
                    "event": "warning[nullPointer]",
                    "message": "Possible null pointer dereference: prev",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  241|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  242|       /* end of list */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  243|->     prev->fNext = res;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  244|       res->fNext  = nullptr;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  245|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/rle.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/wrtjava.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "bbae6d15dffd50ac75bd2c0daba73cb483a71f5d",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/wrtjava.cpp",
                    "line": 260,
                    "column": 15,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'current' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/wrtjava.cpp",
                    "line": 260,
                    "column": 15,
                    "event": "note",
                    "message": "Value stored to 'current' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  258|       if(bufLen+(tabCount*4) > columnCount  ){",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  259|           uint32_t len = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  260|->         char* current = buf;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  261|           uint32_t add;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  262|           while(len < bufLen){",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "bca14c0999083d389e6712bf0258e86c08af3757",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/wrtjava.cpp",
                    "line": 268,
                    "column": 21,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'idx' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/wrtjava.cpp",
                    "line": 268,
                    "column": 21,
                    "event": "note",
                    "message": "Value stored to 'idx' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  266|                   uint32_t idx = strrch(current,add,'\\\\');",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  267|                   if (idx > add) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  268|->                     idx = add;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  269|                   } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  270|                       int32_t num =idx-1;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/wrtxml.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "f50379015228e77f1855187eeb073a4094c4b086",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/wrtxml.cpp",
                    "line": 848,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'sid' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/wrtxml.cpp",
                    "line": 848,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'sid' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  846|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  847|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  848|->         sid = printContainer(res, bin_unit, binary_restype, m_type, id, status);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  849|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  850|           write_tabs(out);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "7c11c3b177aaf2d7e481ac0830e89f82fc59729e",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/wrtxml.cpp",
                    "line": 898,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'len' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/genrb/wrtxml.cpp",
                    "line": 898,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'len' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  896|           i = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  897|           while(i <res->fLength){",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  898|->             len = itostr(temp, res->fData[i], 16, 2);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  899|               write_utf8_file(out, UnicodeString(temp));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  900|               i += 1;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "364d1f878e991fad6b06e4aa2ba50984d22b05c1",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 237,
                    "column": 9,
                    "event": "warning[core.NonNullParamChecker]",
                    "message": "Null pointer passed to 2nd parameter expecting 'nonnull'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 36,
                    "column": 57,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 160,
                    "column": 10,
                    "event": "note",
                    "message": "Value assigned to field 'value'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 163,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'argc' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 163,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 168,
                    "column": 8,
                    "event": "note",
                    "message": "'argc' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 168,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 168,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming field 'doesOccur' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 168,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 168,
                    "column": 45,
                    "event": "note",
                    "message": "Assuming field 'doesOccur' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 168,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 179,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'doesOccur' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 179,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 182,
                    "column": 9,
                    "event": "note",
                    "message": "Value assigned to 'icuUniDataDir'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 185,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'argc' is >= 2",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 185,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 191,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'doesOccur' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 191,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 194,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'doesOccur' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 194,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 208,
                    "column": 89,
                    "event": "note",
                    "message": "Assuming 'icuUniDataDir' is equal to NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 208,
                    "column": 89,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 211,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 40,
                    "column": 52,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strchr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 211,
                    "column": 52,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 220,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'basename' is <= 'filename'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 220,
                    "column": 26,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 229,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'parseMappings'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 436,
                    "column": 8,
                    "event": "note",
                    "message": "'pErrorCode' is not equal to NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 436,
                    "column": 8,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 436,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 440,
                    "column": 5,
                    "event": "note",
                    "message": "Value assigned to field 'doesOccur', which participates in a condition later",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 444,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 717,
                    "column": 26,
                    "event": "note",
                    "message": "expanded from macro 'U_FAILURE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 444,
                    "column": 31,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 229,
                    "column": 5,
                    "event": "note",
                    "message": "Returning from 'parseMappings'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 230,
                    "column": 8,
                    "event": "note",
                    "message": "'errorCode' is <= U_ZERO_ERROR",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/unicode/utypes.h",
                    "line": 717,
                    "column": 26,
                    "event": "note",
                    "message": "expanded from macro 'U_FAILURE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 230,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 235,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'doesOccur' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 235,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/gensprep.c",
                    "line": 237,
                    "column": 9,
                    "event": "note",
                    "message": "Null pointer passed to 2nd parameter expecting 'nonnull'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/common/cstring.h",
                    "line": 36,
                    "column": 57,
                    "event": "note",
                    "message": "expanded from macro 'uprv_strcpy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  235|       if(options[NORMALIZE].doesOccur){ /* this option might be set by @normalize;; in the source file */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  236|           /* set up directory for NormalizationCorrections.txt */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  237|->         uprv_strcpy(filename,icuUniDataDir);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  238|           basename=filename+uprv_strlen(filename);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  239|           if(basename>filename && *(basename-1)!=U_FILE_SEP_CHAR) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/store.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "0f754eb41cdd3dbaa8643a388e0649aa67500a15",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/store.c",
                    "line": 379,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'trieWord' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gensprep/store.c",
                    "line": 379,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'trieWord' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  377|           if((savedTrieWord- _SPREP_TYPE_THRESHOLD) == USPREP_PROHIBITED){",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  378|               /* turn on the first bit in trie word */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  379|->             trieWord += 0x01;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  380|           }else{",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  381|               /*",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/gentest/gentest.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icuexportdata/icuexportdata.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icuinfo/icuinfo.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icupkg/icupkg.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "8c788b7eb41c3bc7a363c5858cf6b5dae1ec4c15",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icupkg/icupkg.cpp",
                    "line": 307,
                    "column": 9,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential leak of memory pointed to by 'pkg'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icupkg/icupkg.cpp",
                    "line": 279,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming field 'doesOccur' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icupkg/icupkg.cpp",
                    "line": 279,
                    "column": 12,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icupkg/icupkg.cpp",
                    "line": 280,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'isHelp' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icupkg/icupkg.cpp",
                    "line": 280,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icupkg/icupkg.cpp",
                    "line": 285,
                    "column": 9,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icupkg/icupkg.cpp",
                    "line": 286,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icupkg/icupkg.cpp",
                    "line": 293,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'doesOccur' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icupkg/icupkg.cpp",
                    "line": 293,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icupkg/icupkg.cpp",
                    "line": 297,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'doesOccur' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icupkg/icupkg.cpp",
                    "line": 297,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icupkg/icupkg.cpp",
                    "line": 306,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'argc' is < 2",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icupkg/icupkg.cpp",
                    "line": 306,
                    "column": 15,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/icupkg/icupkg.cpp",
                    "line": 307,
                    "column": 9,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'pkg'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  305|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  306|       if(argc<2 || 3<argc || autoPrefix>1) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  307|->         printUsage(pname, false);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  308|           return U_ILLEGAL_ARGUMENT_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  309|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/gencnvex.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "d9545f962b43f48bd8dacce9e00973838cd2a643",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/gencnvex.c",
                    "line": 315,
                    "column": 11,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'j' is used in the enclosing expression, the value is never actually read from 'j'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/gencnvex.c",
                    "line": 315,
                    "column": 11,
                    "event": "note",
                    "message": "Although the value stored to 'j' is used in the enclosing expression, the value is never actually read from 'j'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  313|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  314|       /* leave the map alone for the initial mappings with desired flags */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  315|->     for(i=j=0; i<count; ++i) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  316|           flag=mappings[map[i]].f;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  317|           if(flag!=0 && flag!=3) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "f248b1dd893d03b364c2b725b465709dba5efe6c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/gencnvex.c",
                    "line": 738,
                    "column": 10,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'high' is used in the enclosing expression, the value is never actually read from 'high'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/gencnvex.c",
                    "line": 738,
                    "column": 10,
                    "event": "note",
                    "message": "Although the value stored to 'high' is used in the enclosing expression, the value is never actually read from 'high'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  736|       uniqueCount=1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  737|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  738|->     prev=high=low;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  739|       for(i=start+1; i<limit; ++i) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  740|           m=mappings+map[i];",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "ab777680522be04db00a24e6e99e23f4372ab002",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/gencnvex.c",
                    "line": 978,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'codePoints' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/gencnvex.c",
                    "line": 978,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'codePoints' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  976|           value=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  977|           m=mappings+map[subStart];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  978|->         codePoints=UCM_GET_CODE_POINTS(table, m);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  979|           if(m->uLen==1) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  980|               /* do not include this in generateFromUTable() */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "9888e139e1a205aa094adf007cfd4ecb19dd85b2",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 126,
                    "event": "warning[uninitvar]",
                    "message": "Uninitialized variable: buffer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  124|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  125|       *s=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  126|->     return buffer;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  127|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  128|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "79cd33674c7ea5c5f308dafb9dcd8060bbfa7c44",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 1389,
                    "column": 50,
                    "event": "warning[core.DivideZero]",
                    "message": "Division by zero",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 958,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'unicodeMask' is not equal to 3",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 958,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 973,
                    "column": 49,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 974,
                    "column": 8,
                    "event": "note",
                    "message": "'utf8Friendly' is 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 974,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 976,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'SMALL' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 976,
                    "column": 18,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 987,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 987,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 997,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming 'i' is >= field 'mappingsLength'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 997,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 1078",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 1078,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'MBCSPostprocess'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 1357,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 1358,
                    "column": 9,
                    "event": "note",
                    "message": "Value assigned to 'stage3Width'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 1371,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming field 'utf8Friendly' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 1371,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 1380,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'VERBOSE' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 1380,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 1384,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming 'maxCharLength' is equal to 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 1384,
                    "column": 16,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/genmbcs.cpp",
                    "line": 1389,
                    "column": 50,
                    "event": "note",
                    "message": "Division by zero",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1387|           printf(\"fromUnicode number of %d-byte stage 3 mapping entries: 0x%lx=%lu\\n\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1388|                  (int)stage3Width,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1389|->                (unsigned long)mbcsData->stage3Top/stage3Width,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1390|                  (unsigned long)mbcsData->stage3Top/stage3Width);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1391|   #if 0",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/makeconv/makeconv.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "32fefec78e14e0f8718337746590ef2aa59bd29e",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘pkg_executeOptions(UPKGOptions_*)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 986,
                    "column": 109,
                    "event": "warning[-Wformat-truncation=]",
                    "message": "‘__snprintf_chk’ output may be truncated before the last format character",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  986 |             snprintf(libFileNames[LIB_FILE_VERSION_TMP], sizeof(libFileNames[LIB_FILE_VERSION_TMP]), \"%s%s%s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                                                                                             ^",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/bits/stdio2.h",
                    "line": 68,
                    "column": 35,
                    "event": "note",
                    "message": "‘__snprintf_chk’ output 1 or more bytes (assuming 257) into a destination of size 256",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   68 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |          ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   69 |                                    __glibc_objsize (__s), __fmt,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   70 |                                    __va_arg_pack ());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  984|   #else",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  985|           if (noVersion && !reverseExt) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  986|->             snprintf(libFileNames[LIB_FILE_VERSION_TMP], sizeof(libFileNames[LIB_FILE_VERSION_TMP]), \"%s%s%s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  987|                       libFileNames[LIB_FILE],",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  988|                       FILE_SUFFIX,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "40ccf85d532f5760a08ba54cbbe8c7aa5ec63843",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘pkg_executeOptions(UPKGOptions_*)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 991,
                    "column": 109,
                    "event": "warning[-Wformat-truncation=]",
                    "message": "‘%s’ directive output may be truncated writing up to 1 bytes into a region of size between 0 and 256",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  991 |             snprintf(libFileNames[LIB_FILE_VERSION_TMP], sizeof(libFileNames[LIB_FILE_VERSION_TMP]), \"%s%s%s%s%s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                                                                                             ^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/bits/stdio2.h",
                    "line": 68,
                    "column": 35,
                    "event": "note",
                    "message": "‘__snprintf_chk’ output 1 or more bytes (assuming 258) into a destination of size 256",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   68 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |          ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   69 |                                    __glibc_objsize (__s), __fmt,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   70 |                                    __va_arg_pack ());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  989|                       pkgDataFlags[SOBJ_EXT]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  990|           } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  991|->             snprintf(libFileNames[LIB_FILE_VERSION_TMP], sizeof(libFileNames[LIB_FILE_VERSION_TMP]), \"%s%s%s%s%s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  992|                       libFileNames[LIB_FILE],",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  993|                       FILE_SUFFIX,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "bd47dd757fb1f4bb6c2d0ac3311d722bd9591d77",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘pkg_executeOptions(UPKGOptions_*)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 1000,
                    "column": 111,
                    "event": "warning[-Wformat-truncation=]",
                    "message": "‘__snprintf_chk’ output may be truncated before the last format character",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1000 |             snprintf(libFileNames[LIB_FILE_VERSION_MAJOR], sizeof(libFileNames[LIB_FILE_VERSION_TMP]), \"%s%s%s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                                                                                               ^",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/bits/stdio2.h",
                    "line": 68,
                    "column": 35,
                    "event": "note",
                    "message": "‘__snprintf_chk’ output 1 or more bytes (assuming 257) into a destination of size 256",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   68 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |          ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   69 |                                    __glibc_objsize (__s), __fmt,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   70 |                                    __va_arg_pack ());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  998|   #endif",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  999|           if (noVersion && !reverseExt) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1000|->             snprintf(libFileNames[LIB_FILE_VERSION_MAJOR], sizeof(libFileNames[LIB_FILE_VERSION_TMP]), \"%s%s%s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1001|                       libFileNames[LIB_FILE],",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1002|                       FILE_SUFFIX,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "f0b599883709014fd0288742ffaba39151210d58",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘pkg_executeOptions(UPKGOptions_*)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 1005,
                    "column": 101,
                    "event": "warning[-Wformat-truncation=]",
                    "message": "‘__snprintf_chk’ output may be truncated before the last format character",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1005 |             snprintf(libFileNames[LIB_FILE_VERSION], sizeof(libFileNames[LIB_FILE_VERSION]), \"%s%s%s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                                                                                     ^",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/bits/stdio2.h",
                    "line": 68,
                    "column": 35,
                    "event": "note",
                    "message": "‘__snprintf_chk’ output 1 or more bytes (assuming 257) into a destination of size 256",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   68 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |          ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   69 |                                    __glibc_objsize (__s), __fmt,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   70 |                                    __va_arg_pack ());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1003|                       pkgDataFlags[SO_EXT]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1004|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1005|->             snprintf(libFileNames[LIB_FILE_VERSION], sizeof(libFileNames[LIB_FILE_VERSION]), \"%s%s%s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1006|                       libFileNames[LIB_FILE],",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1007|                       FILE_SUFFIX,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "d605e17a9321d46b07b842846fd5cc8a4446661a",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘pkg_executeOptions(UPKGOptions_*)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 1010,
                    "column": 113,
                    "event": "warning[-Wformat-truncation=]",
                    "message": "‘%s’ directive output may be truncated writing up to 1 bytes into a region of size between 0 and 256",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1010 |             snprintf(libFileNames[LIB_FILE_VERSION_MAJOR], sizeof(libFileNames[LIB_FILE_VERSION_MAJOR]), \"%s%s%s%s%s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                                                                                                 ^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/bits/stdio2.h",
                    "line": 68,
                    "column": 35,
                    "event": "note",
                    "message": "‘__snprintf_chk’ output 1 or more bytes (assuming 258) into a destination of size 256",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   68 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |          ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   69 |                                    __glibc_objsize (__s), __fmt,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   70 |                                    __va_arg_pack ());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1008|                       pkgDataFlags[SO_EXT]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1009|           } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1010|->             snprintf(libFileNames[LIB_FILE_VERSION_MAJOR], sizeof(libFileNames[LIB_FILE_VERSION_MAJOR]), \"%s%s%s%s%s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1011|                       libFileNames[LIB_FILE],",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1012|                       FILE_SUFFIX,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "9668ac045bc397f1330a3bd08e95c3ffd178ecdb",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘pkg_executeOptions(UPKGOptions_*)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 1017,
                    "column": 101,
                    "event": "warning[-Wformat-truncation=]",
                    "message": "‘%s’ directive output may be truncated writing up to 1 bytes into a region of size between 0 and 256",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1017 |             snprintf(libFileNames[LIB_FILE_VERSION], sizeof(libFileNames[LIB_FILE_VERSION]), \"%s%s%s%s%s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                                                                                     ^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/bits/stdio2.h",
                    "line": 68,
                    "column": 35,
                    "event": "note",
                    "message": "‘__snprintf_chk’ output between 1 and 258 bytes into a destination of size 256",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   68 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |          ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   69 |                                    __glibc_objsize (__s), __fmt,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   70 |                                    __va_arg_pack ());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1015|                       reverseExt ? pkgDataFlags[SO_EXT] : version_major);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1016|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1017|->             snprintf(libFileNames[LIB_FILE_VERSION], sizeof(libFileNames[LIB_FILE_VERSION]), \"%s%s%s%s%s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1018|                       libFileNames[LIB_FILE],",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1019|                       FILE_SUFFIX,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "f05ee3a42eab053516a211ceda24ea6868216204",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘pkg_executeOptions(UPKGOptions_*)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 1035,
                    "column": 100,
                    "event": "warning[-Wformat-truncation=]",
                    "message": "‘__snprintf_chk’ output may be truncated before the last format character",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1035 |             snprintf(libFileNames[LIB_FILE_VERSION], sizeof(libFileNames[LIB_FILE_VERSION]), \"%s.%s\", libFileNames[LIB_FILE], pkgDataFlags[A_EXT]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                                                                                    ^",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/bits/stdio2.h",
                    "line": 68,
                    "column": 35,
                    "event": "note",
                    "message": "‘__snprintf_chk’ output 2 or more bytes (assuming 257) into a destination of size 256",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   68 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |          ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   69 |                                    __glibc_objsize (__s), __fmt,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   70 |                                    __va_arg_pack ());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1033|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1034|           if(IN_STATIC_MODE(mode)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1035|->             snprintf(libFileNames[LIB_FILE_VERSION], sizeof(libFileNames[LIB_FILE_VERSION]), \"%s.%s\", libFileNames[LIB_FILE], pkgDataFlags[A_EXT]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1036|               libFileNames[LIB_FILE_VERSION_MAJOR][0]=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1037|               if(o->verbose) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "02b181cc35154a4c2b519e3dddd816baf923508e",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘pkg_installLibrary(char const*, char const*, signed char)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 1141,
                    "column": 33,
                    "event": "warning[-Wformat-truncation=]",
                    "message": "‘%s’ directive output may be truncated writing up to 255 bytes into a region of size between 247 and 502",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1141 |             \"cd %s && %s %s %s%s%s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                 ^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "......",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1145 |             installDir, PKGDATA_FILE_SEP_STRING, libFileNames[LIB_FILE_VERSION]);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                                  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/bits/stdio2.h",
                    "line": 68,
                    "column": 35,
                    "event": "note",
                    "message": "‘__snprintf_chk’ output 11 or more bytes (assuming 521) into a destination of size 512",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   68 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |          ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   69 |                                    __glibc_objsize (__s), __fmt,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   70 |                                    __va_arg_pack ());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1139|       auto ret = snprintf(cmd,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1140|               sizeof(cmd),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1141|->             \"cd %s && %s %s %s%s%s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1142|               targetDir,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1143|               pkgDataFlags[INSTALL_CMD],",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "0faebc3cbbcd64e0e614bb58672d805c276193df",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘pkg_executeOptions(UPKGOptions_*)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 1314,
                    "column": 97,
                    "event": "warning[-Wformat-truncation=]",
                    "message": "‘.’ directive output may be truncated writing 1 byte into a region of size between 0 and 256",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1314 |         snprintf(libFileNames[LIB_FILE_VERSION], sizeof(libFileNames[LIB_FILE_VERSION]), \"%s%s%s.%s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                                                                                 ^",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/bits/stdio2.h",
                    "line": 68,
                    "column": 35,
                    "event": "note",
                    "message": "‘__snprintf_chk’ output 2 or more bytes (assuming 258) into a destination of size 256",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   68 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |          ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   69 |                                    __glibc_objsize (__s), __fmt,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   70 |                                    __va_arg_pack ());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                    ~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1312|        */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1313|       if (uprv_strcmp(pkgDataFlags[SOBJ_EXT], pkgDataFlags[SO_EXT]) != 0 && uprv_strcmp(pkgDataFlags[A_EXT], pkgDataFlags[SO_EXT]) == 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1314|->         snprintf(libFileNames[LIB_FILE_VERSION], sizeof(libFileNames[LIB_FILE_VERSION]), \"%s%s%s.%s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1315|                   libFileNames[LIB_FILE],",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1316|                   pkgDataFlags[LIB_EXT_ORDER][0] == '.' ? \".\" : \"\",",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "89f574188b14a1d05a2cf762768859e2a68b1cfa",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 2196,
                    "column": 24,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'n' is used in the enclosing expression, the value is never actually read from 'n'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgdata.cpp",
                    "line": 2196,
                    "column": 24,
                    "event": "note",
                    "message": "Although the value stored to 'n' is used in the enclosing expression, the value is never actually read from 'n'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2194|       p.adoptInstead( popen(cmdBuf.data(), \"r\") );",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2195|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2196|->     if (p.isNull() || (n = fread(buf, 1, items-1, p.getAlias())) <= 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2197|           fprintf(stderr, \"%s: Error calling '%s'\\n\", progname, cmd);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2198|           *buf = 0;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/pkgdata/pkgtypes.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/collationinfo.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/dbgutil.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/denseranges.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/filestrm.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/filetools.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/flagparser.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/package.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/pkg_genc.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/pkg_gencmn.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "057c454f928dedcc89fafbbc9662382230cc4653",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/pkg_gencmn.cpp",
                    "line": 315,
                    "column": 18,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 's' is used in the enclosing expression, the value is never actually read from 's'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/pkg_gencmn.cpp",
                    "line": 315,
                    "column": 18,
                    "event": "note",
                    "message": "Although the value stored to 's' is used in the enclosing expression, the value is never actually read from 's'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  313|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  314|           /* create the output filename */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  315|->         filename=s=buffer;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  316|           uprv_strcpy(filename, destDir);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  317|           s=filename+uprv_strlen(filename);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/pkg_icu.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/pkgitems.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/ppucd.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/swapimpl.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "988bcae1c992167182a792429a5975e71aab3a99",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/swapimpl.cpp",
                    "line": 402,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/swapimpl.cpp",
                    "line": 402,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  400|           count=(indexes[UCASE_IX_EXC_LENGTH]+indexes[UCASE_IX_UNFOLD_LENGTH])*2;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  401|           ds->swapArray16(ds, inBytes+offset, count, outBytes+offset, pErrorCode);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  402|->         offset+=count;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  403|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  404|           U_ASSERT(offset==size);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "988bcae1c992167182a792429a5975e71aab3a99",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/swapimpl.cpp",
                    "line": 510,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/swapimpl.cpp",
                    "line": 510,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  508|           offset+=count;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  509|           count=indexes[UBIDI_IX_JG_LIMIT2]-indexes[UBIDI_IX_JG_START2];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  510|->         offset+=count;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  511|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  512|           U_ASSERT(offset==size);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "988bcae1c992167182a792429a5975e71aab3a99",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/swapimpl.cpp",
                    "line": 637,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/swapimpl.cpp",
                    "line": 637,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  635|           count=indexes[_NORM_INDEX_CANON_SET_COUNT]*2;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  636|           ds->swapArray16(ds, inBytes+offset, count, outBytes+offset, pErrorCode);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  637|->         offset+=count;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  638|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  639|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4707700b24b4901d8051afdfddff6618ccd49fe1",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/swapimpl.cpp",
                    "line": 839,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/swapimpl.cpp",
                    "line": 839,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  837|               utrie_swapAnyVersion(ds, inBytes + offset, count, outBytes + offset, pErrorCode);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  838|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  839|->         offset = top;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  840|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  841|           // Swap all of the string tries.",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4707700b24b4901d8051afdfddff6618ccd49fe1",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/swapimpl.cpp",
                    "line": 846,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/swapimpl.cpp",
                    "line": 846,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  844|           top = indexes[EmojiProps::IX_RGI_EMOJI_ZWJ_SEQUENCE_TRIE_OFFSET + 1];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  845|           ds->swapArray16(ds, inBytes + offset, top - offset, outBytes + offset, pErrorCode);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  846|->         offset = top;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  847|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  848|           U_ASSERT(offset == size);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/toolutil.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/ucbuf.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/ucm.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "ede2c95ee9ab5257a324c33bed1b4446403f7b74",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/ucm.cpp",
                    "line": 796,
                    "column": 10,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'bLen' is used in the enclosing expression, the value is never actually read from 'bLen'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/ucm.cpp",
                    "line": 796,
                    "column": 10,
                    "event": "note",
                    "message": "Although the value stored to 'bLen' is used in the enclosing expression, the value is never actually read from 'bLen'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  794|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  795|       s=line;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  796|->     uLen=bLen=0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  797|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  798|       /* parse code points */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/ucmstate.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/udbgutil.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/unewdata.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/uoptions.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/uparse.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "949e48188210a26d4336a67fd1556871908bb42a",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/uparse.cpp",
                    "line": 160,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'limit' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/uparse.cpp",
                    "line": 160,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'limit' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  158|               } else if(i+1<fieldCount) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  159|                   *pErrorCode=U_PARSE_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  160|->                 limit=line+length;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  161|                   i=fieldCount;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  162|                   break;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "cdd579036e4d24267b417e5cec1beec3be225179",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/uparse.cpp",
                    "line": 161,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'i' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/uparse.cpp",
                    "line": 161,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'i' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  159|                   *pErrorCode=U_PARSE_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  160|                   limit=line+length;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  161|->                 i=fieldCount;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  162|                   break;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  163|               }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/writesrc.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/xmlparser.cpp",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "1c84fb64dfd4080d223cebe4af19c37c4a8447a4",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/xmlparser.cpp",
                    "line": 251,
                    "column": 21,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'length' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/xmlparser.cpp",
                    "line": 251,
                    "column": 21,
                    "event": "note",
                    "message": "Value stored to 'length' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  249|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  250|                   if(attName==UNICODE_STRING(\"encoding\", 8)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  251|->                     length=attValue.extract(0, 0x7fffffff, charsetBuffer, (int32_t)sizeof(charsetBuffer));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  252|                       charset=charsetBuffer;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  253|                       break;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "0471befc79ac98b5a25f8cde65a34c730c011939",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/xmlparser.cpp",
                    "line": 724,
                    "column": 13,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/xmlparser.cpp",
                    "line": 710,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'UXMLElement::appendText'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/xmlparser.cpp",
                    "line": 718,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming 'i' is < 'count'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/xmlparser.cpp",
                    "line": 718,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/xmlparser.cpp",
                    "line": 719,
                    "column": 9,
                    "event": "note",
                    "message": "Value assigned to 'node'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/xmlparser.cpp",
                    "line": 721,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/xmlparser.cpp",
                    "line": 721,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/xmlparser.cpp",
                    "line": 721,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/xmlparser.cpp",
                    "line": 723,
                    "column": 19,
                    "event": "note",
                    "message": "Assuming 'recurse' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/xmlparser.cpp",
                    "line": 723,
                    "column": 16,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "icu-74.2-build/icu/source/tools/toolutil/xmlparser.cpp",
                    "line": 724,
                    "column": 13,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  722|               text.append(*s);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  723|           } else if(recurse) /* must be a UXMLElement */ {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  724|->             ((const UXMLElement *)node)->appendText(text, recurse);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  725|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  726|       }",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
